2008-02-26 15:36  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: add date of release

2008-02-15 07:37  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, parse.y: fix bug that prevented comments from working
	properly

2008-02-12 07:57  Will Estes <wlestes@users.sourceforge.net>

	* po/de.po: new de translation

2008-02-10 06:08  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/vi.po: new vi translation

2008-02-09 19:22  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/nl.po: new nl translation

2008-02-09 14:59  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/pl.po: new pl translation

2008-02-09 14:19  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/de.po, po/pt_BR.po: new de, pt_br translations

2008-02-09 13:54  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, flex.skl: generate headers for all functions (resolves bug
	#1628314)

2008-02-09 10:49  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, flex.skl: change yy_size_t to be size_t (resolves bug
	#1849812)

2008-02-09 10:46  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: start work on version 2.5.35

2007-12-12 16:00  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: revert NEWS and configure.in to version
	2.5.34

2007-09-12 11:28  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: update version number to 2.5.35

2007-09-10 02:17  Aaron Stone <sodabrew@users.sourceforge.net>

	* tests/test-alloc-extra/scanner.l: Use %option extra-type.

2007-09-10 02:16  Aaron Stone <sodabrew@users.sourceforge.net>

	* NEWS, flex.skl, flexdef.h, main.c, parse.y, scan.l,
	doc/flex.texi: Introduce %option extra-type="your_type *" (resolves
	bug #1744505).

2007-08-15 08:28  Will Estes <wlestes@users.sourceforge.net>

	* po/nl.po: new nl translations from the translation project

2007-06-28 16:28  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: change release date

2007-06-27 21:59  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: adjustment for prefix classes; patch submitted by Petr
	Machata <pmachata@redhat.com>

2007-06-27 21:53  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: NEWS item for yy_init_extra

2007-06-12 12:33  Aaron Stone <sodabrew@users.sourceforge.net>

	* doc/flex.texi: Docs and example for yylex_init_extra.

2007-05-31 20:22  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-alloc-extra/.cvsignore: ignore OUTPUT file in
	test-alloc-extra

2007-05-31 20:21  Will Estes <wlestes@users.sourceforge.net>

	* tests/descriptions: add description of concatenated options test

2007-05-31 16:20  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-alloc-extra/.cvsignore: add missing .cvsignore to
	test-alloc-extra

2007-05-31 02:21  Aaron Stone <sodabrew@users.sourceforge.net>

	* configure.in, flex.skl, gen.c, main.c: Changes to resolve SF bugs
	1568325 and 1563589.

2007-05-31 02:09  Aaron Stone <sodabrew@users.sourceforge.net>

	* tests/: Makefile.am, descriptions, test-alloc-extra/Makefile.am,
	test-alloc-extra/scanner.l, test-alloc-extra/test.input: Adding
	test cases for yylex_init_extra.

2007-05-12 11:27  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, tests/test-pthread/scanner.l: fixes to test-pthread

2007-05-12 09:13  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: NEWS item for concatenated options

2007-05-12 09:13  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, tests/Makefile.am,
	tests/test-concatenated-options/.cvsignore,
	tests/test-concatenated-options/Makefile.am: unit test to verify
	concatenated options parsing

2007-05-12 09:11  Will Estes <wlestes@users.sourceforge.net>

	* scanopt.c: parse multiple short concatenated options; patch
	submitted by Petr Machata <pmachata@redhat.com

2007-05-11 16:52  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: remove --force option from autogen.sh; much faster
	without it

2007-05-11 14:35  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.34

2007-05-08 00:23  Aaron Stone <sodabrew@users.sourceforge.net>

	* NEWS, flex.skl: Better checking after yyalloc/yyrealloc (resolves
	bug #1595967)

2007-05-01 08:10  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: change title of manual to 'Lexical Analysis with
	Flex'

2007-04-25 14:16  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: c++ memory leak plug

2007-04-23 09:29  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: roll back c++ memory patch as it causes the test suite
	no end of grief

2007-04-23 08:42  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: fix function definitions for non-ANSI environments
	(from Manoj Srivastava from Debian patchset)

2007-04-23 08:37  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: fix c++ memory leak (from Manoj Srivastava from Debian
	patchset)

2007-04-23 06:59  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: fix parameter name in comment (patch from Manoj
	Srivastava from the debian patchset

2007-04-23 06:57  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: add a size_t cast (patch from Manoj Srivastava from the
	debian patchset

2007-04-16 17:06  Will Estes <wlestes@users.sourceforge.net>

	* tests/: test-extended/Makefile.am, test-quotes/Makefile.am:
	cleanups to handle VPATH builds better; passifies make distcheck

2007-04-16 16:42  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: drop using the \ in \ escaping as it throws pdf
	generation for a loop

2007-04-14 08:33  Will Estes <wlestes@users.sourceforge.net>

	* .cvsignore: add compile and *.tar.bz2 to .cvsignore

2007-04-14 08:27  Will Estes <wlestes@users.sourceforge.net>

	* main.c: add call to setlocale for ctype as per debian patchset

2007-04-14 08:25  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, NEWS: provide for a PIC version of libfl.a for
	shared libraries using flex scanners

2007-04-13 13:24  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h: annotate endifs since they're a bit far from their
	opening #if statements

2007-04-13 12:55  Will Estes <wlestes@users.sourceforge.net>

	* flexdef.h, parse.y: refactor and slightly redo alloca testing,
	resolves bug #1675899

2007-04-13 12:50  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: overhaul configure.in: use octathorps for comments
	so they're passed through m4 processing; better bracketing of m4
	arguments; retool checks as per suggestions from autoscan(1)

2007-04-13 12:43  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: better handling of class that use the prefix
	functionality; from submitted patch

2007-04-13 12:32  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: fix skeleton for reentrant scanners

2007-04-12 21:50  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: remove homegrown tags target; automake does that for
	us

2007-04-12 15:12  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h: declare some const where missing in c++ header file

2007-04-12 15:12  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: fix skeleton for reentrant scanners, resolves bug
	#1694318

2007-04-10 15:20  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: corrections to the manual as per suggestions from
	flex-help@

2007-04-03 15:16  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: include author names in online versions of the
	manual

2007-04-03 15:07  Will Estes <wlestes@users.sourceforge.net>

	* COPYING: update copyright notice

2007-04-03 14:54  Will Estes <wlestes@users.sourceforge.net>

	* AUTHORS: rearrange and update AUTHORS

2007-03-29 11:45  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: note sf feature request 1658379 in NEWS

2007-03-29 11:36  Will Estes <wlestes@users.sourceforge.net>

	* tools/cvsauthors: add sodabrew to cvsauthors file

2007-03-29 11:25  Aaron Stone <sodabrew@users.sourceforge.net>

	* flex.skl: 
	SourceForge feature request #1658379: Expose YY_BUF_SIZE in the
	header file.

2007-03-07 16:50  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, filter.c, flex.skl: apply patches submitted by sodabrew

2007-03-07 16:20  Will Estes <wlestes@users.sourceforge.net>

	* README.cvs: more changes describing building flex from cvs

2007-03-07 16:16  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, README.cvs, README.cvs-snapshot: rename
	README.cvs-snapshot to README.cvs

2007-03-07 16:14  Will Estes <wlestes@users.sourceforge.net>

	* README.cvs-snapshot: update to explain where flex cvs lives

2007-03-07 15:45  Will Estes <wlestes@users.sourceforge.net>

	* README, doc/flex.texi: correct how to submit bugs

2007-02-16 10:38  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: clarify NEWS item re man page and pdf manual

2007-02-14 12:03  Will Estes <wlestes@users.sourceforge.net>

	* po/Makevars: update bug address to point to flex-devel instead of
	lex-help

2007-02-13 12:54  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, doc/Makefile.am: make better use of AC_INIT; clean
	up, simplify and make more robust the generation of the man page

2007-02-13 12:08  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: remove option check-news from call to
	AM_INIT_AUTOMAKE as gnits implies check-news

2007-02-13 10:07  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in: move automake options from Makefile.am
	to configure.in

2007-02-13 10:04  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: restore --install option to autogen.sh since --force
	does not imply --install

2007-02-13 10:04  Will Estes <wlestes@users.sourceforge.net>

	* tools/cvsauthors: add john43 to cvsauthors file

2007-02-13 09:50  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: call autoreconf with --force instead of --install

2007-02-13 09:48  Will Estes <wlestes@users.sourceforge.net>

	* doc/.cvsignore: remove texinfo.tex from cvs tree

2007-02-12 20:15  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: updates to NEWS file to reflect recent changes

2007-02-12 20:14  Will Estes <wlestes@users.sourceforge.net>

	* doc/Makefile.am: add flex.pdf to EXTRA_DIST

2007-02-12 19:45  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: remove flex.spec

2007-02-12 19:44  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: remove maintainercleanfiles

2007-02-01 15:56  Will Estes <wlestes@users.sourceforge.net>

	* doc/Makefile.am: more changes to build system to distribute man
	page

2007-02-01 12:10  Will Estes <wlestes@users.sourceforge.net>

	* doc/Makefile.am: add flex man page to distribution

2007-02-01 12:09  Will Estes <wlestes@users.sourceforge.net>

	* .cvsignore, flex.spec.in: remove flex spec file

2006-11-17 10:14  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-table-opts/Makefile.am: make test target depend on
	test groupings, which in turn depend on building executables;
	cygwin portability fix

2006-11-10 16:00  Will Estes <wlestes@users.sourceforge.net>

	* tests/create-test: change create-test script to edit files in
	place

2006-11-09 15:14  Will Estes <wlestes@users.sourceforge.net>

	* tests/: test-array-nr/Makefile.am, test-array-r/Makefile.am,
	test-basic-nr/Makefile.am, test-basic-r/Makefile.am,
	test-bison-nr/Makefile.am, test-bison-yylloc/Makefile.am,
	test-bison-yylval/Makefile.am, test-c++-basic/Makefile.am,
	test-c++-multiple-scanners/Makefile.am,
	test-c++-yywrap/Makefile.am, test-c-cpp-nr/Makefile.am,
	test-c-cpp-r/Makefile.am, test-ccl/Makefile.am,
	test-debug-nr/Makefile.am, test-debug-r/Makefile.am,
	test-extended/Makefile.am, test-header-nr/Makefile.am,
	test-header-r/Makefile.am, test-include-by-buffer/Makefile.am,
	test-include-by-push/Makefile.am,
	test-include-by-reentrant/Makefile.am, test-linedir-r/Makefile.am,
	test-lineno-nr/Makefile.am, test-lineno-r/Makefile.am,
	test-mem-nr/Makefile.am, test-mem-r/Makefile.am,
	test-multiple-scanners-nr/Makefile.am,
	test-multiple-scanners-r/Makefile.am, test-noansi-nr/Makefile.am,
	test-noansi-r/Makefile.am, test-posix/Makefile.am,
	test-posixly-correct/Makefile.am, test-prefix-nr/Makefile.am,
	test-prefix-r/Makefile.am, test-pthread/Makefile.am,
	test-quotes/Makefile.am, test-reject/Makefile.am,
	test-rescan-nr/Makefile.am, test-rescan-r/Makefile.am,
	test-string-nr/Makefile.am, test-string-r/Makefile.am,
	test-top/Makefile.am, test-yyextra/Makefile.am: change CLEANFILES
	to include  instead of just the testname for the executable

2006-11-09 09:44  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: fix typos in manual; resolves bug #1592857

2006-11-09 09:39  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am: change test template to remove test
	executable when that executable has an extension, e.g. under Cygwin

2006-11-08 10:28  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.am: test names weren't displaying in test
	success/failure messages (from #1591672

2006-10-30 15:28  Will Estes <wlestes@users.sourceforge.net>

	* doc/.cvsignore: add flex.html to .cvsignore in doc directory

2006-10-22 18:42  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: update NEWS file for the work that millaway did

2006-10-22 18:17  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h, NEWS, main.c,
	tests/test-c++-multiple-scanners/scanner-2.l: make yywrap work with
	c++ scanners as per sf bug report

2006-10-20 15:16  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, tests/test-c++-multiple-scanners/main.cpp,
	tests/test-c-cpp-nr/scanner.l, NEWS: memory leak issues in c++
	scanner

2006-10-20 13:10  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, tests/Makefile.am, tests/descriptions,
	tests/test-c++-yywrap/.cvsignore,
	tests/test-c++-yywrap/Makefile.am, tests/test-c++-yywrap/scanner.l,
	tests/test-c++-yywrap/test.input, NEWS: add unit test for c++ with
	yywrap

2006-10-20 12:08  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, tests/test-c++-basic/Makefile.am,
	tests/test-linedir-r/Makefile.am: use configure-provided awk
	variable for portability; add loadlibes variable to c++ test

2006-10-17 09:41  Will Estes <wlestes@users.sourceforge.net>

	* doc/flex.texi: add noyywrap option to example; use whitespace to
	clarify example

2006-08-02 10:43  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/ca.po, po/vi.po: new translations

2006-04-11 12:54  John Millaway <john43@users.sourceforge.net>

	* tables.c: Casted away signedness to appease -Werror freaks.

2006-03-28 15:47  John Millaway <john43@users.sourceforge.net>

	* ccl.c, flexdef.h, parse.y, scan.l, sym.c, doc/flex.texi,
	tests/test-ccl/scanner.l, tests/test-ccl/test.input: Added ccl
	union operator.  Added test in test suite for ccl union operator. 
	Documented ccl union operator.	Removed crufty ccl cache to prevent
	parser problems.

2006-03-28 12:56  John Millaway <john43@users.sourceforge.net>

	* scan.l, doc/flex.texi, tests/test-extended/scanner.l,
	tests/test-extended/test.input: Extended syntax excluded for
	lex/posix compat mode.	Comments discarded inside (?x:) patterns. 
	Added test in test suite for comments in extended patterns. 
	Documented syntax additions.

2006-03-27 17:48  John Millaway <john43@users.sourceforge.net>

	* scan.l, tests/test-ccl/scanner.l, tests/test-ccl/test.input:
	Implemented (?x:) syntax to allow whitespace in patterns.  Added
	test for (?x:) syntax in test suite.

2006-03-27 17:04  John Millaway <john43@users.sourceforge.net>

	* parse.y, tests/test-ccl/scanner.l, tests/test-ccl/test.input:
	Implemented dot-all syntax.  Added test for dot-all syntax in test
	suite.

2006-03-27 15:59  John Millaway <john43@users.sourceforge.net>

	* dfa.c, flexdef.h, gen.c, main.c, parse.y, scan.l, scanflags.c,
	doc/flex.texi, tests/test-ccl/scanner.l, tests/test-ccl/test.input:
	Removed global variable caseins.  Added scanner stack flags for
	case-insensitivity.  Moved case-folding code from DFA-generation to
	parse time read-macros.  Added localized case-sensitivity syntax
	from Perl.  Added test for new syntax in test suite.  Documented
	new syntax.

2006-03-27 14:00  John Millaway <john43@users.sourceforge.net>

	* Makefile.am, configure.in, flexdef.h, scanflags.c: Added
	configure check for assert.h.  Added scanner flags stack.

2006-03-25 14:03  John Millaway <john43@users.sourceforge.net>

	* configure.in, scan.l, doc/flex.texi, tests/Makefile.am,
	tests/descriptions, tests/test-extended/.cvsignore,
	tests/test-extended/Makefile.am, tests/test-extended/scanner.l,
	tests/test-extended/test.input: Added extended, perl-compatible
	comment syntax.  Added test for extended comment syntax. 
	Documented extended comment syntax.

2006-03-25 12:57  John Millaway <john43@users.sourceforge.net>

	* parse.y, doc/flex.texi: Changed explicit 'A'-'Z' to isupper(),
	where correct to do so.  Documentation.

2006-03-24 17:33  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: Documentation.

2006-03-24 13:57  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: Added appendix of patterns to manual.

2006-03-23 18:34  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: [no log message]

2006-03-22 15:06  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: Documentation.

2006-03-22 15:03  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: Documented set difference operator {-}.

2006-03-22 14:06  John Millaway <john43@users.sourceforge.net>

	* ccl.c, flexdef.h, parse.y, scan.l, tests/test-ccl/scanner.l,
	tests/test-ccl/test.input: Added set difference operator {-} for
	character classes.

2006-03-22 11:04  John Millaway <john43@users.sourceforge.net>

	* configure.in, parse.y, scan.l, doc/flex.texi, tests/Makefile.am,
	tests/descriptions, tests/test-ccl/.cvsignore,
	tests/test-ccl/Makefile.am, tests/test-ccl/scanner.l,
	tests/test-ccl/test.input: Added negated character class
	expressions.  Documented negated character class expressions. 
	Added regression test for negated character class expressions.

2006-03-22 07:49  John Millaway <john43@users.sourceforge.net>

	* buf.c, filter.c, gen.c, main.c, misc.c, nfa.c, parse.y, regex.c:
	Replaced sprintf with snprintf everywhere.

2006-03-21 19:15  John Millaway <john43@users.sourceforge.net>

	* Makefile.am: Removed includedir from AM_CPPFLAGS #1439351.

2006-03-21 18:49  John Millaway <john43@users.sourceforge.net>

	* configure.in, tests/Makefile.am, tests/descriptions,
	tests/test-quotes/.cvsignore, tests/test-quotes/Makefile.am,
	tests/test-quotes/scanner.l, tests/test-quotes/test.input: Added
	test to verify user code is unmangled.

2006-03-21 16:39  John Millaway <john43@users.sourceforge.net>

	* flexdef.h, misc.c, scan.l: Fixed escape in actions.

2006-03-21 16:22  John Millaway <john43@users.sourceforge.net>

	* filter.c, flexdef.h, main.c, scan.l: Reverted previous input
	filter changes.  Added noop macro to scanner output.  Modified
	scan.l to escape m4 quotes found in user code.

2006-03-21 16:18  John Millaway <john43@users.sourceforge.net>

	* tests/test-table-opts/: Makefile.am, scanner.l: Removed m4 from
	test-table-opts

2006-03-21 15:58  John Millaway <john43@users.sourceforge.net>

	* tests/test-reject/: Makefile.am, scanner.l: Removed m4 from
	test-reject

2006-03-21 13:23  John Millaway <john43@users.sourceforge.net>

	* filter.c, flexdef.h, main.c, scan.l: Moved set_input_file to
	different file.

2006-03-20 21:17  John Millaway <john43@users.sourceforge.net>

	* flex.skl, flexdef.h, flexint.h, misc.c: Relaxed tests for
	__STDC__ and __STDC_VERSION__ to cope with bugs in GCC and Sun cc.

2006-03-19 20:50  John Millaway <john43@users.sourceforge.net>

	* filter.c: Documented filter chain. Removed fdopen. Added no-op
	fseek.

2006-03-13 16:21  John Millaway <john43@users.sourceforge.net>

	* gen.c: Fixed another -Wall report.

2006-03-10 09:59  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/vi.po: new vi translation

2006-03-09 08:45  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/ga.po, po/nl.po: new nl, ga translations

2006-02-20 20:54  Will Estes <wlestes@users.sourceforge.net>

	* m4/Makefile.am: add po.m4 to extra_dist in m4/ so it gets picked
	up by distributions

2006-02-20 20:42  Will Estes <wlestes@users.sourceforge.net>

	* m4/Makefile.am: add nls.m4 to extra_dist in m4/ so it will get
	picked up in distribution tarballs

2006-02-20 20:10  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: remove website directory from configure.in

2006-02-20 14:22  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.33 marks in NEWS and configure.in

2006-02-20 13:21  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: change email address in configure.in to point to
	flex-help@sourceforge.net

2006-02-20 12:30  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: Documentation.

2006-02-20 12:17  John Millaway <john43@users.sourceforge.net>

	* BUGS: Appended to BUGS file.

2006-02-18 14:09  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: remove website directory (since it now has its own
	module in the flex project

2006-02-16 17:20  John Millaway <john43@users.sourceforge.net>

	* flex.skl, doc/flex.texi: Fixed buffer overflow in reject state
	buffer.  Corrected documentation on the state buffer.

2006-02-16 10:02  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Reverted num_read from size_t back to int.

2006-02-15 18:58  John Millaway <john43@users.sourceforge.net>

	* Makefile.am, configure.in: Removed reference to RoadMap in
	Makefile.am.  Added website directory.

2006-02-15 16:08  Will Estes <wlestes@users.sourceforge.net>

	* README, RoadMap: remove RoadMap and reference to it in README

2006-02-15 13:35  John Millaway <john43@users.sourceforge.net>

	* BUGS, README, doc/flex.texi, doc/flex.xml: Eliminated references
	to lex.sf.net.

2006-02-15 13:31  John Millaway <john43@users.sourceforge.net>

	* BUGS, flex.skl: Transfered bugs list from lex.sf.net to BUGS
	file.

2006-02-15 13:11  John Millaway <john43@users.sourceforge.net>

	* tests/: test-rescan-nr/.cvsignore, test-rescan-nr/Makefile.am,
	test-rescan-nr/scanner.l, test-rescan-nr/test.input,
	test-rescan-r/.cvsignore, test-rescan-r/Makefile.am,
	test-rescan-r/scanner.l, test-rescan-r/test.input: Recommit of last
	commit -- broken pipe.

2006-02-15 13:06  John Millaway <john43@users.sourceforge.net>

	* configure.in, flex.skl, tests/Makefile.am, tests/descriptions:
	yy_lex_destroy calls yy_init_globals to reset everything for next
	call to yylex.	Added two new tests for reusing scanners.

2006-02-14 15:28  John Millaway <john43@users.sourceforge.net>

	* flex.spec.in: Patched rpm spec file.

2006-02-14 15:23  John Millaway <john43@users.sourceforge.net>

	* configure.in, flexint.h: Added C99 macro for inttypes, just to be
	conformant.

2006-02-14 14:38  John Millaway <john43@users.sourceforge.net>

	* flexdef.h, nfa.c, parse.y: Changed symbol INFINITE to fix
	conflict with C math symbol.

2006-02-14 14:28  John Millaway <john43@users.sourceforge.net>

	* scan.l: Omitting parens for named rules in trailing context.

2006-02-14 13:55  John Millaway <john43@users.sourceforge.net>

	* configure.in, main.c, po/ca.po, po/da.po, po/de.po, po/es.po,
	po/fr.po, po/ga.po, po/ko.po, po/nl.po, po/pl.po, po/pt_BR.po,
	po/ro.po, po/ru.po, po/sv.po, po/tr.po, po/vi.po, po/zh_CN.po,
	tests/test-mem-nr/scanner.l, tests/test-mem-r/scanner.l: Added
	check for locale.h and libintl.h in configure script.

2006-02-14 13:36  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Removed unused local vars.

2006-02-14 13:25  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Removed certain offending #undefs.

2006-02-14 13:07  John Millaway <john43@users.sourceforge.net>

	* flexint.h: Removed logical and from preprocessor statement.

2006-02-14 06:40  Will Estes <wlestes@users.sourceforge.net>

	* po/: nl.po, nl.po.1: remove eroneously named nl.po.1; update
	nl.po

2006-02-14 01:38  John Millaway <john43@users.sourceforge.net>

	* dfa.c: [no log message]

2006-02-14 00:27  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Included <sys/types.h> for serialized tables.

2006-02-14 00:22  John Millaway <john43@users.sourceforge.net>

	* configure.in: Minor patch to call to head in configure script.

2006-02-14 00:12  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: Documentation patch.

2006-02-13 22:32  John Millaway <john43@users.sourceforge.net>

	* filter.c, gen.c, libyywrap.c, main.c: Patch for full file system
	failure.

2006-02-13 16:45  John Millaway <john43@users.sourceforge.net>

	* doc/flex.texi: Documentation.

2006-02-13 16:18  John Millaway <john43@users.sourceforge.net>

	* main.c: Fixed double-fclose when input file is empty.

2006-02-10 18:17  Will Estes <wlestes@users.sourceforge.net>

	* po/: ca.po, da.po, de.po, es.po, fr.po, ga.po, ko.po, nl.po.1,
	pl.po, pt_BR.po, ro.po, ru.po, sv.po, tr.po, vi.po, zh_CN.po:
	newtranslations

2005-12-21 19:24  John Millaway <john43@users.sourceforge.net>

	* buf.c, main.c: Improvement request 1069716 log vs. log10

2005-12-21 19:16  John Millaway <john43@users.sourceforge.net>

	* flex.skl: Fixed bug 1257093 yy_init_globals in header file

2005-04-14 16:45  Will Estes <wlestes@users.sourceforge.net>

	* po/nl.po: new nl translation

2005-04-07 08:49  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/LINGUAS, po/nl.po, po/vi.po: new nl and vi translations

2004-07-20 16:32  Will Estes <wlestes@users.sourceforge.net>

	* filter.c: correct improper stdin assignment

2004-05-22 18:42  Will Estes <wlestes@users.sourceforge.net>

	* po/tr.po, NEWS: new tr translation

2004-05-11 20:44  Will Estes <wlestes@users.sourceforge.net>

	* .indent.pro, .cvsignore: .cvsignore and  .indent.pro got missed
	in the import to sourceforge; replace them

2004-05-11 09:28  Will Estes <wlestes@users.sourceforge.net>

	* po/fr.po: new fr translation

2004-05-03 10:52  Will Estes <wlestes@users.sourceforge.net>

	* po/LINGUAS: polish is pl, not po

2004-03-22 08:10  Will Estes <wlestes@users.sourceforge.net>

	* po/sv.po: yet another sweedish update

2004-03-19 09:27  Will Estes <wlestes@users.sourceforge.net>

	* po/sv.po, NEWS: new sv translation

2003-12-10 20:43  John Millaway <millaway@acm.org>

	* configure.in, filter.c, main.c: Configure checks for GNU m4. 
	Environment variable M4 overrides built-in m4 path.  Generated m4
	does a late check for GNU m4.

2003-12-08 21:17  John Millaway <millaway@acm.org>

	* doc/flex.texi: added 3 faqs

2003-11-24 08:12  Will Estes <wlestes@users.sourceforge.net>

	* po/ro.po: new ro translation

2003-11-07 13:38  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/fr.po: new french translation

2003-11-07 08:57  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/ca.po: new catalan translation from the translation
	project

2003-11-07 08:50  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/LINGUAS, po/ga.po, po/pl.po: new polish translation;
	updated irish translation from translation project

2003-10-10 08:47  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/LINGUAS, po/ga.po: new Irish translation

2003-08-25 07:57  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/LINGUAS, po/ro.po: add romanian translation

2003-07-16 11:05  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: flex_*int* type fixes

2003-07-16 10:45  Will Estes <wlestes@users.sourceforge.net>

	* tools/cvsauthors: change wlestes email address

2003-07-16 10:43  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: undef yytext_ptr has some bad side effects

2003-07-07 13:32  John Millaway <millaway@acm.org>

	* doc/flex.texi: Documented m4 incompatibility with lex.

2003-05-21 13:57  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: upgrade to gettext 0.12

2003-05-20 16:25  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, gen.c: patches from manoj via sourceforge

2003-05-20 16:09  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, po/.cvsignore, po/Makevars: upgrade gettext to
	0.12; this allows running make pdf and make ps to be successful

2003-05-20 13:41  Will Estes <wlestes@users.sourceforge.net>

	* doc/.cvsignore: cvs should ignore flex.pdf and flex.ps

2003-04-25 15:45  John Millaway <millaway@acm.org>

	* TODO: Added yylineno bugs to TODO list.

2003-04-02 20:01  John Millaway <millaway@acm.org>

	* doc/flex.xml: Docbook.

2003-04-02 19:22  John Millaway <millaway@acm.org>

	* doc/flex.xml: xml now validates.

2003-04-02 18:20  John Millaway <millaway@acm.org>

	* doc/flex.xml: Began conversion to DocBook.

2003-04-01 11:17  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.31

2003-04-01 11:14  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: remove --enable-maintainer-mode configure option

2003-04-01 11:08  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: remove AM_MAINTAINER_MODE

2003-03-31 20:51  John Millaway <millaway@acm.org>

	* flex.skl, flexdef.h, main.c, misc.c, scan.l: Renamed some
	internal variables.

2003-03-31 08:21  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: yylineno is now per-buffer in reentrant scanners

2003-03-30 21:04  John Millaway <millaway@acm.org>

	* TODO: Added TODO item.

2003-03-30 14:58  John Millaway <millaway@acm.org>

	* flex.skl, gen.c: yylineno is per-buffer in the reentrant scanner.
	 support for yycolumn exists, but is not yet developed.

2003-03-28 16:08  John Millaway <millaway@acm.org>

	* flex.skl: Minor documentation.

2003-03-28 09:17  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: added %top directive

2003-03-27 13:02  John Millaway <millaway@acm.org>

	* buf.c, configure.in, flexdef.h, main.c, scan.l, doc/flex.texi,
	tests/Makefile.am, tests/descriptions, tests/test-top/.cvsignore,
	tests/test-top/Makefile.am, tests/test-top/main.c,
	tests/test-top/scanner.l, tests/test-top/test.input: Added %top
	block syntax.  Added test for %top block.  Documented %top block.

2003-03-26 23:02  John Millaway <millaway@acm.org>

	* TODO, doc/flex.texi: Documented the m4 dependency.

2003-03-26 16:43  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, flexdef.h: check for sys/wait.h since we use
	wait(2)

2003-03-26 16:35  Will Estes <wlestes@users.sourceforge.net>

	* flexdef.h: reorder include directives so as to catch system
	integer types before flex defined values for same

2003-03-26 14:19  Will Estes <wlestes@users.sourceforge.net>

	* TODO: assign tasks due before major release can happen; remove
	--enable-maintainer-mode entry

2003-03-26 14:15  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: only rebuild the ChangeLog if we're inside a cvs
	working directory

2003-03-26 14:05  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, tools/.cvsignore, tools/Makefile.am: add tools/
	subdirectory to distribution

2003-03-26 14:05  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: remove maintainer_mode conditional; add filter.c and
	regex.c to indentfiles; reformat and sort indentfiles so it's
	easier to add files in the future

2003-03-26 14:04  Will Estes <wlestes@users.sourceforge.net>

	* doc/Makefile.am: clean up flex.texi processing leftovers with
	cleanfiles

2003-03-26 13:29  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-linedir-r/Makefile.am: an awk script wasn't included
	in the distribution

2003-03-26 11:52  John Millaway <millaway@acm.org>

	* TODO, configure.in, tests/Makefile.am, tests/descriptions,
	tests/test-include-by-push/.cvsignore,
	tests/test-include-by-push/Makefile.am,
	tests/test-include-by-push/scanner.l,
	tests/test-include-by-push/test-1.input,
	tests/test-include-by-push/test-2.input,
	tests/test-include-by-push/test-3.input: Added test for
	yypush_buffer_state and yypop_buffer_state.

2003-03-25 22:27  John Millaway <millaway@acm.org>

	* TODO: Removed items from TODO list.

2003-03-25 22:26  John Millaway <millaway@acm.org>

	* configure.in, tests/Makefile.am, tests/descriptions,
	tests/test-linedir-r/.cvsignore, tests/test-linedir-r/Makefile.am,
	tests/test-linedir-r/check-lines.awk, tests/test-linedir-r/main.c,
	tests/test-linedir-r/scanner.l, tests/test-linedir-r/test.input:
	Added test for #line directives.

2003-03-25 20:37  John Millaway <millaway@acm.org>

	* configure.in, tests/Makefile.am, tests/test-noansi-nr/.cvsignore,
	tests/test-noansi-nr/Makefile.am, tests/test-noansi-nr/scanner.l,
	tests/test-noansi-nr/test.input, tests/test-noansi-r/.cvsignore,
	tests/test-noansi-r/Makefile.am, tests/test-noansi-r/scanner.l,
	tests/test-noansi-r/test.input: Added test for noansi (traditional)
	options.  Reordered the tests so the basic ones are first.

2003-03-25 15:51  Will Estes <wlestes@users.sourceforge.net>

	* TODO, doc/Makefile.am: remove maintainer-mode conditional around
	rebuilding of manpage

2003-03-25 15:45  Will Estes <wlestes@users.sourceforge.net>

	* README: mention doc/ for user documentation

2003-03-25 15:45  Will Estes <wlestes@users.sourceforge.net>

	* TODO: rework distribution items

2003-03-25 15:45  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: mention m4 processing

2003-03-25 15:44  Will Estes <wlestes@users.sourceforge.net>

	* tests/README: update instructions for running test suite

2003-03-25 11:39  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h, Makefile.am, TODO, buf.c, configure.in, filter.c,
	flex.skl, flexdef.h, gen.c, main.c, misc.c, options.c, options.h,
	regex.c, scan.l, sym.c, doc/flex.texi,
	tests/test-bison-nr/scanner.l, tests/test-bison-yylloc/scanner.l,
	tests/test-reject/scanner.l, tests/test-table-opts/scanner.l: merge
	millaway's m4 branch work

2003-03-20 15:10  Will Estes <wlestes@users.sourceforge.net>

	* TODO: we want to move the contents of to.do/Wishlist to top level
	TODO

2003-03-20 13:09  John Millaway <millaway@acm.org>

	* to.do/Wish-List: Assessment of every item in Wish-List.

2003-03-17 04:57  John Millaway <millaway@acm.org>

	* regex.c: file regex.c was initially added on branch m4.

2003-03-10 15:00  John Millaway <millaway@acm.org>

	* filter.c: file filter.c was initially added on branch m4.

2003-03-05 14:52  Will Estes <wlestes@users.sourceforge.net>

	* texinfo.tex, doc/.cvsignore: move texinfo.tex to doc/

2003-03-05 14:37  Will Estes <wlestes@users.sourceforge.net>

	* TODO: update TODO

2003-03-05 14:37  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.29

2003-03-04 18:43  John Millaway <millaway@acm.org>

	* FlexLexer.h, flex.skl: Added growable buffer stack to C++ scanner
	as well.  yyensure_buffer_stack is now static.

2003-03-01 20:45  John Millaway <millaway@acm.org>

	* flex.skl, misc.c: Removed awkward %push %pop syntax from
	skeleton.

2003-03-01 19:34  John Millaway <millaway@acm.org>

	* flex.skl: Renamed YY_CURRENT_BUFFER_FAST to
	YY_CURRENT_BUFFER_LVALUE to better reflect its purpose.

2003-02-28 15:19  John Millaway <millaway@acm.org>

	* NEWS: made entry on input buffer stacks.

2003-02-28 09:23  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, doc/Makefile.am: build on . in top level first; this
	will simplify calling help2man

2003-02-28 06:27  John Millaway <millaway@acm.org>

	* TODO, flex.skl, gen.c, main.c, doc/flex.texi: Removed
	yy_current_buffer from the planet.  Input buffer states are now in
	an internal unbounded stack.  Added new internal function,
	yyensure_buffer_stack.	Added new API function,
	yypush_buffer_state.  Added new API function, yypop_buffer_state. 
	Documented the new API calls in the manual.  Macro YY_BUFFER_STATE
	now refers to top of stack.  This revision breaks the C++ scanner
	(again.)

2003-02-28 04:02  John Millaway <millaway@acm.org>

	* main.c: Removed some symbols from the undef list. They are needed
	for multiple headers to coexist.

2003-02-27 10:37  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, NEWS, configure.in, flex.texi, doc/.cvsignore,
	doc/Makefile.am, doc/flex.texi: move flex.texi and flex.1 to new
	doc/ subdirectory

2003-02-27 09:44  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: namespace cleanups

2003-02-26 18:23  John Millaway <millaway@acm.org>

	* main.c: Added a few macros to the undef list.

2003-02-26 18:17  John Millaway <millaway@acm.org>

	* main.c: Put the undef macros in an array.

2003-02-12 16:54  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.28

2003-02-10 09:11  Will Estes <wlestes@users.sourceforge.net>

	* README, TODO, configure.in, flex.texi: update documentation to
	reflect the sourceforge move

2003-02-06 16:00  Will Estes <wlestes@users.sourceforge.net>

	* TODO: update according to current thinking

2003-02-06 15:12  Will Estes <wlestes@users.sourceforge.net>

	* TODO: mcvs reviewed

2003-02-06 09:06  Will Estes <wlestes@users.sourceforge.net>

	* TODO: sourceforge migration tasks

2003-02-04 09:10  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: Flex now warns if always-interactive is specified with fast
	or full; Fixed trailing slash bug in YY_INPUT macro def

2003-01-31 17:30  John Millaway <millaway@acm.org>

	* scan.l: Flex now warns if always-interactive is specified with
	fast or full.

2003-01-31 12:37  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: switch to using cvs2cl.pl to generate the ChangeLog

2003-01-31 12:12  Will Estes <wlestes@users.sourceforge.net>

	* tools/: cvs2cl.pl, cvsauthors: we're going to be switching how we
	handle our ChangeLog

2003-01-29 15:16  John Millaway <millaway@acm.org>

	* gen.c, misc.c: Fixed trailing slash bug in YY_INPUT macro def.

2003-01-29 13:09  Will Estes <wlestes@users.sourceforge.net>

	* README.cvs-snapshot: upgrade texinfo to 4.3d

2003-01-29 13:07  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: the @copying construct works now; thanks to the
	texinfo maintainers for finding the problem

2003-01-21 08:33  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.27

2003-01-21 08:32  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: flex now works with recent bison versions

2003-01-18 13:54  John Millaway <millaway@acm.org>

	* flex.skl: Check for YYLTYPE_IS_DECLARED. This fixes bison-bridge
	with latest bison.

2003-01-15 08:33  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/pt_BR.po: new pt_br translation

2003-01-14 10:51  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.26

2003-01-14 09:12  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: Fixed table deserialization bug on big-endian archs. Patch
	sent from Bryce Nichols <bryce@bnichols.org>

2003-01-11 22:30  John Millaway <millaway@acm.org>

	* tables_shared.h: Fixed table deserialization bug on big-endian
	archs. Patch sent from Bryce Nichols <bryce@bnichols.org>.

2003-01-10 09:05  Will Estes <wlestes@users.sourceforge.net>

	* README.cvs-snapshot: add version numbers for some tools and
	explain about version.texi and --enable-maintainer-mode

2003-01-10 08:59  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: catch news up

2003-01-09 18:06  John Millaway <millaway@acm.org>

	* tests/: test-mem-nr/scanner.l, test-mem-r/scanner.l: Changed
	size_t to yy_size_t in yyalloc() and yyrealloc(). Is this really
	what we want?

2003-01-09 17:20  John Millaway <millaway@acm.org>

	* flex.skl: Changed type of yyleng from size_t to int. This fixes
	bug in PostgreSQL compilation.

2003-01-09 11:15  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: catch news up

2003-01-09 11:15  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: more c++ fixes

2003-01-09 10:43  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in, flex.spec.in: add a spec file

2003-01-09 10:25  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: type cast to pacify c++ compilers; patch from Bruce
	Lilly <blilly@erols.com>

2003-01-08 12:58  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: new es translation

2003-01-08 12:57  Will Estes <wlestes@users.sourceforge.net>

	* po/es.po: new spanish translation

2002-12-18 22:17  John Millaway <millaway@acm.org>

	* gen.c: Fixed bug where YY_G(0) sometimes occurs (created by my
	previous commit.)

2002-12-17 18:53  John Millaway <millaway@acm.org>

	* gen.c: Fixed bug submitted by Bojan Smojver <bojan@rexursive.com>
	where the use of yylineno, reentrant, and yymore together caused a
	compile-time error.

2002-12-17 16:57  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: update NEWS

2002-12-17 15:28  John Millaway <millaway@acm.org>

	* flex.texi: Documented new behavior with character ranges.

2002-12-16 18:33  John Millaway <millaway@acm.org>

	* parse.y: Fixed bug submitted by  Bruce Lilly <blilly@erols.com>
	where character ranges would yield unexpected behavior in a
	caseless scanner.  Also, flex now emits a warning if the range
	looks like trouble.

2002-12-16 18:28  John Millaway <millaway@acm.org>

	* flexdef.h, ccl.c: Added utility functions to deal with character
	case.

2002-12-09 09:14  Will Estes <wlestes@users.sourceforge.net>

	* flexint.h: we don't really need int64 anyway

2002-12-09 09:13  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: apparently some lints are happier with fllthrough
	without a space

2002-12-02 15:50  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.25

2002-12-02 15:48  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: enclose flex.1 target in MAINTERNER_MODE

2002-12-02 08:39  Will Estes <wlestes@users.sourceforge.net>

	* po/pt_BR.po: new pt_br translation

2002-12-01 13:31  John Millaway <millaway@acm.org>

	* flex.texi: Indexed some more faqs.

2002-11-28 22:34  John Millaway <millaway@acm.org>

	* flex.skl: Fixed bug in SECOND yyless definition where argument
	was not enclosed in parentheses.

2002-11-28 22:29  John Millaway <millaway@acm.org>

	* flex.skl: Fixed bug in yyless definition where argument was not
	enclosed in parentheses.

2002-11-27 13:42  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: flex uses flex_int*_t types

2002-11-27 13:41  Will Estes <wlestes@users.sourceforge.net>

	* flexint.h: integer types for non-C99 systems flexint.h

2002-11-27 09:43  John Millaway <millaway@acm.org>

	* dfa.c, flexint.h, gen.c, tables.c, tables.h, tables_shared.c,
	tables_shared.h: Changed int types to flex_intX_t. The build is now
	broken until typedef's are established.

2002-11-27 09:05  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: MAINTAINERCLEANFILES: new variable: try to make it
	so that make maintainer-clean  erases everything not under version
	control

2002-11-27 08:53  Will Estes <wlestes@users.sourceforge.net>

	* config.rpath: remove config.rpath

2002-11-27 08:52  Will Estes <wlestes@users.sourceforge.net>

	* README-alpha: just list location of betas

2002-11-26 09:46  Will Estes <wlestes@users.sourceforge.net>

	* flexint.h: __STDC_VERSION__ needs an L suffix

2002-11-26 08:22  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/LINGUAS, po/pt_BR.po: new pt_br translation from the
	translation project

2002-11-25 11:19  Will Estes <wlestes@users.sourceforge.net>

	* flexint.h: include inttypes.h for folks who really are C99

2002-11-25 09:17  Will Estes <wlestes@users.sourceforge.net>

	* TODO: fix a typo

2002-11-25 08:53  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.24

2002-11-23 12:59  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: try to make sure we have GNU m4

2002-11-23 12:56  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-c++-multiple-scanners/Makefile.am: include
	tests/test-c++-multipl-scanners/test.input

2002-11-23 12:28  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: more portability fixes

2002-11-23 11:50  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, flexdef.h: apparently on some BSD systems, we need
	sys/params.h; reported by millaway

2002-11-22 16:04  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: update NEWS

2002-11-22 15:38  John Millaway <millaway@acm.org>

	* flex.skl, main.c, tests/test-c++-multiple-scanners/Makefile.am:
	Fixed prefix of yyalloc,yyfree,yyrealloc in C++ scanner.  Removed
	yylex_destroy from C++ scanner.

2002-11-22 15:05  John Millaway <millaway@acm.org>

	* flex.texi: renamed some faqs.

2002-11-22 08:20  Will Estes <wlestes@users.sourceforge.net>

	* AUTHORS: update wording about authorship

2002-11-17 17:17  John Millaway <millaway@acm.org>

	* parse.y: Removed space before line num in error messages to look
	more like gcc's errors.

2002-11-06 10:16  Will Estes <wlestes@users.sourceforge.net>

	* po/tr.po, NEWS: new turkish translation from the translation
	project

2002-10-28 07:21  Will Estes <wlestes@users.sourceforge.net>

	* gen.c: applied c++ from lilypond folks for std:: reasons

2002-10-25 15:18  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: proofreading

2002-10-24 16:07  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: proofreading

2002-10-22 10:28  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: use c-style header names in c++ for now; at some point
	we'll have a separate c++ skeleton and we can go whole-hog pure c++

2002-10-22 10:01  Will Estes <wlestes@users.sourceforge.net>

	* TODO: c++ rants

2002-10-22 09:37  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: more proofreading

2002-10-22 09:37  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: include intent.pro; indent target is MAINTAINER_MODE
	conditional

2002-10-22 08:32  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: When we use AC_PATH_PROG, value-if-not-found is the
	name of the program we wanted to find; this will generate more
	helpful error messages

2002-10-21 19:52  John Millaway <millaway@acm.org>

	* tables.c: Added a missing function prototype.

2002-10-21 13:30  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.23

2002-10-21 13:27  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: update NEWS on recent changes

2002-10-21 13:21  Will Estes <wlestes@users.sourceforge.net>

	* flexint.h: use sys/types.h and not inttypes.h

2002-10-21 13:20  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: check for limits.h

2002-10-21 13:19  Will Estes <wlestes@users.sourceforge.net>

	* TODO: update TODO on recent suggestions

2002-10-21 11:28  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: titlepage and contents

2002-10-21 10:45  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: typo

2002-10-21 10:27  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, README.cvs-snapshot: include README.cvs-snapshot in
	the distribution; in README-cvs-snapshot, mention the need for
	enable-maintainer-mode

2002-10-20 22:26  John Millaway <millaway@acm.org>

	* flex.texi: typo.

2002-10-18 11:25  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: report the current version info that flex provides;
	reformat a list of non-posix features

2002-10-18 11:25  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: report the current version info that flex provides

2002-10-18 11:23  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: FLEX_BETA defined if flex is beta

2002-10-16 09:15  Will Estes <wlestes@users.sourceforge.net>

	* flexint.h: if we're doing c++, then we can't use long long

2002-10-14 11:33  Will Estes <wlestes@users.sourceforge.net>

	* TODO: update TODO on several things

2002-10-11 16:40  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: more proofreading

2002-10-11 11:26  Will Estes <wlestes@users.sourceforge.net>

	* tests/: TEMPLATE/Makefile.am, test-array-nr/Makefile.am,
	test-array-r/Makefile.am, test-basic-nr/Makefile.am,
	test-basic-r/Makefile.am, test-bison-nr/Makefile.am,
	test-bison-yylloc/Makefile.am, test-bison-yylval/Makefile.am,
	test-c++-basic/Makefile.am, test-c++-multiple-scanners/Makefile.am,
	test-c-cpp-nr/Makefile.am, test-c-cpp-r/Makefile.am,
	test-debug-nr/Makefile.am, test-debug-r/Makefile.am,
	test-header-nr/Makefile.am, test-header-r/Makefile.am,
	test-include-by-buffer/Makefile.am,
	test-include-by-reentrant/Makefile.am, test-lineno-nr/Makefile.am,
	test-lineno-r/Makefile.am, test-mem-nr/Makefile.am,
	test-mem-r/Makefile.am, test-multiple-scanners-nr/Makefile.am,
	test-multiple-scanners-r/Makefile.am, test-posix/Makefile.am,
	test-posixly-correct/Makefile.am, test-prefix-nr/Makefile.am,
	test-prefix-r/Makefile.am, test-pthread/Makefile.am,
	test-reject/Makefile.am, test-string-nr/Makefile.am,
	test-string-r/Makefile.am, test-table-opts/Makefile.am,
	test-yyextra/Makefile.am: remove BISON assignment as per suggestion
	from Akim Demaille

2002-10-11 11:04  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in: remove intl from dist

2002-10-11 10:33  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: we use maintainer mode now

2002-10-11 10:33  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: include create-test

2002-10-11 10:23  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.am: rename test to check-local as per Akim
	Demaille; test for failed tests so that make check fails if any
	tests do

2002-10-11 08:46  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.am: use dist_noinst_scripts as per email from Akim
	Demaille

2002-10-10 17:42  John Millaway <millaway@acm.org>

	* flex.texi: Documentation.

2002-10-10 15:54  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.22; portability fixes and attn to
	the test suite

2002-10-10 15:36  Will Estes <wlestes@users.sourceforge.net>

	* flexint.h: ok, this seems to work

2002-10-10 15:12  Will Estes <wlestes@users.sourceforge.net>

	* tests/: TEMPLATE/Makefile.am, test-bison-nr/Makefile.am,
	test-bison-yylloc/Makefile.am, test-bison-yylval/Makefile.am,
	test-header-nr/Makefile.am, test-header-r/Makefile.am,
	test-multiple-scanners-nr/Makefile.am,
	test-multiple-scanners-r/Makefile.am: use builddir in tests that
	need it in their include path

2002-10-10 14:13  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am: sometimes we put header files in the
	builddir and so we should account for that

2002-10-10 14:08  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am: replace the last	instance

2002-10-10 13:02  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: include unistd.h and not cunistd as cunistd only seems
	to be present on very recent systems

2002-10-10 11:34  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in, flex.skl, flexdef.h, flexint.h: redo
	integral types again; add flexint.h; change dependencies caused by
	adding flexint.h; remove autoconf wrapper around cunistd; restore
	netinet/in.h includes; remove unneded feature checks in
	configure.in

2002-10-08 11:32  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, flex.skl, flexdef.h: current swipe at header magic;
	int types be damned

2002-10-08 11:19  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: change version constant info to reflect change to flex.skl

2002-10-08 11:15  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: remove README-alpha option; add definitions for
	FLEX_{MAJOR,MINOR,SUBMINOR}_VERSION

2002-10-07 11:29  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, flexdef.h: ok, here goes; try to handle integral
	typedefs in one swell foop

2002-10-07 11:28  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: we check for {u,}int*_t types; maybe this will
	simplify things

2002-10-07 09:12  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: we create the tests/TEMPLATE/Makefile so that we
	can build the dist archives

2002-10-07 08:38  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: more test suite cleanups

2002-10-07 08:37  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-c++-multiple-scanners/Makefile.am: we don't use header
	files...

2002-10-07 08:26  Will Estes <wlestes@users.sourceforge.net>

	* flexdef.h: remove include of malloc.h

2002-10-04 15:33  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: more editing; remove examples index; merge examples
	into concept index

2002-10-04 08:36  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: edited one more faq; used C-u C-c C-u C-a to update
	menus and nodes since the other updating commands are somewhat
	broken; unfortunately this means that all nodes have all pointers
	filled in

2002-10-04 08:19  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: yesterday's proofreading

2002-10-02 16:07  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: proofread some more

2002-10-02 08:38  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: proofread edit begins

2002-10-01 11:10  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, tests/Makefile.am,
	tests/test-c++-multiple-scanners/.cvsignore,
	tests/test-c++-multiple-scanners/Makefile.am,
	tests/test-c++-multiple-scanners/main.cpp,
	tests/test-c++-multiple-scanners/scanner-1.l,
	tests/test-c++-multiple-scanners/scanner-2.l,
	tests/test-c++-multiple-scanners/test.input: test c++ with multiple
	scanners

2002-09-27 16:58  Will Estes <wlestes@users.sourceforge.net>

	* tests/: test-array-nr/Makefile.am, test-array-r/Makefile.am,
	test-basic-nr/Makefile.am, test-basic-r/Makefile.am,
	test-bison-nr/Makefile.am, test-bison-yylloc/Makefile.am,
	test-bison-yylval/Makefile.am, test-c++-basic/Makefile.am,
	test-c-cpp-nr/Makefile.am, test-c-cpp-r/Makefile.am,
	test-debug-nr/Makefile.am, test-debug-r/Makefile.am,
	test-header-nr/Makefile.am, test-header-r/Makefile.am,
	test-include-by-buffer/Makefile.am,
	test-include-by-reentrant/Makefile.am, test-lineno-nr/Makefile.am,
	test-lineno-r/Makefile.am, test-mem-nr/Makefile.am,
	test-mem-r/Makefile.am, test-multiple-scanners-nr/Makefile.am,
	test-multiple-scanners-r/Makefile.am, test-posix/Makefile.am,
	test-posixly-correct/Makefile.am, test-prefix-nr/Makefile.am,
	test-prefix-r/Makefile.am, test-pthread/Makefile.am,
	test-reject/Makefile.am, test-string-nr/Makefile.am,
	test-string-r/Makefile.am, test-table-opts/Makefile.am,
	test-yyextra/Makefile.am: we used INCLUDES in another place in the
	Makefile.am files in the test suite

2002-09-27 16:50  Will Estes <wlestes@users.sourceforge.net>

	* tests/: test-array-nr/Makefile.am, test-array-r/Makefile.am,
	test-basic-nr/Makefile.am, test-basic-r/Makefile.am,
	test-bison-nr/Makefile.am, test-bison-yylloc/Makefile.am,
	test-bison-yylval/Makefile.am, test-c++-basic/Makefile.am,
	test-c-cpp-nr/Makefile.am, test-c-cpp-r/Makefile.am,
	test-debug-nr/Makefile.am, test-debug-r/Makefile.am,
	test-header-nr/Makefile.am, test-header-r/Makefile.am,
	test-include-by-buffer/Makefile.am,
	test-include-by-reentrant/Makefile.am, test-lineno-nr/Makefile.am,
	test-lineno-r/Makefile.am, test-mem-nr/Makefile.am,
	test-mem-r/Makefile.am, test-multiple-scanners-nr/Makefile.am,
	test-multiple-scanners-r/Makefile.am, test-posix/Makefile.am,
	test-posixly-correct/Makefile.am, test-prefix-nr/Makefile.am,
	test-prefix-r/Makefile.am, test-pthread/Makefile.am,
	test-reject/Makefile.am, test-string-nr/Makefile.am,
	test-string-r/Makefile.am, test-table-opts/Makefile.am,
	test-yyextra/Makefile.am: oops, I typed that last s/// command to
	perl way wrong

2002-09-27 16:46  Will Estes <wlestes@users.sourceforge.net>

	* tests/: TEMPLATE/Makefile.am, test-array-nr/Makefile.am,
	test-array-r/Makefile.am, test-basic-nr/Makefile.am,
	test-basic-r/Makefile.am, test-bison-nr/Makefile.am,
	test-bison-yylloc/Makefile.am, test-bison-yylval/Makefile.am,
	test-c++-basic/Makefile.am, test-c-cpp-nr/Makefile.am,
	test-c-cpp-r/Makefile.am, test-debug-nr/Makefile.am,
	test-debug-r/Makefile.am, test-header-nr/Makefile.am,
	test-header-r/Makefile.am, test-include-by-buffer/Makefile.am,
	test-include-by-reentrant/Makefile.am, test-lineno-nr/Makefile.am,
	test-lineno-r/Makefile.am, test-mem-nr/Makefile.am,
	test-mem-r/Makefile.am, test-multiple-scanners-nr/Makefile.am,
	test-multiple-scanners-r/Makefile.am, test-posix/Makefile.am,
	test-posixly-correct/Makefile.am, test-prefix-nr/Makefile.am,
	test-prefix-r/Makefile.am, test-pthread/Makefile.am,
	test-reject/Makefile.am, test-string-nr/Makefile.am,
	test-string-r/Makefile.am, test-table-opts/Makefile.am,
	test-yyextra/Makefile.am: use AM_CPPFLAGS instead of INCLUDES;
	write -I with no space after it for broken compilers

2002-09-27 16:28  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: INCLUDES is obsolete; use AM_CPPFLAGS instead

2002-09-27 13:02  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: apparently, AM_CONFIG_HEADER is obsolete

2002-09-27 12:30  Will Estes <wlestes@users.sourceforge.net>

	* TODO: integrate test suite into automake

2002-09-27 12:18  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: since we dont run the template test, we dont need
	to generate its Makefile either

2002-09-27 12:17  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: use autoreconf instead of calling individual
	utilities separately

2002-09-27 09:20  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: check for c++ compiler

2002-09-27 09:20  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: re-organize according to suggested layout in
	autoconf manual

2002-09-26 08:54  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, NEWS, configure.in: update automake to 1.7 and
	autoconf to 2.54

2002-09-26 08:48  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: use AM_YFLAGS since YFLAGS is a user variable

2002-09-25 09:40  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: catch NEWS up on things, some of which happened a long time
	ago; correct punctuation; try to remove some editorializing

2002-09-25 09:39  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, flex.skl, flex.texi: include a single, automatically
	generated version number in flex scanners

2002-09-23 16:39  Will Estes <wlestes@users.sourceforge.net>

	* tests/create-test: complain audibly when argument not supplied;
	echo on stderr when writing error messages

2002-09-23 12:02  Will Estes <wlestes@users.sourceforge.net>

	* tests/: Makefile.am, create-test: DIST_SUBDIRS so we don't have
	to run the TEMPLATE test; so we add new tests to SUBDIRS and
	DIST_SUBDIRS

2002-09-23 11:30  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am: not all compilers support '-I dir' so
	we write '-Idir' instead

2002-09-23 10:00  Will Estes <wlestes@users.sourceforge.net>

	* TODO: reorganize faq entries; proofread the manual

2002-09-23 09:55  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: move c++ experimental warning to top of cxx node

2002-09-20 13:17  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: move stdint.h include to table-serialization section;
	we'll still need to think about stdint.h more though

2002-09-20 08:30  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: new smarter skeleton/scanner generation

2002-09-19 20:06  John Millaway <millaway@acm.org>

	* flex.skl, misc.c: bison-bridge skel handled via %if/%endif pairs.

2002-09-19 19:57  John Millaway <millaway@acm.org>

	* flex.skl, misc.c: reentrant skel handled via %if/%endif pairs.

2002-09-19 19:20  John Millaway <millaway@acm.org>

	* flex.skl, misc.c: skeleton uses %push/%pop to keep skelout()
	scope sane.  skel commands are omitted unless --debug enabled.

2002-09-19 15:46  John Millaway <millaway@acm.org>

	* flex.skl, main.c, misc.c, tables.h: Added %push and %pop
	operations to skel processing.

2002-09-17 08:27  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: flex 2.5.21

2002-09-17 00:10  John Millaway <millaway@acm.org>

	* tests/test-reject/Makefile.am: minor fixup for dist.

2002-09-16 16:26  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.20

2002-09-16 16:25  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: correct typo

2002-09-16 15:59  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: note the new tables functionality

2002-09-16 14:40  John Millaway <millaway@acm.org>

	* tests/test-multiple-scanners-r/: .cvsignore, Makefile.am: Fixed
	`clean' target and .cvsignore.

2002-09-16 14:38  John Millaway <millaway@acm.org>

	* TODO, flex.skl, flex.texi, main.c, tables_shared.h,
	tests/test-multiple-scanners-r/main.c,
	tests/test-multiple-scanners-r/scanner-1.l,
	tests/test-multiple-scanners-r/scanner-2.l: Serialization works in
	headers (%option headers).  Serialization code (Tables API) is
	complete.

2002-09-16 08:41  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-reject/scanner.l: replace yytables_load with
	yytables_fload as per millaway's other changes

2002-09-15 19:13  John Millaway <millaway@acm.org>

	* TODO, flex.texi: Created user API for tables deserialization. 
	Documented API and --tables-* options in manual.

2002-09-15 19:12  John Millaway <millaway@acm.org>

	* flex.skl, tests/test-table-opts/scanner.l: Tables deserialization
	uses yyalloc/yyfree.  Changed yytables_load to yytables_fload.

2002-09-15 18:09  John Millaway <millaway@acm.org>

	* tests/test-bison-nr/.cvsignore: minor upkeep.

2002-09-15 15:53  John Millaway <millaway@acm.org>

	* flex.texi: Categorized and indexed scanner options in manual.

2002-09-15 12:47  John Millaway <millaway@acm.org>

	* flex.skl: Initialization of reject vars and %array vars in
	reentrant scanner.

2002-09-13 17:54  John Millaway <millaway@acm.org>

	* TODO, configure.in, dfa.c, flex.skl, flex.texi, gen.c, tables.c,
	tables_shared.c, tables_shared.h, devel/tables.pl,
	tests/Makefile.am, tests/test-reject/.cvsignore,
	tests/test-reject/Makefile.am, tests/test-reject/scanner.l,
	tests/test-reject/test.input, tests/test-table-opts/Makefile.am:
	Created test for reject.  Handled reject-triggered tables in
	serialization.

2002-09-13 08:28  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: millaway has been very busy

2002-09-13 03:12  John Millaway <millaway@acm.org>

	* flex.skl, tests/test-table-opts/Makefile.am,
	tests/test-table-opts/scanner.l: Added test for multiple tables in
	one file.

2002-09-12 21:19  John Millaway <millaway@acm.org>

	* tests/test-bison-nr/.cvsignore: forgot to add .cvsignore on last
	commit.

2002-09-12 21:18  John Millaway <millaway@acm.org>

	* tests/test-bison-nr/: Makefile.am, main.c, parser.y, scanner.l,
	test.input: Added test-bison-bridge.

2002-09-12 21:17  John Millaway <millaway@acm.org>

	* configure.in, flex.skl, flex.texi, flexdef.h, gen.c, main.c,
	misc.c, options.c, options.h, scan.l, tables.h, tests/Makefile.am,
	tests/descriptions, tests/test-bison-yylloc/scanner.l,
	tests/test-bison-yylval/scanner.l, tests/test-table-opts/scanner.l:
	Bison bridge code now works for all C scanners and pure/non-pure
	bison parsers.	Added %option bison-bridge (--bison-bridge). 
	Removed %option reentrant-bison/--reentrant-bison/-Rb.	Scanner
	knows the name of its tables.  Tables serialization is OK on EOF. 
	yylineno is present in all scanners.  Modified nasty performance
	penalty warning w/ yylineno.  test-table-opts is now run last
	because it's so fat.  Updated manual.

2002-09-12 11:48  John Millaway <millaway@acm.org>

	* flex.texi: documentation of tabels api in manual

2002-09-12 10:54  John Millaway <millaway@acm.org>

	* TODO, tables.c: Renamed *_fwrite to *_write to reflect writer
	abstraction.

2002-09-11 17:55  John Millaway <millaway@acm.org>

	* devel/tables.pl: Added perl script to read/dump serialized tables
	in devel/

2002-09-11 17:22  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: the debian patch used strlen(yytext) and similar
	constructs--as millaway points out, this is better known as yyleng

2002-09-11 16:00  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/de.po: new de translation from the translation project

2002-09-11 08:30  John Millaway <millaway@acm.org>

	* flex.skl: yytbl_load now checks tables set by name.  Localized
	var scaope in yytbl_load.

2002-09-10 09:12  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.am: make clean  before make test

2002-09-09 18:06  John Millaway <millaway@acm.org>

	* TODO, flex.skl: Fixed deserialization of --fast tables.

2002-09-09 16:44  Will Estes <wlestes@users.sourceforge.net>

	* TODO: fix typo; remove the yylineo entry

2002-09-09 15:25  John Millaway <millaway@acm.org>

	* TODO, buf.c, dfa.c, flex.skl, flexdef.h, gen.c, main.c, misc.c,
	options.c, options.h, scan.l, tables.c, tables.h, tables_shared.h,
	devel/dump-tables.pl, tests/test-table-opts/.cvsignore,
	tests/test-table-opts/Makefile.am, tests/test-table-opts/scanner.l:
	Table deserialization works for everything except --fast scanners. 
	Scanners can auto-verify serialized table integrity via 
	--tables-verify.  Added tables API items to TODO list. 
	test-table-opts is becoming exhaustive (a good thing).

2002-09-09 11:54  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: flex has better internal diagnostics

2002-09-09 11:52  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, flexdef.h: test for presence of __func__ and
	compensate if absent

2002-09-09 09:59  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: include the intl/ subdirectory when searching for
	include files

2002-09-09 08:49  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/ru.po, po/sv.po: new sv, ru translations from the
	translation project

2002-09-07 18:40  John Millaway <millaway@acm.org>

	* flex.skl, misc.c: Changed cryptic skeleton markers to readable
	form.

2002-09-07 00:18  John Millaway <millaway@acm.org>

	* Makefile.am, dfa.c, flex.skl, flex.texi, flexdef.h, gen.c,
	main.c, misc.c, parse.y, tables.c, tables.h, tables_shared.c,
	tables_shared.h: Members of struct yy_trans_info are now forced to
	be the same size.  Added shared file tables_shared.c.  Separated
	tables.h from flexdef.h Bulk of table deserialization code is done.

2002-09-06 11:42  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/ca.po: new ca translation

2002-09-06 11:24  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: new fr translation

2002-09-06 11:22  Will Estes <wlestes@users.sourceforge.net>

	* po/fr.po: new french translation from the translation project

2002-09-05 14:41  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: c99 function defs by default

2002-09-05 14:22  John Millaway <millaway@acm.org>

	* flexdef.h, tables.c: Added flex_die macro. May need some autoconf
	massaging.  Added thorough error checking in tables code.

2002-09-05 14:21  John Millaway <millaway@acm.org>

	* flex.skl, flex.texi: Flex generates C99 defs now.  Documented the
	above change in manual.

2002-09-05 14:12  John Millaway <millaway@acm.org>

	* tests/test-table-opts/: .cvsignore, Makefile.am: Added
	serialization test to table-opts test.

2002-09-05 12:03  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: oops, i made a typo

2002-09-05 12:01  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.19

2002-09-05 10:08  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: use FLEX_EXIT(), not exit()

2002-09-05 09:53  John Millaway <millaway@acm.org>

	* devel/: 00EXTRACT-ALL-SYMS.sh, README, dump-tables.pl: Added
	devel/ directory for junk that we don't want in the distribution,
	but that we want in CVS.

2002-09-05 09:26  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: s/exit(1)/exit(EXIT_FAILURE)

2002-09-05 09:18  John Millaway <millaway@acm.org>

	* dfa.c, gen.c: Tables are now generated with %option
	tables-file=FILE.

2002-09-05 09:14  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: catch up on a few things

2002-09-05 09:11  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: prevent segfault on input lines which are longer than the
	allocated space (problem report from Manoj Srivastava
	<srivasta@golden-gryphon.com>)

2002-09-05 06:54  John Millaway <millaway@acm.org>

	* flex.texi, main.c, options.c, options.h: Changed option 'header'
	to 'header-file'. 'header' still works, though.

2002-09-05 06:48  John Millaway <millaway@acm.org>

	* flex.texi, flexdef.h, gen.c, main.c, options.c, options.h,
	scan.l, tables.c: Tons more work on tables.

2002-09-05 00:24  John Millaway <millaway@acm.org>

	* flexdef.h, gen.c, tables.c, tables_shared.h: Lots of work on
	tables serialization code.

2002-09-04 08:36  Will Estes <wlestes@users.sourceforge.net>

	* README.cvs-snapshot: mention GNU indent

2002-09-04 08:33  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: remove the word after from the version line

2002-09-03 17:02  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.18

2002-09-03 09:46  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: catch up on the NEWS

2002-09-03 09:42  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.am: target test: quote the results echoing so that
	the ECHO_C will work on systems where it is used

2002-09-03 09:08  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: when we don't have GNU indent, the test will
	generate output on stderr, so we send that to /dev/null

2002-09-03 08:56  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: fixed bug whereby bison was reported missing even
	when it was found

2002-09-02 14:44  John Millaway <millaway@acm.org>

	* tables.c: In-code documentation.

2002-09-02 14:44  John Millaway <millaway@acm.org>

	* flexdef.h: Forgot to indent before previous commit.

2002-09-02 13:55  John Millaway <millaway@acm.org>

	* flexdef.h: Added known integer limits if undefined.

2002-08-29 17:12  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: version 2.5.17

2002-08-29 17:12  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: more portability fixes; new version number

2002-08-29 16:30  Will Estes <wlestes@users.sourceforge.net>

	* flexdef.h, main.c, misc.c, scanopt.c: #include fixes; we've
	factored out all the system include files and put them in flexdef.h

2002-08-29 15:02  Will Estes <wlestes@users.sourceforge.net>

	* dfa.c: eat a blank line

2002-08-29 09:21  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: new config.{sub,guess} files; mention that we use indent on
	flex

2002-08-28 13:12  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: warn if no indent found; version 2.5.16

2002-08-28 13:10  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: catch up on recent changes; version 2.5.16

2002-08-27 14:07  Will Estes <wlestes@users.sourceforge.net>

	* buf.c, ccl.c, dfa.c, ecs.c, flexdef.h, gen.c, libmain.c,
	libyywrap.c, main.c, misc.c, nfa.c, options.c, options.h,
	scanopt.c, scanopt.h, sym.c, tables.c, tables_shared.h, tblcmp.c,
	yylex.c: ran the indent target; commit the results

2002-08-27 14:05  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: touch up the indent targeet; it's ready for
	production use now

2002-08-27 14:01  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: test for GNU indent; reorder the tests somewhat

2002-08-23 10:29  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: automake is smarter about autoconf's versioning
	scheme

2002-08-23 09:18  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: catch NEWS up on what we've been doing

2002-08-22 13:18  Will Estes <wlestes@users.sourceforge.net>

	* flexdef.h: do some more conditional including for folks without
	standard systems

2002-08-22 13:15  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-c++-basic/Makefile.am: use CXX to link the test
	scanner here

2002-08-22 01:35  John Millaway <millaway@acm.org>

	* flex.texi: Documentation.

2002-08-21 21:49  John Millaway <millaway@acm.org>

	* Makefile.am: Created 'indent' target and added .indent.pro.

2002-08-21 21:42  John Millaway <millaway@acm.org>

	* tests/: test-array-nr/Makefile.am, test-array-r/Makefile.am,
	test-basic-nr/Makefile.am, test-basic-r/Makefile.am,
	test-c-cpp-nr/Makefile.am: Fixed missing 'make clean' files.

2002-08-21 21:34  John Millaway <millaway@acm.org>

	* tests/: test-bison-yylloc/Makefile.am,
	test-bison-yylval/Makefile.am: fixed missing 'clean' file.

2002-08-21 21:11  John Millaway <millaway@acm.org>

	* flex.skl, tests/test-c++-basic/Makefile.am,
	tests/test-c++-basic/scanner.l: Removed core of yylex_destroy from
	c++ scanner -- hack! Added -lstdc++ to LDFLAGS (should we have to
	do this??)

2002-08-21 10:15  Will Estes <wlestes@users.sourceforge.net>

	* README: official releases are being hosted by Vern

2002-08-21 09:42  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: new beta version; more entries in NEWS from
	millaway; the top level entry for test-c++-basic

2002-08-21 09:41  Will Estes <wlestes@users.sourceforge.net>

	* tests/: Makefile.am, test-c++-basic/.cvsignore,
	test-c++-basic/Makefile.am, test-c++-basic/scanner.l,
	test-c++-basic/test.input: add test-c++-basic

2002-08-21 02:54  John Millaway <millaway@acm.org>

	* gen.c, nfa.c: More tabels work.

2002-08-20 21:54  John Millaway <millaway@acm.org>

	* flexdef.h, gen.c, tables.c, tables_shared.h: More work on tables.

2002-08-20 19:49  John Millaway <millaway@acm.org>

	* dfa.c: Cleaned up macros that took no ';'.

2002-08-20 19:47  John Millaway <millaway@acm.org>

	* scanopt.c: Fixed oddball '=-'.

2002-08-20 17:42  John Millaway <millaway@acm.org>

	* flex.skl, flex.texi, gen.c: Dynamically allocate REJECT state
	buffer.  Mentioned memory usage in docs.  Made REJECT buffer
	variables reentrant-safe.

2002-08-20 17:37  John Millaway <millaway@acm.org>

	* tables.c: More work on tables code.

2002-08-20 10:52  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, NEWS, configure.in: we're using m4 so have configure
	test for it

2002-08-20 00:23  John Millaway <millaway@acm.org>

	* Makefile.am, tables.c: Added tables.c and rebuilt dependencies.

2002-08-19 20:30  John Millaway <millaway@acm.org>

	* TODO, flex.texi: Dicussed prototypes and header in manual.

2002-08-19 17:56  John Millaway <millaway@acm.org>

	* Makefile.am, configure.in, flex.skl, flexdef.h, tables_shared.h:
	More work on tables serialization.

2002-08-19 17:15  John Millaway <millaway@acm.org>

	* Makefile.am, mkskel.sh: Skeleton is now passed through m4 (before
	dist is built).

2002-08-19 08:51  Will Estes <wlestes@users.sourceforge.net>

	* po/: LINGUAS, zh_CN.po: add zh_cn translation from the
	translation project

2002-08-19 08:51  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: millaway's done a lot of things which need to be mentioned
	in NEWS

2002-08-18 16:32  John Millaway <millaway@acm.org>

	* main.c: Removed #undef of start conditions.

2002-08-17 18:24  John Millaway <millaway@acm.org>

	* TODO: todo list

2002-08-17 16:04  John Millaway <millaway@acm.org>

	* flexdef.h, main.c, misc.c: Start conditions now optional in
	header.  undef's now optional in header.  Start conditions are NOT
	prefixed.

2002-08-17 13:05  John Millaway <millaway@acm.org>

	* flex.skl, flex.texi: Working on tables API.

2002-08-16 18:32  John Millaway <millaway@acm.org>

	* flexdef.h, main.c, misc.c, options.c, options.h, parse.y, scan.l:
	Added --tables option.	Omitted tables code from generated scanner
	when unused.

2002-08-16 15:54  John Millaway <millaway@acm.org>

	* flex.skl, flex.texi, misc.c: Prelimary work on tables API.

2002-08-16 15:45  John Millaway <millaway@acm.org>

	* tests/: TEMPLATE/Makefile.am, test-array-nr/Makefile.am,
	test-array-r/Makefile.am, test-basic-nr/Makefile.am,
	test-basic-r/Makefile.am, test-bison-yylloc/Makefile.am,
	test-bison-yylval/Makefile.am, test-c-cpp-nr/Makefile.am,
	test-c-cpp-r/Makefile.am, test-debug-nr/Makefile.am,
	test-debug-r/Makefile.am, test-header-nr/Makefile.am,
	test-header-r/Makefile.am, test-include-by-buffer/Makefile.am,
	test-include-by-reentrant/Makefile.am, test-lineno-nr/Makefile.am,
	test-lineno-r/Makefile.am, test-mem-nr/Makefile.am,
	test-mem-r/Makefile.am, test-multiple-scanners-nr/Makefile.am,
	test-multiple-scanners-r/Makefile.am, test-posix/Makefile.am,
	test-posixly-correct/Makefile.am, test-prefix-nr/Makefile.am,
	test-prefix-r/Makefile.am, test-pthread/Makefile.am,
	test-string-nr/Makefile.am, test-string-r/Makefile.am,
	test-table-opts/Makefile.am, test-yyextra/Makefile.am: Tests now
	respect CFLAGS, CPPFLAGS, etc..

2002-08-16 15:03  John Millaway <millaway@acm.org>

	* tests/: test-basic-nr/scanner.l, test-basic-r/scanner.l,
	test-lineno-nr/scanner.l, test-lineno-r/scanner.l: Got rid of flex
	-s warnings in tests.

2002-08-16 14:51  John Millaway <millaway@acm.org>

	* Makefile.am: Updated dependencies list.

2002-08-15 17:23  John Millaway <millaway@acm.org>

	* main.c: Fixed seg fault bug in ecs.

2002-08-15 17:18  Will Estes <wlestes@users.sourceforge.net>

	* tests/: test-c-cpp-nr/.cvsignore, test-c-cpp-r/.cvsignore: ignore
	.cpp files since we generate them instead of .c

2002-08-15 11:37  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: version 2.5.14

2002-08-15 11:37  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: c-as-c++ tests reworked

2002-08-15 11:15  John Millaway <millaway@acm.org>

	* tests/: test-c-cpp-nr/Makefile.am, test-c-cpp-nr/scanner.l,
	test-c-cpp-r/Makefile.am, test-c-cpp-r/scanner.l: The c++ tests use
	.cpp instead of .c extensions just to be on the safe side.

2002-08-15 10:50  Will Estes <wlestes@users.sourceforge.net>

	* main.c: conditionally include <locale.h>; include config.h as
	well

2002-08-15 10:49  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, flex.skl: only include <cunistd> if we have it

2002-08-15 10:48  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: portability fixes; added missing punctuation; de
	translation now included

2002-08-15 10:16  Will Estes <wlestes@users.sourceforge.net>

	* po/LINGUAS: we also translate to german

2002-08-15 09:17  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: require automake at least 1.6

2002-08-15 08:32  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.13

2002-08-14 10:57  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: reverted away from the @copying as it breaks the info
	reader

2002-08-13 20:46  John Millaway <millaway@acm.org>

	* flex.texi, flexdef.h, main.c, misc.c: Start condition prefixes
	attempts to adjust to user preferences.

2002-08-13 17:19  John Millaway <millaway@acm.org>

	* main.c: Include start condition symbols in header.

2002-08-13 15:16  John Millaway <millaway@acm.org>

	* flexdef.h, main.c: Omit user code and tables from generated
	header file.

2002-08-13 09:14  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: use @copying construct to display the flex license;
	move copying and bug reporting to the front of the manual

2002-08-13 09:00  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: printf fix and yylex_init reports errors

2002-08-12 19:15  John Millaway <millaway@acm.org>

	* flex.texi: Updated manual for %option header.

2002-08-12 15:36  John Millaway <millaway@acm.org>

	* flex.skl, flex.texi, gen.c: Fixed type mismatch in printf. 
	yylex_init now reports errors.

2002-08-10 13:22  John Millaway <millaway@acm.org>

	* dfa.c, main.c: Added alignment flag for future use.

2002-08-10 13:17  John Millaway <millaway@acm.org>

	* tests/test-table-opts/: .cvsignore, Makefile.am: Added options to
	test-table-opts

2002-08-10 12:39  John Millaway <millaway@acm.org>

	* configure.in, tests/Makefile.am, tests/descriptions,
	tests/test-c-cpp-nr/Makefile.am, tests/test-table-opts/.cvsignore,
	tests/test-table-opts/Makefile.am, tests/test-table-opts/scanner.l,
	tests/test-table-opts/test.input: Added a test for various DFA
	table options.

2002-08-09 16:36  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: more faq editing; corrected mistyped nodenames

2002-08-09 13:41  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: fix typo which propogates out to generated scanners

2002-08-09 10:42  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: edited a few more faqs

2002-08-09 10:20  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, faq.texi: remove faq.texi as it's included in
	flex.texi

2002-08-08 17:12  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: a few more faq edits; remove faq-89

2002-08-08 16:50  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: cite, not site

2002-08-08 16:46  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: and get the faq included

2002-08-08 16:29  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: fix some grammer/typography in the top node and add a
	detailed menu

2002-08-08 13:10  Will Estes <wlestes@users.sourceforge.net>

	* TODO: we've updated gettext

2002-08-08 13:04  Will Estes <wlestes@users.sourceforge.net>

	* po/.cvsignore: we need to ignore a few more gettext files

2002-08-08 11:22  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.12

2002-08-08 10:53  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: mention gettext; document the non-need for bison/flex in
	the build process

2002-08-08 10:51  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in: include intl in the distribution and
	in the build process

2002-08-08 10:12  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: builddir in help2man call needed @-signs around it

2002-08-08 09:54  Will Estes <wlestes@users.sourceforge.net>

	* po/.cvsignore: we can ignore Makefile.in.in

2002-08-08 09:45  Will Estes <wlestes@users.sourceforge.net>

	* m4/: .cvsignore, Makefile.am: oops, too hasty on deleting this
	directory, sigh

2002-08-08 09:23  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: if autopoint is going to run automatically, it's
	going to need to be able to update existing files

2002-08-08 09:22  Will Estes <wlestes@users.sourceforge.net>

	* ABOUT-NLS, autogen.sh, configure.in, m4/.cvsignore,
	m4/Makefile.am, m4/codeset.m4, m4/gettext.m4, m4/glibc21.m4,
	m4/iconv.m4, m4/isc-posix.m4, m4/lcmessage.m4, m4/lib-ld.m4,
	m4/lib-link.m4, m4/lib-prefix.m4, m4/progtest.m4: autopoint now
	works so let's let it run the gettext show

2002-08-07 13:27  Will Estes <wlestes@users.sourceforge.net>

	* TODO: we need to index the faq entries

2002-08-07 13:26  Will Estes <wlestes@users.sourceforge.net>

	* faq.texi: proofed "Why do flex scanners call fileno if it is not
	ANSI compatible?"

2002-08-07 13:23  Will Estes <wlestes@users.sourceforge.net>

	* faq.texi: proofed "How do I expand \ escape sequences in C-style
	quoted strings?"

2002-08-07 13:19  Will Estes <wlestes@users.sourceforge.net>

	* README: changes to README to align with GNU coding standards

2002-08-06 09:05  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: help2man should look in builddir for the flex binary

2002-08-02 16:23  John Millaway <millaway@acm.org>

	* flex.skl: Fixed yyunput prototype.

2002-08-01 11:35  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: new fr translation from the translation project

2002-08-01 10:02  Will Estes <wlestes@users.sourceforge.net>

	* po/fr.po: new fr.po translation from the translation project

2002-08-01 10:00  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: yylineno performance hit is fixed

2002-07-31 17:29  John Millaway <millaway@acm.org>

	* TODO, flex.texi: Updated docs on yylineno.

2002-07-31 15:19  Will Estes <wlestes@users.sourceforge.net>

	* TODO: discuss yylineno performance

2002-07-31 13:07  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: forgot to say what the date was that we made the release

2002-07-31 10:52  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: version 2.5.11

2002-07-31 10:45  Will Estes <wlestes@users.sourceforge.net>

	* faq.texi: fixed a menu entry and related problems

2002-07-31 10:38  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: someday, maybe we can use autopoint

2002-07-31 09:56  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: we need to include texinfo.tex now

2002-07-31 09:55  Will Estes <wlestes@users.sourceforge.net>

	* texinfo.tex: add texinfo.tex

2002-07-30 11:59  Will Estes <wlestes@users.sourceforge.net>

	* faq.texi: fix up some fatal bugs in the texinfo of the faq; begin
	the clean up; remove trailing and leading white space

2002-07-30 11:53  Will Estes <wlestes@users.sourceforge.net>

	* TODO: faqs need work

2002-07-30 09:03  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, TODO: prototypes get airtime these days

2002-07-28 16:02  John Millaway <millaway@acm.org>

	* flex.skl: Added some comments.

2002-07-28 14:27  John Millaway <millaway@acm.org>

	* flex.skl: Fixed bug where yyless did not consider yylineno.

2002-07-28 01:45  John Millaway <millaway@acm.org>

	* scan.l: Fixed bug I created in previous commit.

2002-07-28 01:38  John Millaway <millaway@acm.org>

	* scan.l: Don't wrap ()s around {NAMEDEFS} at the end of a rule.

2002-07-27 17:37  John Millaway <millaway@acm.org>

	* flex.skl, tests/test-c-cpp-nr/Makefile.am,
	tests/test-c-cpp-r/Makefile.am: Fixed test-c-cpp to actually use
	the C++ compiler for the test.	Fixed the bug that this exposed.

2002-07-27 15:34  John Millaway <millaway@acm.org>

	* ccl.c, flex.skl, flexdef.h, gen.c, main.c, nfa.c, parse.y,
	scan.l: yylineno check is only performed on rules whose regexs can
	match a newline.

2002-07-24 20:43  John Millaway <millaway@acm.org>

	* flex.skl, tests/TEMPLATE/scanner.l,
	tests/test-array-nr/scanner.l, tests/test-array-r/scanner.l,
	tests/test-basic-nr/scanner.l, tests/test-basic-r/scanner.l,
	tests/test-bison-yylloc/parser.y, tests/test-c-cpp-nr/scanner.l,
	tests/test-c-cpp-r/scanner.l, tests/test-debug-nr/scanner.l,
	tests/test-debug-r/scanner.l,
	tests/test-include-by-buffer/scanner.l,
	tests/test-include-by-reentrant/scanner.l,
	tests/test-lineno-nr/scanner.l, tests/test-lineno-r/scanner.l,
	tests/test-mem-nr/scanner.l, tests/test-mem-r/scanner.l,
	tests/test-posix/scanner.l, tests/test-posixly-correct/scanner.l,
	tests/test-prefix-nr/scanner.l, tests/test-prefix-r/scanner.l,
	tests/test-pthread/scanner.l, tests/test-string-nr/scanner.l,
	tests/test-string-r/scanner.l, tests/test-yyextra/scanner.l: All
	prototypes were rewritten to depend upon the macro
	YY_TRADITIONAL_FUNC_DEFS, which is defined by default.	The
	generated scanners build cleanly under gcc's traditional strictness
	and under C++ compilers.

2002-07-24 11:58  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: dist-bzip2 and rename yy_globals and yy_globals_t

2002-07-24 11:57  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: version 2.5.10

2002-07-24 11:57  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: add dist-bzip2 to automake_options so we'll start
	getting tar.bz2 archives

2002-07-23 16:11  John Millaway <millaway@acm.org>

	* flex.skl, flex.texi, tests/test-bison-yylval/scanner.l,
	tests/test-mem-r/scanner.l,
	tests/test-multiple-scanners-r/scanner-1.l,
	tests/test-multiple-scanners-r/scanner-2.l,
	tests/test-prefix-r/scanner.l, tests/test-pthread/scanner.l,
	tests/test-yyextra/scanner.l: s/yy_globals_t/yyguts_t/g
	s/yy_globals/yyscanner/g

2002-07-23 13:55  John Millaway <millaway@acm.org>

	* Makefile.am: typo in tags target

2002-07-22 12:18  John Millaway <millaway@acm.org>

	* Makefile.am: Removed erroneous $(srcdir) from help2man target.

2002-07-22 10:03  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, configure.in: it's version 2.5.9 now

2002-07-22 09:56  Will Estes <wlestes@users.sourceforge.net>

	* po/.cvsignore: updated gettext to 0.11.3

2002-07-22 09:49  Will Estes <wlestes@users.sourceforge.net>

	* ABOUT-NLS, config.rpath, m4/gettext.m4, m4/iconv.m4,
	m4/isc-posix.m4, m4/lcmessage.m4, m4/lib-link.m4: updated gettext
	to version 0.11.3

2002-07-22 09:29  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh, configure.in: rollback on configure.in and autogen.sh
	because autpoint is broken

2002-07-22 09:15  Will Estes <wlestes@users.sourceforge.net>

	* po/ru.po: new russian translation from translation project

2002-07-19 17:09  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: ok, we're going to start using autopoint, but the
	tree is going to undergo some changes after this

2002-07-19 17:06  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: we're preparing for autopoint

2002-07-17 11:57  John Millaway <millaway@acm.org>

	* flex.texi: Updated manual.

2002-07-17 08:53  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: update the NEWS file for lots of things millaway has done

2002-07-17 02:46  John Millaway <millaway@acm.org>

	* flex.skl, main.c, misc.c, scan.l, scanopt.c, sym.c,
	tests/test-mem-nr/scanner.l, tests/test-mem-r/scanner.l: Fixed
	prototype/definition conflicts with "traditional" C in skeleton at
	request of gcc developer.  Removed duplicate prototypes in gen.c,
	sym.c, main.c.	Added missing prototypes where needed.	All
	functions in skeleton follow ISO C style protos and defs, instead
	of BOTH ISO and new-style.  Skeleton now compiles cleanly under
	super-strict gcc flags.  Flex itself almost compiles cleanly under
	strict flags.

2002-07-15 14:59  John Millaway <millaway@acm.org>

	* faq.texi, flex.texi: Worked on mem mgmt sect of manual.

2002-07-15 12:55  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: allow blank lines and continuations in more places

2002-07-12 13:43  Will Estes <wlestes@users.sourceforge.net>

	* TODO: millaway finished the faqs directory

2002-07-12 13:39  Will Estes <wlestes@users.sourceforge.net>

	* TODO: removed items as per email from millaway

2002-07-12 12:23  John Millaway <millaway@acm.org>

	* configure.in, tests/Makefile.am, tests/descriptions,
	tests/test-posix/.cvsignore, tests/test-posix/Makefile.am,
	tests/test-posix/scanner.l, tests/test-posixly-correct/.cvsignore,
	tests/test-posixly-correct/Makefile.am,
	tests/test-posixly-correct/scanner.l: Added test for %option
	posix-compat and repeat operator.  Added test for POSIXLY_CORRECT
	environment variable and repeat operator.

2002-07-12 12:21  John Millaway <millaway@acm.org>

	* main.c, scan.l: Fixed POSIXLY_CORRECT detection in scanner.

2002-07-11 16:27  John Millaway <millaway@acm.org>

	* faq.texi: More work on faq.

2002-07-11 16:06  John Millaway <millaway@acm.org>

	* faq.texi: Moved all faqs into manual -- but did not evaluate them
	yet.  Removed the old faq files.

2002-07-10 17:59  John Millaway <millaway@acm.org>

	* main.c: Removed duplicate definition of FLEX_DEBUG. gcc doesn't
	care, but other compilers might.

2002-07-10 17:55  John Millaway <millaway@acm.org>

	* flex.texi: Wrote some more about memory mgmt in the manual.

2002-07-10 11:43  John Millaway <millaway@acm.org>

	* flex.texi: flex.texi now works with install-info.

2002-07-10 10:02  Will Estes <wlestes@users.sourceforge.net>

	* TODO: added items as per email from millaway

2002-07-10 10:02  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: after we release a version, we have to keep the version
	number in NEWS current

2002-07-09 20:04  John Millaway <millaway@acm.org>

	* flex.skl, flex.texi, main.c, scan.l, tests/test-mem-nr/scanner.l,
	tests/test-mem-r/scanner.l: Fixed prefix issue with get/set debug
	functions.  Fixed prefix issues with memory functions.

2002-07-09 19:35  John Millaway <millaway@acm.org>

	* flex.skl: Memory functions are no longer static.

2002-07-09 19:02  John Millaway <millaway@acm.org>

	* tests/test-mem-nr/test.input: Added a missing input file for
	test-mem-nr/

2002-07-09 18:47  John Millaway <millaway@acm.org>

	* tests/: test-mem-nr/.cvsignore, test-mem-nr/Makefile.am,
	test-mem-nr/scanner.l, test-mem-r/.cvsignore,
	test-mem-r/Makefile.am, test-mem-r/scanner.l,
	test-mem-r/test.input: Added tests for overriding memory.

2002-07-09 18:45  John Millaway <millaway@acm.org>

	* flex.texi: Added sections in manual for memory management.

2002-07-09 17:36  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: noted more user visible changes

2002-07-09 16:52  John Millaway <millaway@acm.org>

	* configure.in, flex.skl, scan.l, tests/Makefile.am: Added
	yylex_destroy() to non-reentrant scanner.  Added ability to
	override memory functions.  Added tests for overriding memory
	functions.

2002-07-09 14:41  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: new POSIXLY_CORRECT and new ru translation

2002-07-09 14:40  Will Estes <wlestes@users.sourceforge.net>

	* po/ru.po: new ru translation from the translation project

2002-07-09 14:25  John Millaway <millaway@acm.org>

	* flex.texi: Made note of set/get debug in docs.

2002-07-09 14:11  John Millaway <millaway@acm.org>

	* configure.in, flexdef.h, tests/create-test: Replaced obsolete
	macros in configure.in.  Modified create-test to handle the above
	changes in configure.in.  Added support for <stdbool.h>.

2002-07-09 13:27  John Millaway <millaway@acm.org>

	* main.c: Check POSIXLY_CORRECT env variable.

2002-07-09 12:43  John Millaway <millaway@acm.org>

	* flex.skl: Added prototypes for the get/set debug functions.

2002-07-09 12:37  John Millaway <millaway@acm.org>

	* configure.in, flex.skl, gen.c, main.c, scan.l, tests/Makefile.am,
	tests/test-debug-nr/.cvsignore, tests/test-debug-nr/Makefile.am,
	tests/test-debug-nr/scanner.l, tests/test-debug-nr/test.input,
	tests/test-debug-r/.cvsignore, tests/test-debug-r/Makefile.am,
	tests/test-debug-r/scanner.l, tests/test-debug-r/test.input: Made
	yy_flex_debug non-global in reentrant scanner.	Created get/set
	functions for yy_flex_debug.  Defined prefixes for new
	yy_flex_debug symbols.	Added tests/ for yy_flex_debug.

2002-07-09 12:31  John Millaway <millaway@acm.org>

	* tests/create-test: create-test script now modifies .cvsignore

2002-07-09 12:22  John Millaway <millaway@acm.org>

	* tests/create-test: Improved the error checking.

2002-07-03 09:12  Will Estes <wlestes@users.sourceforge.net>

	* main.c: fix bug whereby prefix didn't get passed to everybody;
	patch by					rse@engelschall.com

2002-07-03 08:47  Will Estes <wlestes@users.sourceforge.net>

	* faq.texi: ~ is an active character, so we'll just use the word
	'about'

2002-07-02 18:59  John Millaway <millaway@acm.org>

	* Makefile.am: Fixed typo.

2002-07-02 15:47  John Millaway <millaway@acm.org>

	* faq.texi: Added a faq.

2002-06-28 19:05  John Millaway <millaway@acm.org>

	* Makefile.am: Added 'tags' target -- something I should have done
	long ago.

2002-06-28 12:18  Will Estes <wlestes@users.sourceforge.net>

	* TODO: add two new items regarding coding; remove tests/ copyright
	notice item as it's done

2002-06-26 08:33  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: note the copyright messages in tests/

2002-06-25 15:37  John Millaway <millaway@acm.org>

	* tests/: TEMPLATE/Makefile.am, TEMPLATE/parser.y,
	TEMPLATE/scanner.l, test-array-nr/Makefile.am,
	test-array-nr/scanner.l, test-array-r/Makefile.am,
	test-array-r/scanner.l, test-basic-nr/Makefile.am,
	test-basic-nr/scanner.l, test-basic-r/Makefile.am,
	test-basic-r/scanner.l, test-bison-yylloc/Makefile.am,
	test-bison-yylloc/main.c, test-bison-yylloc/parser.y,
	test-bison-yylloc/scanner.l, test-bison-yylval/Makefile.am,
	test-bison-yylval/main.c, test-bison-yylval/parser.y,
	test-bison-yylval/scanner.l, test-c-cpp-nr/Makefile.am,
	test-c-cpp-nr/scanner.l, test-c-cpp-r/Makefile.am,
	test-c-cpp-r/scanner.l, test-header-nr/Makefile.am,
	test-header-nr/main.c, test-header-nr/scanner.l,
	test-header-r/Makefile.am, test-header-r/main.c,
	test-header-r/scanner.l, test-include-by-buffer/Makefile.am,
	test-include-by-buffer/scanner.l,
	test-include-by-reentrant/Makefile.am,
	test-include-by-reentrant/scanner.l, test-lineno-nr/Makefile.am,
	test-lineno-nr/scanner.l, test-lineno-r/Makefile.am,
	test-lineno-r/scanner.l, test-multiple-scanners-nr/Makefile.am,
	test-multiple-scanners-nr/main.c,
	test-multiple-scanners-nr/scanner-1.l,
	test-multiple-scanners-nr/scanner-2.l,
	test-multiple-scanners-r/Makefile.am,
	test-multiple-scanners-r/main.c,
	test-multiple-scanners-r/scanner-1.l,
	test-multiple-scanners-r/scanner-2.l, test-prefix-nr/Makefile.am,
	test-prefix-nr/scanner.l, test-prefix-r/Makefile.am,
	test-prefix-r/scanner.l, test-pthread/Makefile.am,
	test-pthread/scanner.l, test-string-nr/Makefile.am,
	test-string-nr/scanner.l, test-string-r/Makefile.am,
	test-string-r/scanner.l, test-yyextra/Makefile.am,
	test-yyextra/scanner.l: Prepended explicit license to all test-*/
	sources.

2002-06-25 08:56  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, po/ca.po, po/de.po, po/fr.po, po/sv.po, po/tr.po: new ca,
	de, fr, sv, tr translations

2002-06-19 09:40  Will Estes <wlestes@users.sourceforge.net>

	* TODO: add bootstrapper to the todo list

2002-06-19 09:38  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: new version number

2002-06-19 09:38  Will Estes <wlestes@users.sourceforge.net>

	* TODO: update TODO list

2002-06-19 09:26  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, TODO, flex.texi, flexdef.h, main.c, options.c, options.h,
	parse.y, scan.l: address typos in NEWS; add --posix option for ERE
	parsing the way posix wants it; update the TODO file

2002-05-31 13:18  Will Estes <wlestes@users.sourceforge.net>

	* README-alpha: made code quality warning more explicit; gave url
	for cvs and beta flex

2002-05-23 11:53  John Millaway <millaway@acm.org>

	* gen.c: Fixed bug where omission of user section 3 caused
	unmatched #ifdef's in generated code.

2002-05-20 08:39  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: configure.in requires at least autoconf 2.50

2002-05-13 14:45  John Millaway <millaway@acm.org>

	* Makefile.am: Updated my email address.

2002-05-10 15:33  John Millaway <millaway@acm.org>

	* flexdef.h, misc.c: chomp'd lines when reading external skel file.

2002-05-07 11:00  Will Estes <wlestes@users.sourceforge.net>

	* po/sv.po: new sweedish translation from the translation project

2002-04-29 11:37  Will Estes <wlestes@users.sourceforge.net>

	* po/ca.po: new catalan translation from the translation project

2002-04-29 11:37  Will Estes <wlestes@users.sourceforge.net>

	* po/es.po: new spanish translation from the translation project

2002-04-25 17:54  Will Estes <wlestes@users.sourceforge.net>

	* TODO: note that the lex matching of abc{1,3} is the posix
	behavior and so we have a problem

2002-04-25 17:53  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: note that the lex matching of abc{1,3} is the posix
	behavior

2002-04-23 07:02  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: new version 2.5.7; use autoconf versioning info

2002-04-23 07:01  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: note changes in 2.5.7

2002-04-23 06:23  Will Estes <wlestes@users.sourceforge.net>

	* main.c: conditional compile gettext initialization

2002-04-22 13:28  Will Estes <wlestes@users.sourceforge.net>

	* po/de.po: new german translation from the translation project

2002-04-19 18:40  John Millaway <millaway@acm.org>

	* tests/test-include-by-reentrant/Makefile.am: Fixed command line
	for test-include-by-reentrant/Makefile.am

2002-04-19 18:30  John Millaway <millaway@acm.org>

	* tests/: Makefile.am, TEMPLATE/Makefile.am,
	test-array-nr/Makefile.am, test-array-r/Makefile.am,
	test-basic-nr/Makefile.am, test-basic-r/Makefile.am,
	test-bison-yylloc/Makefile.am, test-bison-yylval/Makefile.am,
	test-c-cpp-nr/Makefile.am, test-c-cpp-r/Makefile.am,
	test-header-nr/Makefile.am, test-header-r/Makefile.am,
	test-include-by-buffer/Makefile.am,
	test-include-by-reentrant/Makefile.am, test-lineno-nr/Makefile.am,
	test-lineno-r/Makefile.am, test-multiple-scanners-nr/Makefile.am,
	test-multiple-scanners-r/Makefile.am, test-prefix-nr/Makefile.am,
	test-prefix-r/Makefile.am, test-pthread/Makefile.am,
	test-string-nr/Makefile.am, test-string-r/Makefile.am,
	test-yyextra/Makefile.am: Added -I . to compiler search path in
	tests (so it finds the generated parser.h).

2002-04-19 18:20  John Millaway <millaway@acm.org>

	* flexdef.h, misc.c, parse.y, sym.c: Applied 'const' to a few more
	char*, where appropriate.

2002-04-19 17:54  John Millaway <millaway@acm.org>

	* tests/: TEMPLATE/Makefile.am, test-array-nr/Makefile.am,
	test-array-r/Makefile.am, test-basic-nr/Makefile.am,
	test-basic-r/Makefile.am, test-bison-yylloc/Makefile.am,
	test-bison-yylval/Makefile.am, test-c-cpp-nr/Makefile.am,
	test-c-cpp-r/Makefile.am, test-header-nr/Makefile.am,
	test-header-r/Makefile.am, test-include-by-buffer/Makefile.am,
	test-include-by-reentrant/Makefile.am, test-lineno-nr/Makefile.am,
	test-lineno-r/Makefile.am, test-multiple-scanners-nr/Makefile.am,
	test-multiple-scanners-r/Makefile.am, test-prefix-nr/Makefile.am,
	test-prefix-r/Makefile.am, test-pthread/Makefile.am,
	test-string-nr/Makefile.am, test-string-r/Makefile.am,
	test-yyextra/Makefile.am: Added top_builddir to -I path.  Changed
	$(srcdir)/$(testname) to ./$(testname) in 'make test' rule.

2002-04-19 17:53  John Millaway <millaway@acm.org>

	* flexdef.h, gen.c, misc.c: Changed 'char[]' to 'const char*'
	wherever in conflicted with gettext.

2002-04-19 10:35  Will Estes <wlestes@users.sourceforge.net>

	* po/: fr.po, sv.po: new files from translation after 2.5.6 beta
	release

2002-04-18 19:01  John Millaway <millaway@acm.org>

	* tests/test-lineno-r/Makefile.am: Fixed minor typo/cut and paste
	error.

2002-04-18 18:07  John Millaway <millaway@acm.org>

	* configure.in: Added yylineno test.

2002-04-18 18:06  John Millaway <millaway@acm.org>

	* tests/Makefile.am: Added yylineno tests.

2002-04-18 18:06  John Millaway <millaway@acm.org>

	* tests/: test-lineno-nr/.cvsignore, test-lineno-nr/Makefile.am,
	test-lineno-nr/scanner.l, test-lineno-nr/test.input,
	test-lineno-r/.cvsignore, test-lineno-r/Makefile.am,
	test-lineno-r/scanner.l, test-lineno-r/test.input: Created yylineno
	tests.

2002-04-15 16:49  John Millaway <millaway@acm.org>

	* scanopt.c: Applied gettext macros to error messages from scanopt.

2002-04-15 16:46  John Millaway <millaway@acm.org>

	* buf.c, faq.texi, options.c, options.h, scanopt.c, scanopt.h:
	Changed copyright from Millaway to flex? U.S. Gov't? Regents of U.
	Cali.?	Paxson?

2002-04-15 10:44  Will Estes <wlestes@users.sourceforge.net>

	* tests/: test-bison-yylloc/Makefile.am,
	test-header-nr/Makefile.am, test-header-r/Makefile.am: we missed a
	few main.c files in the distribution

2002-04-15 08:05  Will Estes <wlestes@users.sourceforge.net>

	* TODO: a lot more work has happened to flex; note this by removing
	a number of TODO entries

2002-04-15 07:59  Will Estes <wlestes@users.sourceforge.net>

	* TODO: make sure all gettext modules use gettext translation
	facilities

2002-04-14 15:53  John Millaway <millaway@acm.org>

	* faq.texi: Converted faqs 34-41 to texinfo.

2002-04-14 14:42  John Millaway <millaway@acm.org>

	* Makefile.am, faq.texi, flex.texi: Added faq.texi to archive. 
	Added faq.texi to flex_TEXINFOS macro in Makefile.am.  flex.texi
	now includes faq.texi.

2002-04-13 00:16  John Millaway <millaway@acm.org>

	* flexdef.h: defined FLEX_EXIT macro to call longjmp on errors.

2002-04-13 00:08  John Millaway <millaway@acm.org>

	* main.c, misc.c: Replaced exit(2) calls with longjmps (in the form
	of FLEX_EXIT macro).  Moved main() to flex_main() to allow flex to
	be called from a library.

2002-04-13 00:06  John Millaway <millaway@acm.org>

	* scanopt.c: Fixed  minor typo in error message

2002-04-12 12:23  Will Estes <wlestes@users.sourceforge.net>

	* tests/: test-header-nr/Makefile.am, test-header-r/Makefile.am,
	test-multiple-scanners-nr/Makefile.am,
	test-multiple-scanners-r/Makefile.am, test-pthread/Makefile.am,
	test-string-nr/Makefile.am, test-string-r/Makefile.am,
	test-yyextra/Makefile.am: removed eroneous files listed in
	EXTRA_DIST

2002-04-12 12:09  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-yyextra/.cvsignore: ignore Makefile.in

2002-04-12 12:09  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-string-r/.cvsignore: it's Makefile.in, not makefile.in

2002-04-12 12:02  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-yyextra/: Makefile.am, Makefile.in: put test-yyextra
	under automake

2002-04-12 11:52  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-string-r/: Makefile.am, Makefile.in: put test-string-r
	under automake

2002-04-12 11:50  Will Estes <wlestes@users.sourceforge.net>

	* tests/: test-string-nr/.cvsignore, test-string-r/.cvsignore: we
	can ignore Makefile.in

2002-04-12 11:49  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-string-nr/: Makefile.am, Makefile.in: put
	test-string-nr under automake

2002-04-12 11:40  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-pthread/.cvsignore: ignore Makefile.in

2002-04-12 11:37  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-pthread/: Makefile.am, Makefile.in: put test-pthread
	under automake

2002-04-12 11:24  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-prefix-r/.cvsignore: we can ignore Makefile.in

2002-04-12 11:23  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-prefix-r/: Makefile.am, Makefile.in: put test-prefix-r
	under automake

2002-04-12 11:20  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-prefix-nr/.cvsignore: we can ignore Makefile.in

2002-04-12 11:19  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-prefix-nr/: Makefile.am, Makefile.in: put
	test-prefix-nr under automake

2002-04-12 08:03  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-multiple-scanners-r/.cvsignore: we can ignore
	Makefile.in now

2002-04-12 08:02  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-multiple-scanners-r/: Makefile.am, Makefile.in: put
	test-multiple-scanners-r under automake

2002-04-12 07:59  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-multiple-scanners-nr/.cvsignore: we can ignore
	Makefile.in now

2002-04-12 07:59  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-multiple-scanners-nr/: Makefile.am, Makefile.in: put
	test-multiple-scanners-nr under automake

2002-04-11 07:44  Will Estes <wlestes@users.sourceforge.net>

	* tests/: test-c-cpp-nr/Makefile.am, test-c-cpp-r/Makefile.am: we
	didn't need parser.y

2002-04-11 07:43  Will Estes <wlestes@users.sourceforge.net>

	* TODO: work done on the test suite; remove relevant entries from
	TODO

2002-04-10 13:06  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-include-by-reentrant/: .cvsignore, Makefile.am,
	Makefile.in: put test-include-by-reentrant under automake

2002-04-09 09:52  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-include-by-buffer/.cvsignore: we have a Makefile.in
	which we need to ignore

2002-04-09 09:33  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-include-by-buffer/: Makefile.am, Makefile.in:
	test-include-by-buffer now under automake control

2002-04-09 09:32  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am: and we want LFLAGS in the rule to
	make scanner.c as well

2002-04-09 09:13  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-header-r/: .cvsignore, Makefile.am, Makefile.in: put
	test-header-r under automake

2002-04-09 09:12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-header-nr/.cvsignore: we now generate a Makefile.in
	from automake; cvs should ignore it

2002-04-09 09:12  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-header-nr/Makefile.am: add dependencies for main.o and
	scaner.h

2002-04-09 09:11  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am: We may want to have LFLAGS readily
	available

2002-04-09 08:48  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-header-nr/: Makefile.am, Makefile.in: put
	test-header-nr under automake

2002-04-09 08:47  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/Makefile.am: oops, we need to clean objects too

2002-04-09 08:35  Will Estes <wlestes@users.sourceforge.net>

	* tests/: TEMPLATE/Makefile.am, test-array-nr/Makefile.am,
	test-array-r/Makefile.am, test-basic-nr/Makefile.am,
	test-basic-r/Makefile.am, test-bison-yylloc/Makefile.am,
	test-bison-yylval/Makefile.am, test-c-cpp-nr/Makefile.am,
	test-c-cpp-r/Makefile.am: now that config.h lives in the top-level
	directory, we need to tell the testsuite

2002-04-08 11:06  Will Estes <wlestes@users.sourceforge.net>

	* tests/: test-array-nr/.cvsignore, test-array-r/.cvsignore,
	test-basic-nr/.cvsignore, test-basic-r/.cvsignore,
	test-bison-yylval/.cvsignore, test-c-cpp-nr/.cvsignore,
	test-c-cpp-r/.cvsignore: we can ignore some Makefile.in

2002-04-08 11:00  Will Estes <wlestes@users.sourceforge.net>

	* configure.in, tests/TEMPLATE/Makefile.am: only one config file
	header apparently; this will have consequences in the test suite

2002-04-08 10:36  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-bison-yylval/: Makefile.am, Makefile.in: adding
	automake support

2002-04-08 10:26  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-bison-yylloc/: .cvsignore, Makefile.am: tuned
	Makefile.am to build correctly; ignore Makefile.in now

2002-04-08 09:22  Will Estes <wlestes@users.sourceforge.net>

	* tests/configure.in: test suite changes

2002-04-08 09:16  Will Estes <wlestes@users.sourceforge.net>

	* tests/: TEMPLATE/.cvsignore, TEMPLATE/Makefile.am,
	TEMPLATE/Makefile.in, test-array-nr/Makefile.am,
	test-array-nr/Makefile.in, test-array-r/Makefile.am,
	test-array-r/Makefile.in, test-basic-nr/Makefile.am,
	test-basic-nr/Makefile.in, test-basic-r/Makefile.am,
	test-basic-r/Makefile.in, test-bison-yylloc/Makefile.am,
	test-bison-yylloc/Makefile.in, test-c-cpp-nr/Makefile.am,
	test-c-cpp-nr/Makefile.in, test-c-cpp-r/Makefile.am,
	test-c-cpp-r/Makefile.in: test suite changes

2002-04-08 09:13  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh, configure.in, tests/.cvsignore, tests/Makefile.am,
	tests/Makefile.in, tests/README, tests/configure.in,
	tests/create-test, tests/create-test.pl: test suite changes

2002-04-05 14:18  John Millaway <millaway@acm.org>

	* flex.texi: Corrected error in manual regarding return type for
	yy_scan_{string,buffer,bytes}.

2002-04-05 08:25  Will Estes <wlestes@users.sourceforge.net>

	* po/de.po: new german translations from the translation project

2002-04-03 13:13  Will Estes <wlestes@users.sourceforge.net>

	* po/es.po: new spanish translations

2002-04-01 11:47  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: DIST_SUBDIRS: new variable. we can build flex with
	SUBDIRS and then build the distribution using DIST_SUBDIRS

2002-04-01 08:03  Will Estes <wlestes@users.sourceforge.net>

	* main.c: fix typo in comment

2002-03-31 12:17  John Millaway <millaway@acm.org>

	* main.c: Documented the header file kludge, (in anticipation of
	buffering Section 1.)

2002-03-30 22:26  John Millaway <millaway@acm.org>

	* flex.texi: Created appendix "Makefiles and Flex" in the manual.

2002-03-29 19:12  John Millaway <millaway@acm.org>

	* flex.texi: updating manual.

2002-03-29 17:32  Will Estes <wlestes@users.sourceforge.net>

	* po/POTFILES.in: we want parse.y, not parse.c

2002-03-29 16:37  John Millaway <millaway@acm.org>

	* flex.texi: Indexing the manual (75% done).

2002-03-29 16:08  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: unlisted intermediate flex/yacc-created files

2002-03-29 15:59  Will Estes <wlestes@users.sourceforge.net>

	* TODO: millaway has done more work

2002-03-29 15:03  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in: ok, one last touch up; users most
	likely wont have help2man so we need to insure that's ok

2002-03-29 14:55  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: fine tune flex.1 some more

2002-03-29 14:36  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, configure.in: generalize the manpage a bit and tell
	autofoo about help2man

2002-03-29 12:18  Will Estes <wlestes@users.sourceforge.net>

	* po/da.po: new danish from translation project robot

2002-03-28 16:02  John Millaway <millaway@acm.org>

	* flex.texi: Indexing the manual -- it's only half done.

2002-03-28 15:57  John Millaway <millaway@acm.org>

	* flex.texi: flex manual now uses automake's versioning info.

2002-03-28 14:55  John Millaway <millaway@acm.org>

	* README.cvs-snapshot: Mentioned requirements for gettext and
	help2man.

2002-03-28 14:52  John Millaway <millaway@acm.org>

	* Makefile.am, main.c: Output of `flex --version` now matches GNU
	coding standards.  Makefile.am now uses `help2man` to generate
	flex.1

2002-03-27 08:58  Will Estes <wlestes@users.sourceforge.net>

	* TODO: millaway has done a lot on the TODO list; remove those
	items that he has take care of

2002-03-27 08:45  Will Estes <wlestes@users.sourceforge.net>

	* README.cvs-snapshot: edited millaway's initial draft

2002-03-26 20:09  John Millaway <millaway@acm.org>

	* README.cvs-snapshot: Created file.

2002-03-26 19:28  John Millaway <millaway@acm.org>

	* flex.texi: Fixed case of node names in flex.texi.

2002-03-24 16:08  Will Estes <wlestes@users.sourceforge.net>

	* TODO: lex- and yacc- generated files

2002-03-24 14:25  Will Estes <wlestes@users.sourceforge.net>

	* po/fr.po: new french

2002-03-18 08:27  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: ending periods in news items removed; mention nounistd
	options

2002-03-18 08:00  Will Estes <wlestes@users.sourceforge.net>

	* po/sv.po: updated sweedish translations

2002-03-18 08:00  Will Estes <wlestes@users.sourceforge.net>

	* po/de.po: german translation

2002-03-18 02:50  John Millaway <millaway@acm.org>

	* flex.skl, flex.texi, main.c, options.c, options.h, scan.l:
	Removed CFront 1.2 -specific code from skeleton, because CFront now
	defines __cplusplus properly.  Removed TurboC-specific code from
	skeleton.  Skeleton now includes proper C++ standard headers. 
	Relocated "unistd.h" code after user section 1 to allow user to
	overrid it.  New option "nounistd" to suppress unistd.h from being
	included.

2002-03-15 11:29  Will Estes <wlestes@users.sourceforge.net>

	* po/tr.po: new turkish translation

2002-03-15 10:33  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: mention included translations

2002-03-15 10:32  Will Estes <wlestes@users.sourceforge.net>

	* TODO: we've done the gettext thing, but sometime we should get
	0.11.1

2002-03-15 10:30  Will Estes <wlestes@users.sourceforge.net>

	* po/ca.po: new catalan translation

2002-03-14 18:23  John Millaway <millaway@acm.org>

	* flex.texi: Added section on format of comments.

2002-03-14 17:18  John Millaway <millaway@acm.org>

	* flex.texi: Split format chapter into sections.

2002-03-14 16:51  John Millaway <millaway@acm.org>

	* flex.texi: Removed explicit pointers in node definitions.

2002-03-14 16:31  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: unistd.h can be problematic

2002-03-14 09:11  Will Estes <wlestes@users.sourceforge.net>

	* tests/README: editing changes to README

2002-03-13 15:50  Will Estes <wlestes@users.sourceforge.net>

	* po/POTFILES.in: scan.l, not scan.c because gettext gets confused

2002-03-13 12:36  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: gettext cruft

2002-03-13 10:57  Will Estes <wlestes@users.sourceforge.net>

	* tests/descriptions: separate out test descriptions

2002-03-13 09:34  Will Estes <wlestes@users.sourceforge.net>

	* po/LINGUAS: french and korean dont crash now

2002-03-12 16:40  Will Estes <wlestes@users.sourceforge.net>

	* po/: fr.po, ko.po: remove duplicate messages as per advice from
	Jordi Mallach <jordi@debian.org>

2002-03-12 14:21  Will Estes <wlestes@users.sourceforge.net>

	* gettext.h: yes, more gettext cruft

2002-03-12 14:12  Will Estes <wlestes@users.sourceforge.net>

	* m4/codeset.m4, m4/gettext.m4, m4/glibc21.m4, m4/iconv.m4,
	m4/isc-posix.m4, m4/lcmessage.m4, m4/lib-ld.m4, m4/lib-link.m4,
	m4/lib-prefix.m4, m4/progtest.m4, ABOUT-NLS, config.rpath: this is
	gettext cruft

2002-03-12 13:58  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: gettext and autofoo are now involved

2002-03-12 13:29  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, autogen.sh, configure.in, flexdef.h, main.c: mostly,
	changes for gettext

2002-03-12 13:29  Will Estes <wlestes@users.sourceforge.net>

	* po/: ca.po, da.po, es.po, ru.po, sv.po, tr.po: these sure change
	a lot

2002-03-12 13:28  Will Estes <wlestes@users.sourceforge.net>

	* TODO: note about cvs documentation

2002-03-12 13:02  Will Estes <wlestes@users.sourceforge.net>

	* po/LINGUAS: we now have turkish

2002-03-12 13:01  Will Estes <wlestes@users.sourceforge.net>

	* po/tr.po: updated translations, i think

2002-03-12 12:42  Will Estes <wlestes@users.sourceforge.net>

	* po/: ca.po, da.po, es.po, fr.po, ko.po, ru.po, sv.po, tr.po: ok,
	maybe we do keep these things?

2002-03-12 12:26  Will Estes <wlestes@users.sourceforge.net>

	* README-alpha: README-alpha for those bad-hair days

2002-03-12 12:18  Will Estes <wlestes@users.sourceforge.net>

	* m4/: .cvsignore, Makefile.am: ok,now we kinda have a m4/ subdir
	for gettext

2002-03-12 12:13  Will Estes <wlestes@users.sourceforge.net>

	* po/: .cvsignore, LINGUAS, Makevars, POTFILES.in, da.po, es.po,
	fr.po, ko.po, ru.po, sv.po: now, we have a po/ subdirectory for
	gettext. i hope you're happy

2002-03-12 12:06  Will Estes <wlestes@users.sourceforge.net>

	* po/ca.po: removing po files, maybe

2002-03-12 12:01  Will Estes <wlestes@users.sourceforge.net>

	* tests/.cvsignore: ignore autom4te.cache

2002-03-11 09:27  Will Estes <wlestes@users.sourceforge.net>

	* po/: ca.po, da.po, es.po, fr.po, ko.po, ru.po, sv.po: po files
	from debian

2002-03-08 10:00  Will Estes <wlestes@users.sourceforge.net>

	* TODO: add several notes about tasks which need doing; create a
	new top-level entry for generic coding concerns (this is distinct
	from specific API or other such issues)

2002-03-06 16:15  Will Estes <wlestes@users.sourceforge.net>

	* README: eliminate to.do and faqs from the README file

2002-03-06 16:13  Will Estes <wlestes@users.sourceforge.net>

	* TODO: more notes on tests/

2002-03-06 11:32  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: remove subdirectories from EXTRA_DIST; add a SUBDIRS
	macro to handle examples/; clean up the dist-hook target

2002-03-06 11:32  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: we want to generate Makefiles in some more
	subdirectories; automake will like this

2002-03-06 11:26  Will Estes <wlestes@users.sourceforge.net>

	* TODO: notes on subdirectories

2002-03-05 09:49  Will Estes <wlestes@users.sourceforge.net>

	* examples/: .cvsignore, Makefile.am: now examples/ fits into
	automake

2002-03-05 09:48  Will Estes <wlestes@users.sourceforge.net>

	* examples/fastwc/: .cvsignore, Makefile.am: examples/fastwc now 
	fits into automake

2002-03-05 09:47  Will Estes <wlestes@users.sourceforge.net>

	* examples/manual/: .cvsignore, Makefile.am, Makefile.examples,
	README: examples/manual directory now fits into automake

2002-03-05 09:45  Will Estes <wlestes@users.sourceforge.net>

	* examples/manual/Makefile: renamed Makefile to Makefile.examples
	for automake's sake

2002-03-04 10:58  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: add parse.c and scan.c to built_sources

2002-02-24 17:19  John Millaway <millaway@acm.org>

	* Makefile.am: Removed CVS-specific code from 'dist-hook' target so
	anybody with a copy of the tree can build a dist.

2002-02-22 17:50  John Millaway <millaway@acm.org>

	* tests/Makefile.in: Converted test script to portable /bin/sh.

2002-02-22 17:47  John Millaway <millaway@acm.org>

	* tests/test-bison-yylloc/Makefile.in: Added some spaces in shell
	scripts for portability.

2002-02-22 16:59  John Millaway <millaway@acm.org>

	* tests/create-test.pl: Fixed #! line for portability.

2002-02-22 16:58  John Millaway <millaway@acm.org>

	* tests/test-bison-yylloc/Makefile.in: Fixed return status code on
	bison-lloc test.

2002-02-21 00:40  John Millaway <millaway@acm.org>

	* tests/create-test.pl: Added script to auto-create tests. Probably
	overkill.

2002-02-21 00:16  John Millaway <millaway@acm.org>

	* flex.skl: Fixed C++ #ifdef problem.  Removed mistyped __CPLUSPLUS
	macro.	Removed THROW_NIL. Not sure where it came from in the first
	place.

2002-02-21 00:12  John Millaway <millaway@acm.org>

	* tests/: README, configure.in, TEMPLATE/Makefile.in,
	test-c-cpp-nr/.cvsignore, test-c-cpp-nr/Makefile.in,
	test-c-cpp-nr/scanner.l, test-c-cpp-nr/test.input,
	test-c-cpp-r/.cvsignore, test-c-cpp-r/Makefile.in,
	test-c-cpp-r/scanner.l, test-c-cpp-r/test.input: Added
	test-c-cpp-nr and test-c-cpp-r.

2002-02-16 15:26  John Millaway <millaway@acm.org>

	* flex.skl: Added missing #endif.

2002-02-07 10:19  Will Estes <wlestes@users.sourceforge.net>

	* tests/: TEMPLATE/.cvsignore, test-array-nr/.cvsignore,
	test-array-r/.cvsignore, test-basic-nr/.cvsignore,
	test-basic-r/.cvsignore, test-bison-yylloc/.cvsignore,
	test-bison-yylval/.cvsignore, test-header-nr/.cvsignore,
	test-header-r/.cvsignore, test-include-by-buffer/.cvsignore,
	test-include-by-reentrant/.cvsignore,
	test-multiple-scanners-nr/.cvsignore,
	test-multiple-scanners-r/.cvsignore, test-prefix-nr/.cvsignore,
	test-prefix-r/.cvsignore, test-pthread/.cvsignore,
	test-string-nr/.cvsignore, test-string-r/.cvsignore,
	test-yyextra/.cvsignore: add OUTPUT to .cvsignore files in test
	directories; it's also in the template directory

2002-02-06 18:30  Will Estes <wlestes@users.sourceforge.net>

	* gen.c: fix interrupted reads and freads; from the debian package
	maintainer

2002-02-06 16:41  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi, flexdef.h, main.c, nfa.c: support large flex tables;
	from debian package maintainer

2002-01-29 08:48  Will Estes <wlestes@users.sourceforge.net>

	* tests/configure.in: add more output files to account for new
	tests

2002-01-03 15:19  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-array-nr/: .cvsignore, Makefile.in, scanner.l,
	test.input: add this test

2002-01-03 15:17  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-array-r/: .cvsignore, Makefile.in, scanner.l,
	test.input: add this test suite

2001-11-20 14:58  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, main.c: millaway: Fixed yytext_ptr when using %array in
	reentrant scanner

2001-11-20 14:48  Will Estes <wlestes@users.sourceforge.net>

	* buf.c: oops, forgot this one line

2001-11-19 01:39  John Millaway <millaway@acm.org>

	* tests/: test-array-nr/.cvsignore, test-array-r/.cvsignore: file
	.cvsignore was initially added on branch flex-2-5-6-branch.

2001-11-19 01:39  John Millaway <millaway@acm.org>

	* tests/: test-array-nr/Makefile.in, test-array-r/Makefile.in: file
	Makefile.in was initially added on branch flex-2-5-6-branch.

2001-11-19 01:39  John Millaway <millaway@acm.org>

	* tests/: test-array-nr/scanner.l, test-array-r/scanner.l: file
	scanner.l was initially added on branch flex-2-5-6-branch.

2001-11-19 01:39  John Millaway <millaway@acm.org>

	* tests/: test-array-nr/test.input, test-array-r/test.input: file
	test.input was initially added on branch flex-2-5-6-branch.

2001-11-14 18:09  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-header-r/: .cvsignore, Makefile.in, main.c, scanner.l,
	test.input: and more fallout

2001-11-14 16:13  Will Estes <wlestes@users.sourceforge.net>

	* TODO, flex.skl, flex.texi, flexdef.h, main.c, misc.c,
	tests/README, tests/configure.in, tests/TEMPLATE/Makefile.in,
	tests/test-basic-r/scanner.l, tests/test-bison-yylloc/.cvsignore,
	tests/test-bison-yylloc/Makefile.in,
	tests/test-bison-yylloc/parser.y,
	tests/test-bison-yylloc/scanner.l,
	tests/test-bison-yylval/.cvsignore,
	tests/test-bison-yylval/Makefile.in,
	tests/test-bison-yylval/parser.y,
	tests/test-bison-yylval/scanner.l,
	tests/test-include-by-reentrant/scanner.l,
	tests/test-prefix-r/scanner.l, tests/test-pthread/scanner.l,
	tests/test-string-r/scanner.l, tests/test-yyextra/scanner.l: more
	from the same batch

2001-11-14 16:12  Will Estes <wlestes@users.sourceforge.net>

	* tests/: test-bison-yylloc/main.c, test-bison-yylval/main.c,
	test-header-nr/.cvsignore, test-header-nr/Makefile.in,
	test-header-nr/main.c, test-header-nr/scanner.l,
	test-header-nr/test.input, test-multiple-scanners-nr/.cvsignore,
	test-multiple-scanners-nr/Makefile.in,
	test-multiple-scanners-nr/main.c,
	test-multiple-scanners-nr/scanner-1.l,
	test-multiple-scanners-nr/scanner-2.l,
	test-multiple-scanners-r/.cvsignore,
	test-multiple-scanners-r/Makefile.in,
	test-multiple-scanners-r/main.c,
	test-multiple-scanners-r/scanner-1.l,
	test-multiple-scanners-r/scanner-2.l: a big batch from millaway

2001-10-28 01:49  John Millaway <millaway@acm.org>

	* tests/: test-bison-yylloc/main.c, test-bison-yylval/main.c: file
	main.c was initially added on branch flex-2-5-6-branch.

2001-10-26 23:59  John Millaway <millaway@acm.org>

	* tests/: test-multiple-scanners-nr/.cvsignore,
	test-multiple-scanners-r/.cvsignore: file .cvsignore was initially
	added on branch flex-2-5-6-branch.

2001-10-26 23:59  John Millaway <millaway@acm.org>

	* tests/: test-multiple-scanners-nr/Makefile.in,
	test-multiple-scanners-r/Makefile.in: file Makefile.in was
	initially added on branch flex-2-5-6-branch.

2001-10-26 23:59  John Millaway <millaway@acm.org>

	* tests/: test-multiple-scanners-nr/main.c,
	test-multiple-scanners-r/main.c: file main.c was initially added on
	branch flex-2-5-6-branch.

2001-10-26 23:59  John Millaway <millaway@acm.org>

	* tests/: test-multiple-scanners-nr/scanner-1.l,
	test-multiple-scanners-r/scanner-1.l: file scanner-1.l was
	initially added on branch flex-2-5-6-branch.

2001-10-26 23:59  John Millaway <millaway@acm.org>

	* tests/: test-multiple-scanners-nr/scanner-2.l,
	test-multiple-scanners-r/scanner-2.l: file scanner-2.l was
	initially added on branch flex-2-5-6-branch.

2001-10-26 10:30  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: now NEWS has forgotten about the _r variables

2001-10-26 08:59  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, flex.texi, gen.c, main.c,
	tests/test-bison-yylloc/scanner.l,
	tests/test-bison-yylval/scanner.l,
	tests/test-include-by-reentrant/scanner.l,
	tests/test-prefix-nr/scanner.l, tests/test-pthread/scanner.l,
	tests/test-string-r/scanner.l, tests/test-yyextra/scanner.l:
	millaway simplified the reentrant api; here's the result

2001-10-23 17:07  Will Estes <wlestes@users.sourceforge.net>

	* main.c, options.c, options.h: more from millaway

2001-10-22 10:37  Will Estes <wlestes@users.sourceforge.net>

	* main.c, options.c, options.h: the last checkin was broken;
	millaway fixed it

2001-10-22 09:42  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi, flex.skl, gen.c, main.c, misc.c, options.h, scan.l,
	scanopt.c, tests/README, tests/configure.in: phew, millaway's
	latest batch

2001-10-21 13:24  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: flex.skl should come up in C mode

2001-10-21 13:23  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: apparently, isatty and c++ need help getting along
	(from octave)

2001-10-19 18:56  John Millaway <millaway@acm.org>

	* tests/: test-header-nr/.cvsignore, test-header-r/.cvsignore: file
	.cvsignore was initially added on branch flex-2-5-6-branch.

2001-10-19 18:56  John Millaway <millaway@acm.org>

	* tests/: test-header-nr/Makefile.in, test-header-r/Makefile.in:
	file Makefile.in was initially added on branch flex-2-5-6-branch.

2001-10-19 18:56  John Millaway <millaway@acm.org>

	* tests/: test-header-nr/main.c, test-header-r/main.c: file main.c
	was initially added on branch flex-2-5-6-branch.

2001-10-19 18:56  John Millaway <millaway@acm.org>

	* tests/: test-header-nr/scanner.l, test-header-r/scanner.l: file
	scanner.l was initially added on branch flex-2-5-6-branch.

2001-10-19 18:56  John Millaway <millaway@acm.org>

	* tests/: test-header-nr/test.input, test-header-r/test.input: file
	test.input was initially added on branch flex-2-5-6-branch.

2001-10-19 17:13  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: document new options and new option handling

2001-10-19 16:58  Will Estes <wlestes@users.sourceforge.net>

	* TODO: tell emacs that TODO is a text/outline mode file

2001-10-19 16:55  Will Estes <wlestes@users.sourceforge.net>

	* TODO: we have new long options; we need to document that

2001-10-19 16:36  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: tell emacs that NEWS is text/outline mode

2001-10-19 14:04  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: oops, lost a line somewhere in the merge process on
	millaway's work

2001-10-17 10:29  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am, buf.c, flex.skl, flex.texi, flexdef.h, main.c,
	misc.c, options.c, options.h, parse.y, scan.l, scanopt.c,
	scanopt.h: merge latest batch of millaway's changes

2001-10-15 13:26  John Millaway <millaway@acm.org>

	* buf.c: file buf.c was initially added on branch
	flex-2-5-6-branch.

2001-10-12 20:44  John Millaway <millaway@acm.org>

	* options.c: file options.c was initially added on branch
	flex-2-5-6-branch.

2001-10-12 20:44  John Millaway <millaway@acm.org>

	* options.h: file options.h was initially added on branch
	flex-2-5-6-branch.

2001-10-12 20:44  John Millaway <millaway@acm.org>

	* scanopt.c: file scanopt.c was initially added on branch
	flex-2-5-6-branch.

2001-10-12 20:44  John Millaway <millaway@acm.org>

	* scanopt.h: file scanopt.h was initially added on branch
	flex-2-5-6-branch.

2001-09-22 13:50  Will Estes <wlestes@users.sourceforge.net>

	* main.c: Fixed typo in options display

2001-09-20 15:27  Will Estes <wlestes@users.sourceforge.net>

	* main.c: reentrant and non-reentrant scanners share the same
	yywrap MACRO. millaway

2001-09-20 12:32  Will Estes <wlestes@users.sourceforge.net>

	* TODO: clarify item on comments in lexical files

2001-09-20 12:29  Will Estes <wlestes@users.sourceforge.net>

	* NEWS, scan.l: now flex recognizes \r as an eol character

2001-09-20 10:55  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: specify cvsroot so automake distcheck works

2001-09-19 16:39  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: tex has lost its mind; we remove parentheses to
	compensate

2001-09-19 15:42  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: now that c++ is better supported, let's mention it as a
	news item

2001-09-19 15:37  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, main.c, examples/fastwc/wc1.l, examples/fastwc/wc2.l,
	examples/fastwc/wc3.l, examples/fastwc/wc4.l,
	examples/fastwc/wc5.l: commit the backwash from the branch merges

2001-09-19 15:19  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h, flex.skl, examples/testxxLexer.l: made preliminary
	c++ fixes; the intent is to make it work with recent c++ compilers

2001-08-26 12:14  Will Estes <wlestes@users.sourceforge.net>

	* main.c: remove argv_fixup; fix typo in error message; changes
	from millaway's branch

2001-08-24 11:54  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: mention no more c++ comments in c scanners

2001-08-21 13:47  John Millaway <millaway@acm.org>

	* flex.skl: Changed // comments to /* */ comments in skeleton.

2001-08-19 16:34  John Millaway <millaway@acm.org>

	* flex.texi: Changed @var to @code everywhere.

2001-08-16 14:19  Will Estes <wlestes@users.sourceforge.net>

	* to.do/flex.rmail: more mail

2001-08-16 11:03  Will Estes <wlestes@users.sourceforge.net>

	* TODO: the manual now has its own section; we're not adding
	comments either

2001-08-03 21:14  John Millaway <millaway@acm.org>

	* tests/: Makefile.in, README, TEMPLATE/Makefile.in,
	test-basic-nr/Makefile.in, test-basic-r/Makefile.in,
	test-bison-yylloc/Makefile.in, test-bison-yylval/Makefile.in,
	test-include-by-buffer/Makefile.in,
	test-include-by-reentrant/Makefile.in, test-prefix-nr/Makefile.in,
	test-prefix-r/Makefile.in, test-pthread/Makefile.in,
	test-string-nr/Makefile.in, test-string-r/Makefile.in,
	test-yyextra/Makefile.in: Cleaned up the output of the tests.

2001-08-03 16:43  Will Estes <wlestes@users.sourceforge.net>

	* TODO: note jason's thoughts on having a manpage

2001-08-03 16:41  Will Estes <wlestes@users.sourceforge.net>

	* TODO: note millaway's assignment and tests to be under flex
	license

2001-08-01 17:14  John Millaway <millaway@acm.org>

	* tests/test-bison-yylval/scanner.l: Fixed semantics of test (the
	success or failure of this test should be unaffected by this
	change.)

2001-08-01 16:13  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: fake automake into believing that ChangeLog already
	exists

2001-08-01 16:06  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: millaway needs to be covered in the ChangeLog

2001-08-01 15:41  Will Estes <wlestes@users.sourceforge.net>

	* version.h: automake is supplying version info now so we just pick
	it up

2001-08-01 15:40  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: forgot braces on @copyright

2001-08-01 15:40  John Millaway <millaway@acm.org>

	* flex.skl: Added missing argument to yy_flex_free.

2001-08-01 10:05  Will Estes <wlestes@users.sourceforge.net>

	* AUTHORS: john millaway wrote the reentrant C support

2001-08-01 10:05  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: add license node to the manual

2001-08-01 09:48  Will Estes <wlestes@users.sourceforge.net>

	* TODO: c++ ideas

2001-07-31 17:31  Will Estes <wlestes@users.sourceforge.net>

	* parse.y: error messages will now show up the way that emacs likes
	them

2001-07-31 15:56  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: oops, left in an extra backslash

2001-07-31 15:05  Will Estes <wlestes@users.sourceforge.net>

	* TODO: flex.texi is here; clarify tests/ rewrite issue

2001-07-31 15:04  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: hey, we have texinfo, not man

2001-07-31 15:03  Will Estes <wlestes@users.sourceforge.net>

	* flex.1: no more manpage

2001-07-31 15:01  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: remove flex.1 and rewrite the dist-hook so that we
	pick up a couple more directories

2001-07-31 14:15  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: the namual now compiles; hurray

2001-07-31 06:13  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: first attempt at including the tests/ directory via
	automake, dist-hook target added

2001-07-31 06:12  Will Estes <wlestes@users.sourceforge.net>

	* tests/.cvsignore: ignore config.cache in tests/ directory

2001-07-31 05:46  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: automake groks the ChangeLog now so we don't have to
	remind the maintainer to remake it

2001-07-30 17:06  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: more corrections to the manual; the end is in site

2001-07-30 17:06  Will Estes <wlestes@users.sourceforge.net>

	* TODO: auto-generated backup?

2001-07-27 17:12  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: today's tinkering on the manual

2001-07-27 10:50  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: if we want flex.1 we have to say so in EXTRA_DIST

2001-07-27 10:49  Will Estes <wlestes@users.sourceforge.net>

	* TODO: note future issues with flex.texi

2001-07-27 10:34  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: include flex.1 as it's the only working
	documentation for now

2001-07-27 10:32  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: rearrange to work with automake on building the
	ChangeLog

2001-07-27 09:33  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: automake is unhappy if we specify the outfile

2001-07-26 17:18  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: more conversions/corrections

2001-07-26 10:04  Will Estes <wlestes@users.sourceforge.net>

	* README: we removed misc/ so we don't mention it any more

2001-07-25 16:26  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: begin the manual conversion to texinfo; yes, it's
	broken right now

2001-07-25 16:25  Will Estes <wlestes@users.sourceforge.net>

	* AUTHORS, THANKS: copy in manual author and thanks info

2001-07-25 10:46  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: how to fake the ChangeLog into showing up in the
	distribution

2001-07-25 09:07  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: add YFLAGS so parse.h gets made

2001-07-24 16:23  Will Estes <wlestes@users.sourceforge.net>

	* examples/fastwc/: README, mywc.c, wc1.l, wc2.l, wc3.l, wc4.l,
	wc5.l: re-add these files

2001-07-24 15:11  Will Estes <wlestes@users.sourceforge.net>

	* TODO: reflect recent doings

2001-07-24 15:07  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.in: what with automake, we don't need Makefile.in any
	more

2001-07-24 15:06  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: more rearranging for automake

2001-07-24 15:04  Will Estes <wlestes@users.sourceforge.net>

	* to.do/flex.rmail: more mail came in

2001-07-24 12:44  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: adjust to automake's idea of the world

2001-07-24 12:43  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: add Vern's misc dependencies; noinst_SCRIPTS was
	broken?; list a few last files to be included in the distribution

2001-07-24 10:48  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: rearrange for better order; add automake support as a news
	item

2001-07-24 10:38  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: copyright notice on Makefile.am; document some -D
	switches (are they still usable?)

2001-07-24 10:37  Will Estes <wlestes@users.sourceforge.net>

	* TODO: add lex-replacement issue

2001-07-24 06:13  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: add EXTRA_DIST

2001-07-23 17:49  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: we need to do the same thing in each directory

2001-07-23 17:25  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: introduce automake into the macro calls

2001-07-23 17:06  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: add AUTOMAKE_OPTIONS, info_TEXINFOS,
	include_HEADERS, noinst_HEADERS; it's libfl.a, not libflex.a

2001-07-23 16:16  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.am: bin_PROGRAMS and lib_LIBRARIES

2001-07-23 15:32  Will Estes <wlestes@users.sourceforge.net>

	* to.do/streams.mail: streams.mail has moved here

2001-07-23 15:12  Will Estes <wlestes@users.sourceforge.net>

	* TODO: add xref for teximanual

2001-07-19 10:27  Will Estes <wlestes@users.sourceforge.net>

	* flex.1: include typo/punctuation fixes from a patch submitted by
	noon@cote-dazur.com (Fabrice Bauzac)

2001-07-17 14:40  Will Estes <wlestes@users.sourceforge.net>

	* TODO: we want gettext

2001-06-24 19:45  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: include c++ STD fixes from quanstro@quanstro.net

2001-06-24 18:33  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, gen.c: change some int types to size_t as per FreeBSD
	28364 from avn@any.ru

2001-06-24 18:31  Will Estes <wlestes@users.sourceforge.net>

	* TODO: remove parse.[ch] from make clean target; repackage
	distribution (not rework)

2001-06-19 08:44  Will Estes <wlestes@users.sourceforge.net>

	* TODO: add memory api and reworking of flex.skl reworking

2001-06-18 13:18  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: remove extraneous notice from flex.skl

2001-06-18 08:49  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: patch memory leak as per millaway

2001-06-17 15:23  Will Estes <wlestes@users.sourceforge.net>

	* to.do/flex.rmail: add vern's ok for copyright/license changes and
	john's answer on line offsets

2001-06-17 15:18  Will Estes <wlestes@users.sourceforge.net>

	* TODO: remove creation of .cvsignore files (it's done); add other
	notes about the test suite

2001-06-17 15:16  Will Estes <wlestes@users.sourceforge.net>

	* tests/: TEMPLATE/.cvsignore, test-basic-nr/.cvsignore,
	test-basic-r/.cvsignore, test-bison-yylloc/.cvsignore,
	test-bison-yylval/.cvsignore, test-include-by-buffer/.cvsignore,
	test-include-by-reentrant/.cvsignore, test-prefix-nr/.cvsignore,
	test-prefix-r/.cvsignore, test-pthread/.cvsignore,
	test-string-nr/.cvsignore, test-string-r/.cvsignore,
	test-yyextra/.cvsignore: adding .cvsignore files for existing
	tests/ subdirectories

2001-06-17 15:12  Will Estes <wlestes@users.sourceforge.net>

	* tests/README: reformat, say to add a description to this file and
	mention what to do re .cvsignore

2001-06-17 15:09  Will Estes <wlestes@users.sourceforge.net>

	* tests/TEMPLATE/cvsignore: create template for .cvsignore

2001-06-17 14:59  Will Estes <wlestes@users.sourceforge.net>

	* TODO: reorganize for logical reasons; test suite now seems to run
	out of the box

2001-06-17 14:28  Will Estes <wlestes@users.sourceforge.net>

	* tests/.cvsignore: we dont want the Makefile either

2001-06-17 13:40  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-prefix-nr/test.input: test.input was supposed to be
	here

2001-06-17 13:36  Will Estes <wlestes@users.sourceforge.net>

	* tests/test-prefix-r/test.input: test.input was supposed to be
	here

2001-06-17 13:18  Will Estes <wlestes@users.sourceforge.net>

	* tests/.cvsignore: add autoconf legacy files to be ignored

2001-06-17 13:11  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: clarify usage instructions; prepare tests/ as well

2001-06-17 13:07  Will Estes <wlestes@users.sourceforge.net>

	* tests/.cvsignore: . cvsignore for tests/ subdirectory

2001-06-17 13:01  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h: tell emacs that FlexLexer.h is c++

2001-06-17 13:00  Will Estes <wlestes@users.sourceforge.net>

	* scan.l: tell emacs scan.l is in C mode

2001-06-17 12:59  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: added punctuation

2001-06-17 12:17  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h, Makefile.in, README, RoadMap, autogen.sh, ccl.c,
	configure.in, dfa.c, ecs.c, flex.1, flex.skl, flexdef.h, gen.c,
	libmain.c, libyywrap.c, main.c, misc.c, mkskel.sh, nfa.c, parse.y,
	scan.l, sym.c, tblcmp.c, yylex.c: change copyright/license notices
	as per Vern's response to Theo

2001-06-15 16:22  Will Estes <wlestes@users.sourceforge.net>

	* to.do/flex.rmail: add bill fenlason's emails

2001-06-15 16:21  Will Estes <wlestes@users.sourceforge.net>

	* COPYING: make changes as per Theo De Raadt; remove tabs

2001-06-08 08:42  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl: save errno as per Theo de Raadt

2001-06-07 08:44  Will Estes <wlestes@users.sourceforge.net>

	* flex.1: correct hyphenation as per openbsd tree

2001-06-05 16:39  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.in, configure.in: change references to TESTS/ to tests/
	to account for the directory name changes

2001-05-27 15:22  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, gen.c: commit john millaway's YY_G wrapper corrections

2001-05-21 17:44  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.in: remove || exit calls

2001-05-21 15:50  Will Estes <wlestes@users.sourceforge.net>

	* gen.c: complete john millaway's reentrant patch

2001-05-21 13:23  Will Estes <wlestes@users.sourceforge.net>

	* to.do/flex.rmail:  more flex messages in the queue

2001-05-18 17:25  Will Estes <wlestes@users.sourceforge.net>

	* flex.skl, flexdef.h, gen.c, main.c, nfa.c, scan.l: john
	millaway's reentrancy patch

2001-05-18 16:30  Will Estes <wlestes@users.sourceforge.net>

	* tests/Makefile.in: remove || exit from testing loop

2001-05-18 16:27  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.in: tell make about the tests directory and its
	associated targets

2001-05-18 16:26  Will Estes <wlestes@users.sourceforge.net>

	* TODO: rethink the todo list

2001-05-18 16:13  Will Estes <wlestes@users.sourceforge.net>

	* flex.1: describe reentrant api changes

2001-05-18 16:10  Will Estes <wlestes@users.sourceforge.net>

	* TODO: mention work needed for tests/

2001-05-18 16:09  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: tell auto* about the test directory

2001-05-18 16:04  Will Estes <wlestes@users.sourceforge.net>

	* README: make punctuation uniform, mention the new tests/
	directory

2001-05-18 16:02  Will Estes <wlestes@users.sourceforge.net>

	* NEWS: reformat items; cut out old items and move them to ONEWS

2001-05-18 16:01  Will Estes <wlestes@users.sourceforge.net>

	* ONEWS: move old NEWS items to ONEWS

2001-05-18 13:22  Will Estes <wlestes@users.sourceforge.net>

	* tests/: Makefile.in, README, configure.in, TEMPLATE/Makefile.in,
	TEMPLATE/parser.y, TEMPLATE/scanner.l, TEMPLATE/test.input,
	test-basic-nr/Makefile.in, test-basic-nr/scanner.l,
	test-basic-nr/test.input, test-basic-r/Makefile.in,
	test-basic-r/scanner.l, test-basic-r/test.input,
	test-bison-yylloc/Makefile.in, test-bison-yylloc/parser.y,
	test-bison-yylloc/scanner.l, test-bison-yylloc/test.input,
	test-bison-yylval/Makefile.in, test-bison-yylval/parser.y,
	test-bison-yylval/scanner.l, test-bison-yylval/test.input,
	test-include-by-buffer/Makefile.in,
	test-include-by-buffer/scanner.l,
	test-include-by-buffer/test-1.input,
	test-include-by-buffer/test-2.input,
	test-include-by-buffer/test-3.input,
	test-include-by-reentrant/Makefile.in,
	test-include-by-reentrant/scanner.l,
	test-include-by-reentrant/test-1.input,
	test-include-by-reentrant/test-2.input,
	test-include-by-reentrant/test-3.input, test-prefix-nr/Makefile.in,
	test-prefix-nr/README, test-prefix-nr/scanner.l,
	test-prefix-r/Makefile.in, test-prefix-r/README,
	test-prefix-r/scanner.l, test-pthread/Makefile.in,
	test-pthread/scanner.l, test-pthread/test-1.input,
	test-pthread/test-2.input, test-pthread/test-3.input,
	test-pthread/test-4.input, test-pthread/test-5.input,
	test-string-nr/Makefile.in, test-string-nr/scanner.l,
	test-string-r/Makefile.in, test-string-r/scanner.l,
	test-yyextra/Makefile.in, test-yyextra/scanner.l,
	test-yyextra/test.input: add john millaway's test directory

2001-05-04 16:04  Will Estes <wlestes@users.sourceforge.net>

	* to.do/flex.rmail: more mail in flex.rmail

2001-05-03 15:05  Will Estes <wlestes@users.sourceforge.net>

	* FlexLexer.h, ccl.c, dfa.c, ecs.c, flex.skl, flexdef.h, gen.c,
	libmain.c, libyywrap.c, main.c, misc.c, nfa.c, parse.y, scan.l,
	sym.c, tblcmp.c, yylex.c: remove extraneous rcs keywords

2001-05-03 14:54  Will Estes <wlestes@users.sourceforge.net>

	* README: mention RoadMap

2001-05-01 16:47  Will Estes <wlestes@users.sourceforge.net>

	* examples/README, examples/debflex.awk, examples/testxxLexer.l,
	examples/manual/ChangeLog, examples/manual/Makefile,
	examples/manual/README, examples/manual/cat.lex,
	examples/manual/dates.lex, examples/manual/datetest.dat,
	examples/manual/eof_rules.lex, examples/manual/eof_test01.txt,
	examples/manual/eof_test02.txt, examples/manual/eof_test03.txt,
	examples/manual/expr.lex, examples/manual/expr.y,
	examples/manual/front.lex, examples/manual/front.y,
	examples/manual/j2t.lex, examples/manual/myname.lex,
	examples/manual/myname.txt, examples/manual/myname2.lex,
	examples/manual/numbers.lex, examples/manual/pas_include.lex,
	examples/manual/pascal.lex, examples/manual/reject.lex,
	examples/manual/replace.lex, examples/manual/string1.lex,
	examples/manual/string2.lex, examples/manual/strtest.dat,
	examples/manual/unput.lex, examples/manual/user_act.lex,
	examples/manual/userinit.lex, examples/manual/wc.lex,
	examples/manual/yymore.lex, examples/manual/yymore2.lex,
	examples/manual/yymoretest.dat, to.do/README, to.do/Wilhelms.todo,
	to.do/Wish-List, to.do/flex.rmail, to.do/unicode/FlexLexer.h,
	to.do/unicode/ccl.c, to.do/unicode/changes.txt,
	to.do/unicode/ecs.c, to.do/unicode/flex.1, to.do/unicode/flex.skl,
	to.do/unicode/flexdef.h, to.do/unicode/gen.c, to.do/unicode/main.c,
	to.do/unicode/misc.c, to.do/unicode/scan.l, to.do/unicode/tblcmp.c:
	adding the rest of vern's files

2001-05-01 16:36  Will Estes <wlestes@users.sourceforge.net>

	* README: mention misc/ directory

2001-05-01 16:32  Will Estes <wlestes@users.sourceforge.net>

	* version.h: version is 2.5.5b

2001-05-01 16:30  Will Estes <wlestes@users.sourceforge.net>

	* Makefile.in: remove header from top; add rule to generate
	initscan.c just in case

2001-05-01 16:28  Will Estes <wlestes@users.sourceforge.net>

	* configure.in: dont check for initscan.c; check for scan.l instead

2001-05-01 15:12  Will Estes <wlestes@users.sourceforge.net>

	* RoadMap: list of source files

2001-05-01 15:10  Will Estes <wlestes@users.sourceforge.net>

	* README: rewrite README to reflect changes in layout of
	directories

2001-05-01 15:08  Will Estes <wlestes@users.sourceforge.net>

	* AUTHORS, THANKS, TODO: initial attempt at the files

2001-05-01 14:03  Will Estes <wlestes@users.sourceforge.net>

	* COPYING: add 2001 copyright notice

2001-05-01 13:38  Will Estes <wlestes@users.sourceforge.net>

	* autogen.sh: initial attempt at a bootstrap script for developers

2001-05-01 13:21  Will Estes <wlestes@users.sourceforge.net>

	* flex.texi: texinfo manual, old contributed version

2000-08-21 12:39  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: fixed some bugs in examples of [[:...:]] ccls

2000-08-21 12:39  Vern Paxson <vern@ee.lbl.gov>

	* version.h: version shipped to Dick King

2000-08-21 12:39  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: explicit include of iostream.h

2000-08-21 12:38  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: if a newline is seen in <ACTION_STRING>, assume it
	terminates the string.

2000-08-21 12:38  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h, sym.c: moved symbol table definitions from flexdef.h
	into sym.c

2000-08-21 12:37  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: fixed underallocation for accset

1997-06-27 15:36  Vern Paxson <vern@ee.lbl.gov>

	* COPYING: revised for rms

1997-06-23 15:48  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: fixed memory leak

1997-06-23 15:48  Vern Paxson <vern@ee.lbl.gov>

	* flex.1:  input() doesn't destroy yytext

1997-06-23 15:48  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: wrapped with extern "C++"

1996-12-13 06:22  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: use delete [] for yy_state_buf

1996-10-29 09:43  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: fixed %option noinput

1996-10-29 09:39  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: free(char*) fix ... Sigh ...

1996-10-11 11:33  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: bug fix for yymore()/yylineno interaction

1996-10-11 11:13  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: fixed memory leak

1996-09-10 13:10  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: release 2.5.4

1996-09-10 12:59  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: more stuff for distclean

1996-09-10 12:58  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: "str" -> "yy_str"

1996-09-10 12:58  Vern Paxson <vern@ee.lbl.gov>

	* version.h: 2.5.4

1996-07-02 12:35  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: (attempted) fix for input() crossing a file boundary

1996-05-29 08:25  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: don't do Acorn diffs

1996-05-29 08:15  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: some minor additions for 2.5.3

1996-05-29 08:02  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.5.3

1996-05-29 07:59  Vern Paxson <vern@ee.lbl.gov>

	* version.h: 2.5.3

1996-05-25 17:02  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: initialize yy_more_offset etc. for yyFlexLexer class

1996-05-25 16:54  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: niggling cosmetic tweak

1996-05-25 16:44  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: bug fixes for yymore (especially with %array)

1996-05-25 16:43  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: yymore + %array tweaks

1996-05-25 16:43  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: added yy_{,prev_}more_offset

1996-05-25 16:42  Vern Paxson <vern@ee.lbl.gov>

	* main.c: removed decl of unused library function

1996-05-25 11:26  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: snapshot of cscope yymore fixes, prior to switching
	yymore-on-%array approach

1995-12-18 09:20  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: don't stack states on NUL-transitions that are jams

1995-09-27 08:47  Vern Paxson <vern@ee.lbl.gov>

	* libmain.c: fixed re Esmond Pitt's ancient suggestion

1995-04-28 07:39  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: ANSI C / Solaris tweak

1995-04-24 09:26  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: credits

1995-04-24 09:26  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: multiple FlexLexer.h includes

1995-04-24 09:25  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: fix multiple inclusions

1995-04-24 08:17  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: lint tweak

1995-04-24 07:39  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: typo fixed

1995-04-24 06:49  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: credits update

1995-04-24 06:48  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: (char*) cast for realloc

1995-04-24 06:46  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: (char*) tweak

1995-04-21 07:53  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: VMS update for 2.5.2

1995-04-21 07:53  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: clarify when 8-bit scanners are created by default,
	vs. 7-bit

1995-04-21 07:51  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: reworked alloca() chud, from Francois

1995-04-20 09:57  Vern Paxson <vern@ee.lbl.gov>

	* NEWS, version.h: 2.5.2

1995-04-20 09:57  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: 2.5.2 update

1995-04-20 09:53  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c, main.c: const -> yyconst

1995-04-20 09:34  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: fixed some old libfl.a references

1995-04-20 09:09  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: some (but not all) of Francois' tweaks

1995-04-20 09:08  Vern Paxson <vern@ee.lbl.gov>

	* configure.in: tweaks from Francois

1995-04-20 08:46  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: yy_delete_buffer allows nil buffer pointer

1995-04-20 08:43  Vern Paxson <vern@ee.lbl.gov>

	* main.c: do_stdinit now defaults to false

1995-04-20 08:43  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: remove first default for yylex(new_in, new_out)

1995-04-20 08:42  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: rearrange some definitions; fix YY_NO_UNPUT

1995-04-20 08:42  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: more alloca() bullshit

1995-04-20 07:35  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: octal escape sequence must have just digits 0-7

1995-04-20 07:35  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: '-' means stdin octal escape sequence must just be digits
	0-7

1995-04-20 07:34  Vern Paxson <vern@ee.lbl.gov>

	* main.c: -- terminates options

1995-04-20 07:17  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: added dataflush() prototype

1995-04-20 07:17  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: move dataflush, otoi prototypes into flexdef.h

1995-04-20 07:17  Vern Paxson <vern@ee.lbl.gov>

	* gen.c, flex.skl: const -> yyconst

1995-04-20 06:55  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: fixed bug in needing yy_cp for -Cf w/ backing up

1995-03-28 05:29  Vern Paxson <vern@ee.lbl.gov>

	* flex.1, README: Stan Adermann credit

1995-03-27 09:38  Vern Paxson <vern@ee.lbl.gov>

	* README: beta-tester update

1995-03-27 09:38  Vern Paxson <vern@ee.lbl.gov>

	* NEWS, version.h: 2.5.1

1995-03-27 09:37  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: update date for 2.5.1 release, some feedbacker credits

1995-03-27 09:36  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: fixed lint problem with declaring yy_cp unnecessarily

1995-03-27 09:35  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: {}'s around full-table initializations

1995-03-21 09:35  Vern Paxson <vern@ee.lbl.gov>

	* README: for version 2.5

1995-03-21 09:13  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: added note regarding yylineno should be maintained on a
	per-buffer basis

1995-03-21 09:12  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: new C++ member functions

1995-03-21 08:44  Vern Paxson <vern@ee.lbl.gov>

	* flex.1, NEWS: 2.5.0.8 update

1995-03-21 08:44  Vern Paxson <vern@ee.lbl.gov>

	* main.c: rename yylineno if -P

1995-03-20 09:03  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: do_yylineno MARKER_DIFFERENCE depends on MAXIMUM_MNS

1995-03-20 09:02  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: removed redundant skel.c from DISTFILES

1995-03-20 09:02  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: debug(), setdebug(), lineno()

1995-03-20 09:02  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: %option yylineno support

1995-03-20 09:02  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: read up to newline for interactive reads, rather than one
	char

1995-03-20 09:01  Vern Paxson <vern@ee.lbl.gov>

	* scan.l, main.c: added %option yylineno

1995-03-18 04:27  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: added do_yylineno

1995-03-06 10:53  Vern Paxson <vern@ee.lbl.gov>

	* flex.1, NEWS: 2.5.0.7

1995-03-05 16:37  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: realclean -> maintainer-clean

1995-03-05 16:35  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Added yy_flush_buffer

1995-03-05 16:35  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: added yy_flush_buffer

1995-03-05 16:35  Vern Paxson <vern@ee.lbl.gov>

	* main.c: prefix support for yy_flush_buffer

1995-03-05 15:37  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: added %option yyclass

1995-03-05 15:37  Vern Paxson <vern@ee.lbl.gov>

	* scan.l, flexdef.h, main.c: added yyclass

1995-03-05 11:50  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: Added switch_streams

1995-03-05 11:50  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: added switch_streams

1995-03-05 11:37  Vern Paxson <vern@ee.lbl.gov>

	* main.c: don't rename yy_flex_debug for C++

1995-03-05 11:37  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: yy_flex_debug extern only if not C++

1995-03-05 11:37  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: added yy_flex_debug member variable

1995-03-05 11:36  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: yyFlexLexer initialization of yy_flex_debug

1995-03-04 13:06  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h, main.c: VMS POSIX stuff

1995-03-04 11:36  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: moved position of yy_init = 0

1995-03-04 11:15  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: added YY_EXIT_FAILURE

1995-03-04 11:14  Vern Paxson <vern@ee.lbl.gov>

	* main.c: removed VMS-specific exit

1995-03-04 11:09  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h, dfa.c, yylex.c, sym.c, scan.l, nfa.c, misc.c, gen.c,
	main.c: internationalization aids

1995-03-04 11:07  Vern Paxson <vern@ee.lbl.gov>

	* main.c: do yy_flex_debug prefix for both C++ and C

1995-02-06 04:38  Vern Paxson <vern@ee.lbl.gov>

	* main.c: fixed program_name tweak again

1995-01-11 06:00  Vern Paxson <vern@ee.lbl.gov>

	* main.c: oops, fixed program_name tweak

1995-01-11 05:53  Vern Paxson <vern@ee.lbl.gov>

	* main.c: program_name is "flex" if argv[0] nil

1995-01-10 05:43  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.5.0.5

1995-01-10 05:43  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Documented YY_NUM_RULES

1995-01-10 05:42  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: added formatted man page to MISC

1995-01-10 05:42  Vern Paxson <vern@ee.lbl.gov>

	* main.c: help messages to stdout

1995-01-09 17:05  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Added YY_NUM_RULES

1995-01-09 16:02  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: better fix for #pragma problem

1995-01-09 16:02  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: better fix for #pragma portability problem

1995-01-09 07:54  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: "# line" -> #line

1995-01-09 07:41  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl, flexdef.h: comment out Turbo C #pragma's

1995-01-09 07:35  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: reset linenum on new file

1995-01-09 07:13  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: isatty() extern

1995-01-09 07:13  Vern Paxson <vern@ee.lbl.gov>

	* NEWS, flex.1: 2.5.0.4

1995-01-09 07:12  Vern Paxson <vern@ee.lbl.gov>

	* main.c: long options, VMS tweaks

1995-01-09 07:12  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Added parse.c, parse.h for dist MISC directory

1995-01-09 07:11  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: some "const" cleansing

1995-01-09 07:11  Vern Paxson <vern@ee.lbl.gov>

	* mkskel.sh: skel[] is now const

1995-01-09 07:11  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: some const cleansing

1995-01-09 07:10  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: #line in section 1

1995-01-05 17:04  Vern Paxson <vern@ee.lbl.gov>

	* sym.c: preen

1994-12-29 10:58  Vern Paxson <vern@ee.lbl.gov>

	* configure.in: config.h from conf.in

1994-12-29 10:58  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: for VMS, delete -> remove

1994-12-29 10:57  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: config.h.in -> conf.in rm config.h on distclean

1994-12-29 10:57  Vern Paxson <vern@ee.lbl.gov>

	* main.c: stdinit tweaks

1994-12-29 10:48  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: added nostdinit

1994-12-28 13:47  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: added MS-DOS note for 2.5.0.2

1994-12-28 13:16  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: typos, tweaks

1994-12-28 10:40  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: removed flexdoc

1994-12-28 10:35  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: flexdoc/flex merge

1994-12-28 08:50  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: typos

1994-12-28 08:45  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: typo

1994-12-28 08:42  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: 2.5 update

1994-12-28 08:41  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.5.0.2

1994-12-28 06:55  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: fixed sense of %option main implying %option noyywrap

1994-12-28 06:54  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: YY_FLEX_{MAJOR,MINOR}_VERSION fixed bug in unput
	trashing yytext even with %array

1994-12-17 17:08  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: prior to 2.5 update

1994-12-17 13:41  Vern Paxson <vern@ee.lbl.gov>

	* main.c: C++/-P fixes

1994-12-17 13:40  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: -P fixes constructor, destructor moved to flex.skl

1994-12-17 13:40  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: YY_SKIP_YYWRAP yyFlexLexer constructor, destructor

1994-12-15 09:34  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: formatting

1994-12-15 09:30  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: fixed bug in adjusting yytext before backing up

1994-12-10 17:24  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: switched scanner itself over to [:xxx:]

1994-12-10 12:53  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: added YY_FLEX_VERSION

1994-12-10 12:53  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Fixed CCL-match pattern for [:whatever:]

1994-12-10 12:52  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: treat [:upper:] as [:lower:] if -i

1994-12-06 16:59  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.5.0.1

1994-12-06 16:28  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl, gen.c: input() maintains BOL

1994-12-06 16:20  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: check size of buffer in yy_scan_buffer

1994-12-06 16:08  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: added %option main, fixed missing %*

1994-12-06 16:08  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: added ccl exprs

1994-12-06 16:07  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: added ccl exprs, %option main

1994-12-06 16:07  Vern Paxson <vern@ee.lbl.gov>

	* yylex.c: added %options, ccl exprs

1994-12-05 16:18  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: undid previous change

1994-12-04 10:30  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Makefile.in from srcdir

1994-12-04 04:14  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: added skel.c to DISTFILES

1994-12-04 03:56  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: added YYSTATE alias

1994-12-04 03:28  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: NL is now \r?\n

1994-12-04 03:28  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: use cerr for C++ diagnostics

1994-12-03 15:16  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: undid YY_UNIX_NEWLINE

1994-12-03 08:44  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: STDC_HEADERS to check for stdlib

1994-12-03 08:43  Vern Paxson <vern@ee.lbl.gov>

	* configure.in: AC_STDC_HEADERS -> AC_HEADER_STDC

1994-12-03 08:43  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: \n -> '\012'

1994-12-03 07:20  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Added YY_UNIX_NEWLINE

1994-12-03 06:29  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: BOL changes

1994-12-03 06:29  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: fixed bug with caseins but not ecs

1994-12-03 06:27  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: BOL changes some casts for Turbo C

1994-12-03 06:27  Vern Paxson <vern@ee.lbl.gov>

	* main.c: messages identify filenames

1994-12-03 06:26  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Increase slowly if realloc double overflows

1994-12-03 06:26  Vern Paxson <vern@ee.lbl.gov>

	* nfa.c: YY_RULE_SETUP

1994-12-03 06:26  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Added yy_XX_state %option's Added yy_set_bol

1994-11-29 11:14  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: don't remove ~ files

1994-11-24 11:50  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: get CFLAGS from autoconf

1994-11-24 11:42  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c, flex.skl, flexdef.h, gen.c, misc.c, parse.y, scan.l,
	sym.c: Brian Madsen's tweaks for Borland

1994-11-24 10:50  Vern Paxson <vern@ee.lbl.gov>

	* version.h: 2.5.0

1994-11-24 10:50  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Added do_stdinit

1994-11-24 10:49  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: Added yy_delete_buffer() in destructor

1994-11-24 10:48  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Added yy_set_interactive, YY_ALWAYS_INTERACTIVE,
	YY_NEVER_INTERACTIVE,  YY_NO_INPUT, YY_NO_UNPUT, YY_NO_*_STATE

1994-11-24 10:48  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Added do_stdinit, Think C hacks

1994-11-24 10:47  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Added %options for input, always-interactive,
	never-interactive, yy_scan_{buffer,bytes,string}

1994-11-05 12:13  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: size_t #ifdef's for not compiling some statics

1994-11-05 12:13  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: $(FLEX) config.h

1994-11-05 12:11  Vern Paxson <vern@ee.lbl.gov>

	* configure.in: config.h, size_t, malloc.h, sys/types.h

1994-11-05 12:10  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: config.h, size_t

1994-11-05 12:10  Vern Paxson <vern@ee.lbl.gov>

	* main.c: yywrap option, no stdin/out init for VMS, mundane tweaks

1994-11-05 12:09  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: alloca, lint tweaks

1994-11-05 12:09  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: %option yywrap size_t tweaks

1994-11-05 12:08  Vern Paxson <vern@ee.lbl.gov>

	* tblcmp.c: size_t tweaks

1994-11-05 12:08  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: size_t, STDC tweaks

1994-11-05 10:17  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Added yy_scan_{buffer,bytes,string}, plus tweaks

1994-10-12 17:13  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: made stack code conditional on "stack" option

1994-10-12 17:13  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: added use of "stack" %option

1994-08-03 07:38  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Fixed fencepost in call to yy_flex_strncpy

1994-07-25 18:05  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: yy_eof_status -> yy_buffer_status

1994-07-25 17:22  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: yy_flex_strcpy -> yy_flex_strncpy minor prototype tweak

1994-07-25 17:21  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Bug fix for matching NUL's at end of token when
	interactive.  yy_flex_strcpy -> yy_flex_strncpy

1994-07-25 16:49  Vern Paxson <vern@ee.lbl.gov>

	* nfa.c: No YY_USER_ACTION if continued action

1994-03-16 07:18  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Added fix for 8-bit chars returned by input()

1994-03-16 07:09  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Move definition of yy_flex_strcpy to come after #define
	of yytext_ptr

1994-01-08 05:17  Vern Paxson <vern@ee.lbl.gov>

	* mkskel.sh: flex.skel -> flex.skl

1994-01-08 05:13  Vern Paxson <vern@ee.lbl.gov>

	* mkskel.sh: Initial revision

1993-12-29 12:09  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Fixed scan.c target so "make" detects flex failure

1993-12-27 10:14  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Added %option's

1993-12-27 09:57  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Nuked FLEX_FLAGS that are now done using %option

1993-12-27 09:41  Vern Paxson <vern@ee.lbl.gov>

	* parse.y, scan.l: %option

1993-12-27 09:41  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Reworked for %option

1993-12-27 09:40  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Added "unspecified", globals for %option

1993-12-27 09:40  Vern Paxson <vern@ee.lbl.gov>

	* sym.c: start condition #define's go to action file

1993-12-27 09:40  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Added action_define()

1993-12-27 05:59  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Minor consolidation using scon scopes etc

1993-12-27 05:36  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Modified to use scon scopes

1993-12-27 05:20  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: indented rules

1993-12-26 17:22  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: Added scon_stk stuff, format_warn

1993-12-26 17:22  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Added format_warn

1993-12-26 10:04  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: Working checkpoint prior to adding <scon>{ stuff

1993-12-26 10:04  Vern Paxson <vern@ee.lbl.gov>

	* main.c, flexdef.h: Added in_rule, deleted actvsc

1993-12-26 10:03  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Added doubling of '\'s in filenames

1993-12-26 10:02  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Added in_rule, doing_rule_action

1993-12-26 10:02  Vern Paxson <vern@ee.lbl.gov>

	* sym.c: Removed actvsc

1993-12-23 15:44  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: -ooutput #line directives credits

1993-12-23 15:43  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Fixsed sense of test for %array

1993-12-23 15:42  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.5.0 snapshot for Craig

1993-12-23 15:41  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: Added beginnings of <SCON>{ ... }

1993-12-23 15:41  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Simplified scanning {}'s

1993-12-20 04:41  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Added <stdlib.h>

1993-12-17 05:31  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: prototypes for alloc/string routines

1993-12-17 05:06  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: alloc, string routines internal

1993-12-17 05:05  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Nuked lib{string,alloc}.c, added dependency of
	yylex.o on parse.h

1993-12-17 05:05  Vern Paxson <vern@ee.lbl.gov>

	* configure.in: Check for string.h

1993-12-17 05:04  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Use autoconf for string/strings.h yy_flex_XXX ->
	flex_XXX

1993-12-17 05:04  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Added flex_XXX -> yy_flex_XXX wrappers

1993-12-17 05:04  Vern Paxson <vern@ee.lbl.gov>

	* sym.c, misc.c, dfa.c: yy_flex_XXX -> flex_XXX

1993-12-17 05:03  Vern Paxson <vern@ee.lbl.gov>

	* yylex.c: No more WHITESPACE token

1993-12-16 15:46  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl, FlexLexer.h: Added yy_top_state()

1993-12-16 15:44  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: simplified comment-scanning using push/pop states

1993-12-16 15:44  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: removed crufty WHITESPACE token, some uses of '\n' token

1993-12-15 05:23  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: start stack, extern "C++" moved

1993-12-15 05:23  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: Bug fix for -CF

1993-12-15 05:23  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h, misc.c: alloc routines take unsigned

1993-12-15 05:23  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: start-state stacks, alloc routines take unsigned

1993-12-15 05:08  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h, misc.c: bracket -CF table elements

1993-12-13 07:33  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Do #bytes computation in {re,}allocate_array() only once

1993-12-11 12:06  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h, gen.c, main.c, misc.c, scan.l, flex.skl, sym.c:
	yy_str*() -> str*()

1993-12-11 09:40  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in, dfa.c, flexdef.h, gen.c, main.c, misc.c, nfa.c,
	parse.y, scan.l, sym.c: -o option

1993-12-11 06:09  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: lint tweak

1993-12-11 06:00  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: Expanded on extern "C++" news item

1993-12-11 05:58  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.4.5

1993-12-11 05:56  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Added yy_fill_buffer

1993-12-11 05:56  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: is_interactive -> yy_is_interactive

1993-12-11 05:34  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Updated credits

1993-12-11 05:33  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Fixed typo in "uninstall" target

1993-12-11 05:33  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Updated comment regarding 0-based vs. 1-based arrays for
	-CF.

1993-12-11 05:30  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: Initialize dfaacc[0] for -CF representation Fixed minor
	memory leak

1993-12-11 05:29  Vern Paxson <vern@ee.lbl.gov>

	* main.c: #include "FlexLexer.h" -> <FlexLexer.h>

1993-12-11 05:27  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: Added extern "C++" wrapper

1993-12-09 08:58  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Detect REJECT etc. before generating YY_USES_REJECT!

1993-12-09 08:58  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Fixed bug in interactive reads where char is unsigned

1993-12-09 08:57  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: Fixed bug in treating '$' as variable trailing context

1993-12-09 08:57  Vern Paxson <vern@ee.lbl.gov>

	* version.h: 2.4.5

1993-12-07 08:08  Vern Paxson <vern@ee.lbl.gov>

	* README: pretester update

1993-12-07 06:16  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.4.4

1993-12-07 06:15  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: LexError(), C++ experiment warning, credits

1993-12-07 06:11  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Fixed 8-bit bug

1993-12-07 06:10  Vern Paxson <vern@ee.lbl.gov>

	* gen.c, flex.skl: Fixed nasty 8-bit bugs

1993-12-07 05:18  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c, ecs.c, flexdef.h, gen.c, main.c, nfa.c, tblcmp.c:
	{min,max,abs} -> {MIN,MAX,ABS}

1993-12-07 05:11  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h, flex.skl: Support for yyFlexLexer::LexerError

1993-12-06 04:43  Vern Paxson <vern@ee.lbl.gov>

	* version.h: 2.4.4

1993-12-05 12:11  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: credits update

1993-12-05 12:08  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: very minor "install" tweaks

1993-12-05 12:07  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl, nfa.c: YY_USER_ACTION generated now for each case in
	action switch

1993-12-04 17:02  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Fixed bug in pointing yyin at a new file and resuming
	scanning

1993-12-03 17:45  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: Added note regarding g++ 2.5.X

1993-12-03 17:20  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: updated credits

1993-12-03 17:20  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: ranlib addition for 2.4.3

1993-12-03 17:19  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Minor tweak to last change

1993-12-03 17:18  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: run ranlib on libfl.a

1993-12-03 17:02  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: Hopefully last update prior to 2.4.3

1993-12-03 16:59  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h, gen.c, misc.c, sym.c: lint tweaks

1993-12-03 16:35  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Added exec_prefix

1993-12-03 16:35  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: credit update

1993-12-03 16:35  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: lint tweak

1993-12-03 07:50  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: FlexLexer.h fixed for separate inclusion

1993-12-03 07:49  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl, FlexLexer.h, main.c: mods so FlexLexer.h can be
	included separately

1993-12-03 07:47  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: -F incompatible with -+

1993-12-02 17:18  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: Elaborated comments for 2.4.3

1993-12-02 16:59  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.4.3

1993-12-02 16:58  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Updated message regarding missing libfl.a routines Added
	thanks to Noah Friedman

1993-12-02 16:52  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Added libstring.c Modified "lint" target to use
	-Dconst= Added a.out, lex.yy.cc to sundry clean targets

1993-12-02 16:52  Vern Paxson <vern@ee.lbl.gov>

	* gen.c, scan.l, sym.c, misc.c, main.c, flexdef.h, flex.skl: Use
	yy_strXXX() routines instead of <string.h>

1993-12-01 06:58  Vern Paxson <vern@ee.lbl.gov>

	* version.h: 2.4.3

1993-12-01 06:58  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h, misc.c: yy_flex_xmalloc() moved to misc.c

1993-12-01 06:58  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Fixed bug in yy_fatal_error()

1993-12-01 02:59  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: ... and remove plain tar file after compression

1993-12-01 02:57  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.4.2

1993-12-01 02:56  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Produce both compress'd and gzip'd distribution tar
	files

1993-12-01 02:52  Vern Paxson <vern@ee.lbl.gov>

	* version.h: Release 2.4.2

1993-11-30 18:37  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: -a -> -Ca

1993-11-30 15:59  Vern Paxson <vern@ee.lbl.gov>

	* README: described configuration files in manifest

1993-11-30 15:58  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Added intermediate step of copying MISC/alloca.c ->
	alloca.c Included CPPFLAGS when compiling alloca.c

1993-11-30 10:51  Vern Paxson <vern@ee.lbl.gov>

	* README: Credit to 2.4 pre-testers.

1993-11-30 08:01  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Fixed nasty bug in short/long decl decision

1993-11-30 08:01  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Lowered MAX_SHORT out of increased general paranoia. 
	Added yy_flex_xmalloc() proto

1993-11-30 08:00  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Fixed very minor typo in -v output

1993-11-30 08:00  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Removed vestigal cast to (char) in isupper() call

1993-11-30 07:59  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Added casts to unsigned Char for isascii() calls

1993-11-30 07:59  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: Added #ifdef chud for alloca()

1993-11-30 07:59  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Added alloca

1993-11-30 07:35  Vern Paxson <vern@ee.lbl.gov>

	* configure.in: Add AC_ALLOCA if using bison

1993-11-29 16:35  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Added intermediate file going scan.l -> scan.c

1993-11-29 12:18  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Removed parse.{c,h} from distribution files, since
	they may not be  all that portable.

1993-11-29 12:13  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Fixed %array YYLMAX headaches, added error message if
	buffer	needs growing but REJECT used

1993-11-29 12:13  Vern Paxson <vern@ee.lbl.gov>

	* gen.c, main.c: Fixed YYLMAX headaches

1993-11-29 12:13  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Documented that buffer can't grow if REJECT used

1993-11-29 12:12  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Added parse.{c,h} to dist files

1993-11-29 11:40  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl, flexdef.h, gen.c, main.c, misc.c, scan.l: Fixed to
	buffer section 1 definitions

1993-11-29 11:38  Vern Paxson <vern@ee.lbl.gov>

	* sym.c: Fixed ANSI-C glitch with '%' operator

1993-11-29 09:57  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Fixed mis-definition of ndlookup()

1993-11-29 06:04  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.4 -> 2.4.1

1993-11-29 06:02  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Added install.sh, mkinstalldirs to distribution
	files

1993-11-29 05:51  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Added Nathan Zelle, "promoted" Francois

1993-11-29 05:37  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: only "realclean" removes flex dist depends on flex

1993-11-29 05:37  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h, misc.c: myctoi takes char[] instead of Char[]

1993-11-28 11:46  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: -a -> -Ca all_lower, all_upper -> work on char*

1993-11-28 11:46  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Added -Ca to bigcheck

1993-11-28 11:45  Vern Paxson <vern@ee.lbl.gov>

	* main.c: -a -> -Ca; fixed help output

1993-11-28 11:45  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c, flex.1: -a -> -Ca

1993-11-28 11:44  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: all_lower, all_upper work on char*

1993-11-28 11:44  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Fixed some casts now that yytext is always char* and
	never unsigned char*

1993-11-28 11:42  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Francois' tweaks

1993-11-28 11:39  Vern Paxson <vern@ee.lbl.gov>

	* configure.in: AC_LN_S, AC_STDC_HEADERS (but not AC_ALLOCA)

1993-11-27 10:10  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: fixed typo

1993-11-27 10:03  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Don't remove dist directory

1993-11-27 10:01  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Include liballoc.c in lint targets

1993-11-27 10:01  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: lint tweak

1993-11-27 09:14  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Added -l compression to bigcheck

1993-11-27 09:07  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: permission tweaking for "dist"

1993-11-27 09:02  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: more "dist" tweaks

1993-11-27 08:59  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Changed "make dist" to use version.h, include scan.c
	in initial dir copy

1993-11-27 08:44  Vern Paxson <vern@ee.lbl.gov>

	* version.h: 2.4.1

1993-11-27 08:44  Vern Paxson <vern@ee.lbl.gov>

	* README: Revised as per Francois Pinard

1993-11-27 08:41  Vern Paxson <vern@ee.lbl.gov>

	* COPYING: flex.skel -> flex.skl

1993-11-27 08:37  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: Updated date of 2.4 release

1993-11-27 08:29  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Removed manual & nroff output from distribution

1993-11-27 08:20  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.4.1 release

1993-11-27 07:57  Vern Paxson <vern@ee.lbl.gov>

	* configure.in: Initial revision

1993-11-27 07:56  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Merge w/ 2.4.1 changes added "dist2" target

1993-11-26 12:02  Vern Paxson <vern@ee.lbl.gov>

	* Makefile.in: Initial revision

1993-11-26 11:59  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Removed #ifndef FILE protection from include of stdio

1993-11-26 11:40  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Added Francois Pinard to distribution headache helpers

1993-11-26 11:10  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Modified C++ scanners to get input a character at a
	time for interactive scanners.

1993-11-26 11:09  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Added YY_INTERACTIVE.

1993-11-26 11:09  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Put definitions inside ()'s so we can test -l option for
	"make bigcheck"

1993-11-26 11:09  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Documented YY_INTERACTIVE.

1993-11-26 10:08  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl, flexdef.h, flex.1, gen.c, main.c, parse.y, scan.l: -l
	lex compatibility flag

1993-11-20 10:05  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Support for read()/fread() section 1 definitions
	precede default macro definitions

1993-11-20 10:05  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Added use_read global

1993-11-20 10:04  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Cleaner definition for yymore() Fixed string broken across
	multiple lines

1993-11-20 10:04  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Added -Cr

1993-11-20 10:03  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: K&R declaration for check_char()

1993-11-20 09:56  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Documented -Cr

1993-11-20 09:31  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: No need to #undef before redefining prior to -Cr
	documentation

1993-11-10 05:27  Vern Paxson <vern@ee.lbl.gov>

	* README: Heavily massaged for 2.4

1993-11-10 05:27  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Added Landon Noll to thanks.

1993-11-10 05:07  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.4 release

1993-11-10 05:06  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: 2.4 documentation

1993-11-10 05:05  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Added global to remember -P prefix so it can be written
	in -v summary.	Alphabetized prefix generation, added yywrap

1993-11-09 16:11  Vern Paxson <vern@ee.lbl.gov>

	* version.h: updated date for 2.4.0 :-(

1993-10-10 11:28  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: Whitespace tweaking

1993-10-10 10:52  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Use DEFAULT_CSIZE only if not using equivalence classes.

1993-10-10 10:47  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Checkpoint prior to final 2.4 update

1993-10-04 17:15  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: Raw 2.4 changes

1993-10-04 12:44  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: osfcn.h -> unistd.h

1993-10-04 06:56  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Added "static" to definition of yy_fatal_error as well
	as fwd decl.

1993-10-04 06:17  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Added yy_fatal_error function.

1993-10-03 13:38  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Got rid of (char *) casts of yytext, no longer needed.

1993-10-03 13:34  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Got rid of (char *) casts of yytext, no longer needed.

1993-10-03 12:05  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: YY_CHAR -> char added YYText(), YYLeng()

1993-10-03 12:01  Vern Paxson <vern@ee.lbl.gov>

	* gen.c, flex.skl: Minimized use of YY_CHAR

1993-10-03 12:01  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Added "flex++" feature Minimized use of YY_CHAR

1993-10-02 11:25  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Clarified help message for -S

1993-10-02 11:23  Vern Paxson <vern@ee.lbl.gov>

	* libyywrap.c, version.h: Initial revision

1993-10-02 11:20  Vern Paxson <vern@ee.lbl.gov>

	* main.c: If -+ used, output to lex.yy.cc

1993-10-02 11:19  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h, flex.skl: Switched from FILE*'s to stream's

1993-10-02 09:44  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Added expand_nxt_chk() extern.

1993-10-02 09:38  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Added dynamic buffer growing.  Added yyless() for
	section 3.

1993-10-02 09:37  Vern Paxson <vern@ee.lbl.gov>

	* main.c, flexdef.h, dfa.c, gen.c: Added -a option for long-align.

1993-10-02 09:36  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: formfeed no longer considered whitespace

1993-09-21 16:45  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Nuked FILENAMESIZE

1993-09-21 16:45  Vern Paxson <vern@ee.lbl.gov>

	* main.c: yyflexlexer.h -> FlexLexer.h minor portability tweak

1993-09-21 16:45  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Added start condition to EOF trace output

1993-09-21 16:44  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Added YY_START changed yyFlexLexer to define yylex() 

1993-09-21 16:44  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Minor portability tweaks

1993-09-21 16:43  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: Split into two classes, one fully abstract.  yylex()
	no longer abstract in yyFlexLexer

1993-09-21 16:42  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: PC lint tweak

1993-09-21 16:42  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: YYSTYPE #define'd to int

1993-09-21 16:42  Vern Paxson <vern@ee.lbl.gov>

	* nfa.c: minor lint tweak

1993-09-16 16:53  Vern Paxson <vern@ee.lbl.gov>

	* FlexLexer.h: Initial revision

1993-09-16 16:38  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Delete prototypes for Unix system calls.

1993-09-16 16:31  Vern Paxson <vern@ee.lbl.gov>

	* yylex.c, tblcmp.c, sym.c, nfa.c, misc.c, main.c, gen.c, ecs.c,
	ccl.c, dfa.c, scan.l, parse.y: nuked static RCS string

1993-09-16 16:28  Vern Paxson <vern@ee.lbl.gov>

	* main.c: %array not allowed with C++ scanners

1993-09-16 16:27  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Fixed bugs regarding %{%} code in section 2 prolog %array
	not allowed with C++ scanners

1993-08-25 13:11  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Added C_plus_plus flag.

1993-08-25 13:11  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: First version of C/C++ skeleton

1993-08-25 13:10  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: yy_state_type declared earlier.  Made a bunch of statics
	only output if not -+

1993-08-25 12:59  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Added -+ option, updated usage() output, rearranged some
	generated  code to come at the right point in the output for
	yyflexlexer.h.

1993-08-25 12:52  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Added %+/%-/%* to skelout()

1993-08-25 12:51  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: EOF in section 2 prolog leads to section 0, not section 3

1993-08-25 12:40  Vern Paxson <vern@ee.lbl.gov>

	* yylex.c: Dump promotion of EOF in section 2 to turn on section 3;
	instead  just treat it like a final EOF

1993-08-25 12:40  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: yy_nxt table should be "const"

1993-08-24 16:46  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Removed a lot of #ifdef chud "backtracking" ->
	"backing up"

1993-08-24 16:45  Vern Paxson <vern@ee.lbl.gov>

	* main.c: "backtracking" -> "backing up" got rid of time reports

1993-08-24 16:44  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: "backtracking" -> "backing up" some portability tweaks
	fixed to only call flexscan() when done if known to be in section 3

1993-08-24 16:43  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: isascii() moved to flexdef.h nuked flex_gettime()

1993-08-24 16:43  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Fixed bug with empty section 2

1993-08-24 16:42  Vern Paxson <vern@ee.lbl.gov>

	* yylex.c: Chucked definition of isascii()

1993-08-24 16:40  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: preserve yytext on input() bug fix when combining
	yyless() with yymore() checkpoint prior to C++ option

1993-08-24 16:37  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: "backtracking" -> "backing up"

1993-07-09 15:47  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Fixed to not generate extra EOF's after reading one.

1993-07-05 17:52  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Spit out definition of YY_CHAR early

1993-07-05 17:52  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Some rearranging to make sure things get declared in
	the right order

1993-07-05 17:37  Vern Paxson <vern@ee.lbl.gov>

	* tblcmp.c: Some comment fixes as per Wilhelms

1993-07-05 17:37  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Nuked #undef of yywrap, now that it's a function

1993-07-05 17:36  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: Fixed bug with Z-a character classes as per Wilhelms

1993-07-05 17:36  Vern Paxson <vern@ee.lbl.gov>

	* nfa.c: added check_char call in mkstate() to prevent bad xtion
	chars

1993-07-05 17:35  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Added check_char()

1993-07-05 17:35  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Fixed some reallocation bugs, etc. as per Wilhelms

1993-07-05 17:34  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Added check_char(), readable_form()

1993-07-05 17:34  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Added #ifndef's around #define's to let user override
	Moved a bunch of definitions prior to section 1

1993-07-05 17:32  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: Wilhems bug fixes.

1993-07-05 17:31  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c: Added check_char()

1993-06-12 09:44  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Changed to use yy_flex_alloc() and friends

1993-06-12 09:43  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Added -P flag

1993-06-12 09:42  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Fixed bug in lex % directives

1993-06-12 09:42  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Modified to use yy_flex_alloc() and friends

1993-06-12 09:42  Vern Paxson <vern@ee.lbl.gov>

	* sym.c: Modified to use yy_flex_alloc()

1993-06-12 09:41  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Modified to use yy_flex_alloc() and friends Moved some
	globals earlier in the file to permit access in section 1

1993-06-12 09:40  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: Got rid of code needed for %t

1993-04-14 18:41  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c, dfa.c, ecs.c, flex.skl, flexdef.h, gen.c, libmain.c,
	main.c, misc.c, nfa.c, parse.y, scan.l, sym.c, tblcmp.c, yylex.c:
	Reformatting.

1993-04-05 16:38  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Fixed bug in description of backtracking

1993-04-05 16:37  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.3.8

1993-04-05 16:37  Vern Paxson <vern@ee.lbl.gov>

	* main.c, flex.skl: %array support

1993-04-05 16:36  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Added non-STDC clause for '\a'

1993-04-05 16:35  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Fixed subtle problems regarding '*'s in comments
	%pointer/%array match entire lines

1993-04-05 16:35  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Added %array support

1993-02-06 16:08  Vern Paxson <vern@ee.lbl.gov>

	* README: Finally updated email addr

1993-02-06 16:08  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Mostly .LP -> .PP

1993-02-06 16:06  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: [no log message]

1993-02-06 16:05  Vern Paxson <vern@ee.lbl.gov>

	* main.c, scan.l: A lot of tweaks ...

1993-02-06 16:04  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c: reallocate_character_array -> reallocate_Character_array

1993-02-06 16:04  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Bug/lint fixes Modified to work with "action" array
	instead of temp file

1993-02-06 16:03  Vern Paxson <vern@ee.lbl.gov>

	* sym.c: Fixed bug in 8-bit hashing

1993-02-06 16:03  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: numerous bug fixes extra formatting of error/warning
	messages added support of <*>, partial support for nested start
	conditions

1993-02-06 16:01  Vern Paxson <vern@ee.lbl.gov>

	* ecs.c: Remove %t cruft

1993-02-06 16:01  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Beginning of %pointer/%array support

1993-02-06 16:00  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: Added keeping track of which rules are useful fixed a
	fencepost error in checking for scanners that require -8

1993-02-06 15:59  Vern Paxson <vern@ee.lbl.gov>

	* nfa.c: Added checking for whether rules are useful modified to
	work with internal "action" array

1993-02-06 15:58  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Added internal "action" array, internal skeleton,
	zero_out() in lieu of bzero

1993-02-06 15:58  Vern Paxson <vern@ee.lbl.gov>

	* tblcmp.c: Fixed a bunch of fencepost errors in increasing tables.

1993-02-06 15:57  Vern Paxson <vern@ee.lbl.gov>

	* yylex.c: -Wall fix

1991-03-28 07:01  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Fixed out-of-bounds access bug; patch #7 for release 2.3

1991-03-28 07:00  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: Patch #7 for 2.3

1990-10-23 10:51  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: fixed missing "rule_type" entry for end-of-buffer action

1990-08-29 08:11  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Fixed yymore() but in not resetting yy_more_len

1990-08-29 08:10  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: Patch #6 for 2.3

1990-08-16 16:22  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: Patch #5

1990-08-13 20:10  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: fixed comment in myesc()

1990-08-13 20:07  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: fixed date in patch #4

1990-08-13 20:05  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: patch #4

1990-08-13 20:01  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: fixed hexadecimal escapes; added is_hex_digit()

1990-08-03 10:12  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: Patch #3

1990-08-03 10:09  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl, flexdef.h: changed to include <stddef.h> for __GNUC__

1990-08-01 21:03  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.3 patch #2

1990-08-01 21:01  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Another try at getting the malloc() definitions
	correct; this time for g++, too

1990-08-01 20:30  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl, flexdef.h: fixed to declare malloc() and free() by hand
	if __GNUC__

1990-07-28 12:53  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Changed to get malloc definition in identical fashion
	to that used by flex.skel

1990-06-27 20:43  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: [no log message]

1990-06-27 20:40  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Fixed bug in mini-scanner examle Fixed bug in YY_INPUT
	redefinition yylineno defense reentrancy documentation Something
	else which I forget.

1990-06-27 19:47  Vern Paxson <vern@ee.lbl.gov>

	* COPYING, ccl.c, dfa.c, ecs.c, flexdef.h, gen.c, main.c, misc.c,
	nfa.c, parse.y, scan.l, sym.c, tblcmp.c, yylex.c: 4.4 BSD copyright

1990-05-26 13:31  Vern Paxson <vern@ee.lbl.gov>

	* README: Changed prolog to reflect 2.3 release.

1990-05-26 13:29  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: pointed reader at Makefile instead of README for porting
	considerations added Makefile comments: support for SCO Unix;
	parameterization

1990-05-26 13:24  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Added DONT_HAVE_STDLIB_H and declarations of malloc()

1990-05-26 13:16  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.3 changes

1990-05-26 13:02  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: documentation on new features Comment regarding Ove's
	work ^foo|bar difference between flex / lex yyin initialization
	difference documented that yy_switch_to_buffer can be used in
	yywrap() documented that # comments are deprecated

1990-05-26 12:56  Vern Paxson <vern@ee.lbl.gov>

	* main.c: declared void functions as such added prototypes for
	forward references changed to check for error status when closing
	files

1990-05-26 12:54  Vern Paxson <vern@ee.lbl.gov>

	* yylex.c: Added macro definition for isascii() if not already
	present

1990-05-26 12:53  Vern Paxson <vern@ee.lbl.gov>

	* sym.c: declared void functions as such added prototypes for
	forward references changed to use format_pinpoint_message where
	appropriate

1990-05-26 12:53  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: declared void functions as such changed to strip #
	comments, as documented moved #undef of yywrap() to before include
	of flexdef, so prototype     doesn't get screwed up

1990-05-26 12:52  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: introduced format_pinpoint_message() declared void
	functions as such changed lone <<EOF>> to apply to all outstanding
	start conditions

1990-05-26 12:51  Vern Paxson <vern@ee.lbl.gov>

	* nfa.c, tblcmp.c: declared void functions as such added prototypes
	for forward references

1990-05-26 12:50  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: declared void functions as such prototypes for forward
	references shuffled around some routines to make the order perhaps
	a little more logical changed memory references to use void*
	instead of char*

1990-05-26 12:50  Vern Paxson <vern@ee.lbl.gov>

	* libmain.c: Added declaration of arguments made yylex() a function

1990-05-26 12:48  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: prototypes for forward references declared void functions
	as such yy_flex_debug testing of error on file closes casts to void
	for sprintf() and strcpy()

1990-05-26 12:42  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Added prototypes changed memory allocation routines to
	deal with void*'s instead of char*'s some rearranging for VMS

1990-05-26 12:40  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Added YY_USER_INIT Added yy_new_buffer() alias for
	yy_create_buffer() fixed (hopefully) malloc declaration headaches

1990-05-26 12:40  Vern Paxson <vern@ee.lbl.gov>

	* ecs.c: declared void functions as such declared void functions as
	such

1990-05-26 12:39  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: prototypes for forward references declared void functions
	as such

1990-05-26 12:38  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c: Declared void functions as such

1990-04-12 07:03  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: added fix for allowing yy_switch_to_buffer() in
	yywrap()

1990-04-03 10:09  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: patch #3 - -I fix

1990-03-29 21:43  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Changed generation of archaic "continue" to "goto
	yy_find_action"

1990-03-27 07:06  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: Patch #2 changes

1990-03-27 07:03  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: fixed fencepost errors with yy_buf_size and detecting
	NUL's

1990-03-26 11:41  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: [no log message]

1990-03-26 11:38  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: g++ tweaks

1990-03-23 09:25  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: Changes for Patch #1.

1990-03-23 09:20  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: fix for g++

1990-03-23 09:18  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: minor typos and formatting changes.  Removed BITNET
	address.

1990-03-23 09:16  Vern Paxson <vern@ee.lbl.gov>

	* README: nuked BITNET address.

1990-03-20 09:54  Vern Paxson <vern@ee.lbl.gov>

	* README: 2.2 README

1990-03-20 09:33  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: USG alias.

1990-03-20 09:32  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Added USG alias for SYS_V

1990-03-20 09:25  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: [no log message]

1990-03-20 09:17  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Added Earle Horton for 8-bit chars.

1990-03-20 08:52  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Tweaks for lint and C++

1990-03-20 08:52  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: -ll => -lfl

1990-03-20 08:52  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: 2.2 changes

1990-03-20 08:17  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Changed to use YY_BUFFER_STATE everywhere.

1990-03-20 08:16  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: [no log message]

1990-03-20 08:16  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: "associated rules" changed to "associated rule line
	numbers".

1990-03-20 08:15  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: cast added to malloc() call to keep lint happy.

1990-03-20 06:36  Vern Paxson <vern@ee.lbl.gov>

	* yylex.c: Fixed handling of premature EOF's.

1990-03-20 06:36  Vern Paxson <vern@ee.lbl.gov>

	* sym.c: Removed declaration of malloc()

1990-03-20 06:36  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Removed malloc() declaration.  Added detection of EOF in
	actions.

1990-03-20 06:35  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: Rules rewritten so '/' and '$' parsed correctly.

1990-03-20 06:34  Vern Paxson <vern@ee.lbl.gov>

	* nfa.c: Corrected line numbers for continued actions.

1990-03-20 06:33  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Removed declarations of malloc() and realloc().

1990-03-20 06:32  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Summary of generation flags.	Minor -8 tweaks.

1990-03-20 06:32  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: full support for -d

1990-03-20 06:31  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: defines for malloc() and realloc() conditional defines
	for abs(), min(), and max()

1990-03-20 06:31  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Many multiple-buffer additions.

1990-03-20 06:30  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: -8 tweaks.

1990-03-19 11:34  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Proto hacks.  NUL hacks.  Debugging hacks.	C++ hacks.

1990-03-16 12:40  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: RCS won't let me unedit! gets "Missing access list"

1990-03-16 11:55  Vern Paxson <vern@ee.lbl.gov>

	* ecs.c: Many hacks for NUL's.	Hope they're right.

1990-03-16 11:53  Vern Paxson <vern@ee.lbl.gov>

	* tblcmp.c: Minor tweaks for NUL's.

1990-03-16 11:53  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: no changes -- had checked out for testing smaller read
	buffer sizes

1990-03-16 11:52  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: Nuked some extraneous whitespace.  NUL's hacks.

1990-03-16 11:52  Vern Paxson <vern@ee.lbl.gov>

	* nfa.c: hack for NUL's.

1990-03-16 11:51  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Hack to cshell for NUL's.

1990-03-16 11:51  Vern Paxson <vern@ee.lbl.gov>

	* main.c: NUL's.  -8

1990-03-16 11:51  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: NUL's.

1990-03-16 11:50  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: NUL's.  8-bit chars.

1990-03-16 11:50  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: NUL's; indenting

1990-03-16 11:50  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: more thrashing around with NUL's

1990-03-16 11:49  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c: removed NUL hack

1990-03-14 08:41  Vern Paxson <vern@ee.lbl.gov>

	* yylex.c: Added <<EOF>> token

1990-03-14 08:39  Vern Paxson <vern@ee.lbl.gov>

	* ecs.c, flexdef.h:  Tweaks for NUL chars.

1990-03-14 08:39  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c, gen.c, main.c, misc.c, parse.y, scan.l, tblcmp.c: Tweaks
	for NUL chars.

1990-03-14 08:39  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c: Tweaks for handling NUL's.

1990-02-28 13:10  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: [no log message]

1990-02-28 11:59  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Changed .so options.man to inlined version since flex.1
	will have a different (shorter) options description.

1990-02-28 10:09  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: [no log message]

1990-02-28 06:10  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: [no log message]

1990-02-26 12:59  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: [no log message]

1990-02-25 14:47  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: [no log message]

1990-02-24 20:28  Vern Paxson <vern@ee.lbl.gov>

	* flex.1: Initial revision

1990-01-16 06:17  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Restored EOB accepting list for REJECT.  Second try at 2.2
	Release.

1990-01-16 05:39  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Added missing ',' in error message.  2.2 Release, second
	try.

1990-01-16 05:29  Vern Paxson <vern@ee.lbl.gov>

	* yylex.c: 8-bit char support.	2.2 Release.

1990-01-15 13:02  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: 8-bit char support.  Arbitrary indented/%{} code allowed
	in section 2.  \x escapes.  %t support.  Minor POSIX-compliance
	changes.  BEGIN(0) -> BEGIN(INITIAL).  yywrap() and
	set_input_file() for multiple input files.  C_COMMENT_2 removed. 
	2.2 Release.

1990-01-15 13:00  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: 8-bit char support.  SYS_V / Atari portability fixes. 
	Removed generated array names.	CSIZE now only defined if not
	already defined.  Added "csize" global.  Added "input_files",
	"num_input_files", and "program_name" globals.	%t support globals.
	 2.2 Release.

1990-01-15 12:58  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Removed unused EOB_accepting_list array.  2.2 Release.

1990-01-15 12:53  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Bug in -F table generation fixed.  8-bit char support. 
	Hardwired generated array names.  "const"'s added to generated
	code.  Fixed yymore() / trailing context bug.

1990-01-15 12:53  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: 8-bit char support.	Error-message pinpointing.  2.2
	Release.

1990-01-15 12:49  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Unsigned char support.  %t support.  Removed hard-wiring
	of program name "flex".  -c changed to -C; -c now deprecated.  -n
	added. :-( Multiple input files.  SYSV tmpnam() use.  Removed old
	#define's from output.	Identified error messages w/ filename and
	line.  2.2 Release.

1990-01-15 12:49  Vern Paxson <vern@ee.lbl.gov>

	* sym.c: Unsigned char support.  2.2 Release.

1990-01-15 12:48  Vern Paxson <vern@ee.lbl.gov>

	* nfa.c: Removed redundant test.  2.2 Release.

1990-01-15 12:48  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: Unsigned char support.  \x support.  2.2 Release.

1990-01-15 12:47  Vern Paxson <vern@ee.lbl.gov>

	* tblcmp.c: 8-bit char support.  2.2 Release.

1990-01-15 12:44  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: C++ support.  Turbo-C support.  8-bit char support. 
	yyleng is an int.  unput() callable in section 3.  yymore hacks. 
	yyrestart() no longer closes stdin.  2.2 Release.

1990-01-15 12:41  Vern Paxson <vern@ee.lbl.gov>

	* ecs.c: %t support.  8-bit/unsigned char support.  2.2 Release.

1990-01-15 12:40  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: %t hacks.  minor cosmetics.  2.2 Relase.

1990-01-15 12:37  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c: Changes for unsigned/8-bit chars.  2.2 Release.

1990-01-10 10:10  Vern Paxson <vern@ee.lbl.gov>

	* libmain.c: Initial revision

1989-12-30 10:34  Vern Paxson <vern@ee.lbl.gov>

	* nfa.c: removed gratuitous trailing context code

1989-12-30 10:34  Vern Paxson <vern@ee.lbl.gov>

	* main.c: made -c<compression flags> case-sensitive

1989-12-30 10:33  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: unput() bug fix

1989-12-30 10:32  Vern Paxson <vern@ee.lbl.gov>

	* README: [no log message]

1989-06-20 13:24  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: changed to not use '|' and trailing context combo so
	users can test using -F ...

1989-06-20 13:23  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: made trailing context combined with '|' warning always
	come out

1989-06-20 13:12  Vern Paxson <vern@ee.lbl.gov>

	* README: [no log message]

1989-06-20 12:47  Vern Paxson <vern@ee.lbl.gov>

	* COPYING: Initial revision

1989-06-20 12:36  Vern Paxson <vern@ee.lbl.gov>

	* main.c, README, NEWS: [no log message]

1989-06-20 12:27  Vern Paxson <vern@ee.lbl.gov>

	* README: [no log message]

1989-06-20 12:02  Vern Paxson <vern@ee.lbl.gov>

	* NEWS, README, main.c: [no log message]

1989-06-20 11:49  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c, dfa.c, ecs.c, flex.skl, flexdef.h, gen.c, misc.c, nfa.c,
	parse.y, scan.l, sym.c, tblcmp.c, yylex.c: Beta release

1989-06-20 11:48  Vern Paxson <vern@ee.lbl.gov>

	* NEWS, README, main.c: 2.1 beta release

1989-06-20 11:44  Vern Paxson <vern@ee.lbl.gov>

	* main.c, NEWS: [no log message]

1989-06-20 11:38  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl, flexdef.h, gen.c, misc.c, nfa.c, parse.y, scan.l,
	sym.c: 2.0.1 beta

1989-06-20 11:37  Vern Paxson <vern@ee.lbl.gov>

	* README: [no log message]

1989-05-25 08:21  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: fixsed bug with -I and backtracking

1989-05-25 07:49  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Cleaned up forward declarations of yyunput() and
	input()

1989-05-25 07:48  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: Split copyright string.

1989-05-25 07:48  Vern Paxson <vern@ee.lbl.gov>

	* nfa.c: Split copyright string.  Added check for empty machine in
	dupmachine().

1989-05-25 07:46  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c, main.c, misc.c, scan.l, ecs.c, sym.c, yylex.c, dfa.c,
	tblcmp.c, gen.c: Split copyright string into two to avoid tempting
	fate with \<newline> sequences ...

1989-05-24 08:48  Vern Paxson <vern@ee.lbl.gov>

	* README: updated for 2nd release Beta test added RCS header

1989-05-24 07:48  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: removed static char copyright 

1989-05-24 07:45  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Added BSD copyright notice.  Removed
	FAST_SKELETON_FILE.

1989-05-24 07:44  Vern Paxson <vern@ee.lbl.gov>

	* main.c: added BSD copyright notice.  Removed references to
	FAST_SKELETON_FILE.

1989-05-24 07:44  Vern Paxson <vern@ee.lbl.gov>

	* nfa.c, gen.c, ecs.c: Added BSD copyright notice

1989-05-24 07:42  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c, dfa.c, misc.c, yylex.c, sym.c, tblcmp.c, scan.l, parse.y:
	added BSD copyright notice

1989-05-23 20:32  Vern Paxson <vern@ee.lbl.gov>

	* flex.skl: Initial revision

1989-05-19 10:13  Vern Paxson <vern@ee.lbl.gov>

	* yylex.c: renamed accnum to num_rules

1989-05-19 10:12  Vern Paxson <vern@ee.lbl.gov>

	* tblcmp.c: moved table generation code to gen.c moved ntod() to
	dfa.c

1989-05-19 10:11  Vern Paxson <vern@ee.lbl.gov>

	* sym.c: the most piddling format change imaginable

1989-05-19 10:10  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: changed to look for yymore, REJECT, %used and %unused
	removed gross magic for dealing with section 3

1989-05-19 10:08  Vern Paxson <vern@ee.lbl.gov>

	* nfa.c, parse.y: changes for variable trailing context

1989-05-19 10:07  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: added all_lower() and all_upper()

1989-05-19 10:07  Vern Paxson <vern@ee.lbl.gov>

	* main.c: added checking for features being Really used
	backtracking, performance reports misc. cleanup

1989-05-19 10:06  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: major overhaul for merged skeleton

1989-05-19 10:05  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: a zillion changes/additions/cleanups

1989-05-19 10:01  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: added backtrack report added checking for dangerous
	trailing context considerable minor cleanup

1989-05-19 09:56  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c: list_character_set() modified to take a FILE to write to
	...

1989-05-19 09:56  Vern Paxson <vern@ee.lbl.gov>

	* README: updated for beta release

1988-11-25 16:30  Vern Paxson <vern@ee.lbl.gov>

	* main.c: added -p flag generation of #define's for scanner

1988-11-25 16:28  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: Added END_OF_BUFFER_ACTION and bol_needed

1988-11-25 16:27  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: added ntod()

1988-05-09 13:01  Vern Paxson <vern@ee.lbl.gov>

	* gen.c: Initial revision

1988-05-08 16:13  Vern Paxson <vern@ee.lbl.gov>

	* yylex.c: RCS header changed display style of non-printings from
	^x to \0xx

1988-05-08 16:08  Vern Paxson <vern@ee.lbl.gov>

	* tblcmp.c: RCS header MAX_XTIONS_FOR_FULL_INTERIOR_FIT ->
	MAX_XTIONS_FULL_INTERIOR_FIT made back-tracking accepting number be
	one greater than the last   legit accepting number, instead of 0. 
	This way, end-of-buffer   can take 0 and no negative accepting
	numbers are needed.  added genftbl() changed last ftl references to
	C added check for UNSIGNED_CHAR's added back-track logic to
	make_tables() added checking and report for backtracking fixed
	fence-post error with onesp stack pointer

1988-05-08 16:08  Vern Paxson <vern@ee.lbl.gov>

	* sym.c: RCS header changed "entry" to "sym_entry" to avoid
	conflict with old keyword

1988-05-08 16:07  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: RCS header removed \^ from ESCSEQ

1988-05-08 16:06  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: RCS header bug fix due to missing default rule, could
	have to backtrack when	 backtrack variables haven't been set up

1988-05-08 16:05  Vern Paxson <vern@ee.lbl.gov>

	* nfa.c: RCS ident yy_cp, yy_bp support name shortenings assoc_rule
	support

1988-05-08 16:04  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: RCS header check before malloc()'ing for 16 bit overflow
	MS_DOS, VMS ifdef's removed commented-out \^ code removed FTLSOURCE
	code added readable_form()

1988-05-08 16:03  Vern Paxson <vern@ee.lbl.gov>

	* main.c: Added RCS header removed revision history misc additions
	and fixes to globals VMS ifdef's backtracking statistics -p flag
	name shortenings

1988-05-08 15:59  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: removed revision history added RCS header added VMS,
	MS_DOS ifdef's removed DEFAULT_ACTION, changed END_OF_BUFFER_ACTION
	shortened MAX_XTIONS_FOR_FULL_INTERIOR_FIT to
	MAX_XTIONS_FULL_INTERIOR_FIT added MAX_ASSOC_RULES added
	performance_report, assoc_rule gloabls added num_backtracking
	gloabl shortened allocate_integer_pointer_array,
	reallocate_integer_pointer_array

1988-05-08 15:53  Vern Paxson <vern@ee.lbl.gov>

	* ecs.c: added RCS id added PROCFLG to avoid assumption of signed
	char's

1988-05-08 15:51  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: added RCS id added check_for_backtracking() added
	dump_associated_rules() added dump_transitions() shortened
	reallocate_integer_pointer_array to reallocate_int_ptr_array
	removed some dfaacc_{state,set} abuses

1988-05-08 15:51  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c: Added list_character_set()

1988-05-06 20:06  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c: added RCS id

1988-04-10 17:57  Vern Paxson <vern@ee.lbl.gov>

	* README: minor tweaks

1988-04-10 17:42  Vern Paxson <vern@ee.lbl.gov>

	* README: forgot sh flex.shar

1988-04-10 17:27  Vern Paxson <vern@ee.lbl.gov>

	* README: final tweaking

1988-04-10 17:27  Vern Paxson <vern@ee.lbl.gov>

	* tblcmp.c: removed minor lint fluff

1988-04-10 17:27  Vern Paxson <vern@ee.lbl.gov>

	* NEWS: [no log message]

1988-04-10 16:55  Vern Paxson <vern@ee.lbl.gov>

	* NEWS, README: Initial revision

1988-04-10 16:54  Vern Paxson <vern@ee.lbl.gov>

	* yylex.c: added identifying comment.  changed to include "parse.h"
	instead of "y.tab.h"

1988-04-10 16:53  Vern Paxson <vern@ee.lbl.gov>

	* tblcmp.c: Changed name from flexcmp.c -> tblcmp.c fixed misc.
	typos made generating ec tables be a routine

1988-04-10 16:52  Vern Paxson <vern@ee.lbl.gov>

	* sym.c: changed name from flexsym.c -> sym.c revamped calling
	sequences, etc., for extended table struct definition	which now
	has both char * and int fields.

1988-04-10 16:51  Vern Paxson <vern@ee.lbl.gov>

	* scan.l: Changed name from flexscan.l -> scan.l fixed bug in
	<RECOVER> added block comments between rules.

1988-04-10 16:50  Vern Paxson <vern@ee.lbl.gov>

	* parse.y: changed name from flexparse.y -> parse.y added start
	condition "INITIAL" made a{3} have "variable length"

1988-04-10 16:48  Vern Paxson <vern@ee.lbl.gov>

	* nfa.c: changed name from flexnfa.c -> nfa.c corrected some typos.

1988-04-10 16:48  Vern Paxson <vern@ee.lbl.gov>

	* misc.c: changed name from flexmisc.c -> misc.c

1988-04-10 16:46  Vern Paxson <vern@ee.lbl.gov>

	* main.c: fixed bug causing core dumps if skeleton files could not
	be opened.  Added -cF.	Added fullspd to be equivalent to fulltbl
	for which options is	cannot be mixed with.

1988-04-10 16:45  Vern Paxson <vern@ee.lbl.gov>

	* flexdef.h: fixed typos, enhanced symbol table definition.

1988-04-10 16:42  Vern Paxson <vern@ee.lbl.gov>

	* ecs.c: changed name from flexecs.c to ecs.c

1988-04-10 16:42  Vern Paxson <vern@ee.lbl.gov>

	* dfa.c: changed name from flexdfa.c to dfa.c

1988-04-10 16:42  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c: changed name from flexccl.c -> ccl.c

1988-02-13 06:00  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c, tblcmp.c, dfa.c, ecs.c, main.c, misc.c, nfa.c, sym.c,
	yylex.c, flexdef.h, parse.y, scan.l: Beta Release.

1987-11-08 17:24  Vern Paxson <vern@ee.lbl.gov>

	* ccl.c, tblcmp.c, flexdef.h, dfa.c, ecs.c, main.c, misc.c, nfa.c,
	parse.y, scan.l, sym.c, yylex.c: Initial revision

